function varargout = rf(varargin)
% RF M-file for rf.fig
%      RF, by itself, creates a new RF or raises the existing
%      singleton*.
%
%      H = RF returns the handle to a new RF or the handle to
%      the existing singleton*.
%
%      RF('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in RF.M with the given input arguments.
%
%      RF('Property','Value',...) creates a new RF or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before rf_OpeningFunction gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to rf_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Copyright 2002-2003 The MathWorks, Inc.

% Edit the above text to modify the response to help rf

% Last Modified by GUIDE v2.5 25-Apr-2011 23:47:39

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @rf_OpeningFcn, ...
                   'gui_OutputFcn',  @rf_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before rf is made visible.
function rf_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to rf (see VARARGIN)

% Choose default command line output for rf
handles.output = hObject;

global directoryname
fid=fopen('directory.txt','r');
directoryname=fscanf(fid,'%s');
fclose(fid);
if isempty(directoryname)
    directory=uigetdir(cd,'Please select a load directory for folder illustration!');
    if directory==0
       msgbox('Directoryname Error! System will shut down!');
       close all
       return
    end
    dlmwrite('directory.txt',directory,'delimiter',' ','newline','pc','precision','%10.4f');
    directoryname=directory;
    directorystring=directory;
    set(handles.rf_text4,'string',directoryname);
end
set(handles.rf_text4,'string',directoryname);
%% Initialisierung Anzeige der Oberflaeche 
axes(handles.rf_axes1);
Logo=imread([directoryname '\Logo_HHF.jpeg']);
colormap(gray);
image(Logo);
axis off;
axes(handles.rf_axes2);
axis off;
axes(handles.rf_axes3);
axis off;
set(handles.rf_uipanel4,'visible','off');
set(handles.rf_uipanel5,'visible','off');
set(handles.rf_uipanel6,'visible','off');
set(handles.rf_text5,'visible','off');

global val k
k=0;

movegui(gcf,'center');
% Update handles structure
guidata(hObject, handles);

% UIWAIT makes rf wait for user response (see UIRESUME)
% uiwait(handles.figure1);

%%-------------------------------------------------------------------
% --- Outputs from this function are returned to the command line.
function varargout = rf_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;

function circle(x0,y0,r,color,linetype)
t=0:0.01:2*pi;
x=x0+cos(t)*r;
y=y0+sin(t)*r;
plot(x,y,linetype,'LineWidth',1,'color',color);

% --- Executes on selection change in rf_listbox1.
function rf_listbox1_Callback(hObject, eventdata, handles)
% hObject    handle to rf_listbox1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = get(hObject,'String') returns rf_listbox1 contents as cell array
%        contents{get(hObject,'Value')} returns selected item from rf_listbox1
global directoryname val k
k=0;
fid=fopen('directory.txt','r');
directoryname=fscanf(fid,'%s');
fclose(fid);

val=get(handles.rf_listbox1,'value');
str=get(handles.rf_listbox1,'string');
if val == 1   %%Method of conversion from scattering parameters
    axes(handles.rf_axes2);
    cla reset
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','off','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','off');
    set(handles.rf_uipanel6,'visible','off');
    set(handles.rf_text2,'string','Method of conversion from scattering parameters','visible','on');
    set(handles.rf_text5,'string','','visible','off');
elseif val == 2   %%Mixed-mode S-parameter
    axes(handles.rf_axes2);
    cla reset
    text('Interpreter','latex','Position',[50 150],'units','pixels','fontsize',15,'string',...
    '$\left( \begin{array}{cccc} b^{-}_{1} \\ b^{-}_{2} \\ b^{+}_{1} \\ b^{+}_{2} \end{array} \right) = \left[ \begin{array}{cccc} M^{-}_{11}\ &\ M^{-}_{12}\ &\ M^{-+}_{11} &\ M^{-+}_{12} \\ M^{-}_{21}\ &\ M^{-}_{22}\ &\ M^{-+}_{21} &\ M^{-+}_{22} \\ M^{+-}_{11}\ &\ M^{+-}_{12}\ &\ M^{+}_{11} &\ M^{+}_{12} \\ M^{+-}_{21}\ &\ M^{+-}_{22} &\ M^{+}_{21} &\ M^{+}_{22} \end{array} \right] \left( \begin{array}{cccc} a^{-}_{1} \\ a^{-}_{2} \\ a^{+}_{1} \\ a^{+}_{2} \end{array} \right)$');
    axis off;
    axes(handles.rf_axes3);
    set(handles.rf_axes3,'position',[164 31 500 270]);
    cla reset
    set(handles.rf_axes3,'Visible','on');
    text('Interpreter','latex','Position',[40 150],'units','pixels','fontsize',14,'string',...
    '$\left( \begin{array}{cccc} b_{dm1} \\ b_{dm2} \\ b_{cm1} \\ b_{cm2} \end{array} \right) = \left[ \begin{array}{cccc} S_{DD11}\ &\ S_{DD12}\ &\ S_{DC11} &\ S_{DC12} \\ S_{DD21}\ &\ S_{DD22}\ &\ S_{DC21} &\ S_{DC22} \\ S_{CD11}\ &\ S_{CD12}\ &\ S_{CC11} &\ S_{CC12} \\ S_{CD21}\ &\ S_{CD22}\ &\ S_{CC21} &\ S_{CC22} \end{array} \right] \left( \begin{array}{cccc} a_{dm1} \\ a_{dm2} \\ a_{cm1} \\ a_{cm2} \end{array} \right)$');
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Mixed-mode S-parameter','visible','on');
    set(handles.rf_text5,'string','Both equations are similar.','visible','on');
    set(handles.rf_text6,'string','','visible','off','position',[4 218 224 20]);
    set(handles.rf_text7,'string','','visible','off','position',[4 194 224 20]);
    set(handles.rf_text8,'string','','visible','off','position',[4 170 224 20]);
    set(handles.rf_text9,'string','','visible','off');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off','Position',[4 24 324 16]);
    set(handles.rf_text13,'string','*** This software uses the M-parameter ***','visible','on','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','off','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','off','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','off','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');
elseif val == 3   %%Bedienoberflaeche: De-embedding
    axes(handles.rf_axes2);
    cla reset
    bild1=imread([directoryname '\kap2_deemb3.jpeg']);
    colormap(gray);
    image(bild1);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','De-embedding','visible','on');
    set(handles.rf_text5,'string','Illustration: The DUT (device under test) is embedded between two networks','visible','on');
    set(handles.rf_text6,'string','Scattering parameter matrix Sa (2-port)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Scattering parameter matrix Sb (2-port)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Total scattering parameter matrix St','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','','visible','off');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','*** Please enter with 2-port matrix form as follow:','visible','on',...
        'Position',[4 24 324 16]);
    set(handles.rf_text13,'string','0.1-i*0.2  0.3;-i*0.4  0.5 ***','visible','on','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');
elseif val == 4   %%Ueberschrift: Passive RF-components from lumped elements
    axes(handles.rf_axes2);
    cla reset
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','off','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','off');
    set(handles.rf_uipanel6,'visible','off');
    set(handles.rf_text2,'string','Passive RF-components from lumped elements','visible','on');
    set(handles.rf_text5,'string','','visible','off');
elseif val == 5   %%Ueberschrift: Attenuator with different structure
    axes(handles.rf_axes2);
    cla reset
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','off','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','off');
    set(handles.rf_uipanel6,'visible','off');
    set(handles.rf_text2,'string','Attenuator with different structure','visible','on');
    set(handles.rf_text5,'string','','visible','off');
elseif val == 6   %%Bedienoberflaeche: PI-structure
    axes(handles.rf_axes2);
    cla reset
    bild4=imread([directoryname '\kap2_att1.jpeg']);
    colormap(gray);
    image(bild4);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','PI-structure','visible','on');
    set(handles.rf_text5,'string','Illustration: Representation of an attenuator based on PI-circuit with resistors','visible','on');
    set(handles.rf_text6,'string','Wave Resistance Z_L (ohm)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Insertion Loss IL (dB)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','','visible','off','position',[4 170 222 20]);
    set(handles.rf_text9,'string','','visible','off');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','','visible','off','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','off','position',[0.63 0.58 0.36 0.08]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');
elseif val == 7   %%Bedienoberflaeche: T-structure
    axes(handles.rf_axes2);
    cla reset
    bild5=imread([directoryname '\kap2_t-schaltung.jpeg']);
    colormap(gray);
    image(bild5);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','T-structure','visible','on');
    set(handles.rf_text5,'string','Illustration: Attenuator with T-structure','visible','on');
    set(handles.rf_text6,'string','Wave Resistance Z_L (ohm)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Insertion Loss IL (dB)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','','visible','off','position',[4 170 222 20]);
    set(handles.rf_text9,'string','','visible','off');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','','visible','off','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','off','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');
elseif val == 8   %%Ueberschrift: Impedance transformer
    axes(handles.rf_axes2);
    cla reset
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','off','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','off');
    set(handles.rf_uipanel6,'visible','off');
    set(handles.rf_text2,'string','Impedance transformer','visible','on');
    set(handles.rf_text5,'string','','visible','off');
elseif val == 9   %%Bedienoberflaeche: Gamma impedance transformer
    axes(handles.rf_axes2);
    cla reset
    bild6=imread([directoryname '\kap3_trafo1.jpeg']);
    colormap(gray);
    image(bild6);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Gamma impedance transformer','visible','on');
    set(handles.rf_text5,'string','Illustration: Gamma impedance transformer with series inductor','visible','on');
    set(handles.rf_text6,'string','Resistance R1 (ohm)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Resistance R2 (ohm)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Medium Frequency fm (GHz)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','','visible','off');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','','visible','on','string','*** Condition of resistance: R2<R1 ***','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');
elseif val == 10   %%Bedienoberflaeche: Alternative Gamma impedance transformer
    axes(handles.rf_axes2);
    cla reset
    bild7=imread([directoryname '\kap3_trafo3.jpeg']);
    colormap(gray);
    image(bild7);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Alternative Gamma impedance transformer','visible','on');
    set(handles.rf_text5,'string','Illustration: Alternative Gamma impedance transformer with a series capacitor','visible','on');
    set(handles.rf_text6,'string','Resistance R1 (ohm)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Resistance R2 (ohm)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Medium Frequency fm (GHz)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','','visible','off');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','','visible','on','string','*** Condition of resistance: R2<R1 ***','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');
elseif val == 11   %%Ueberschrift: phase shifter
    axes(handles.rf_axes2);
    cla reset
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','off','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','off');
    set(handles.rf_uipanel6,'visible','off');
    set(handles.rf_text2,'string','Phase shifter','visible','on');
    set(handles.rf_text5,'string','','visible','off');
elseif val == 12   %%Bedienoberflaeche: +90 degree phase shifter
    axes(handles.rf_axes2);
    cla reset
    bild8=imread([directoryname '\kap3_phase3b.jpeg']);
    colormap(gray);
    image(bild8);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','+90 degree phase shifter','visible','on');
    set(handles.rf_text5,'string','Illustration: Realization of a +90 degree phase shifter with three reactive elements','visible','on');
    set(handles.rf_text6,'string','Wave Resistance Z_L (ohm)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Medium Frequency fm (GHz)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','','visible','off','position',[4 170 222 20]);
    set(handles.rf_text9,'string','','visible','off');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','','visible','off','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','off','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');
elseif val == 13   %%Bedienoberflaeche: -90 degree phase shifter
    axes(handles.rf_axes2);
    cla reset
    bild8=imread([directoryname '\kap3_phase3a.jpeg']);
    colormap(gray);
    image(bild8);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','-90 degree phase shifter','visible','on');
    set(handles.rf_text5,'string','Illustration: Realization of a -90 degree phase shifter with three reactive elements','visible','on');
    set(handles.rf_text6,'string','Wave Resistance Z_L (ohm)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Medium Frequency fm (GHz)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','','visible','off','position',[4 170 222 20]);
    set(handles.rf_text9,'string','','visible','off');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','','visible','off','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','off','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');
elseif val == 14   %%Bedienoberflaeche: +90 degree phase shifter with common mode blocking
    axes(handles.rf_axes2);
    cla reset
    bild9=imread([directoryname '\kap6_kreuz21.jpeg']);
    colormap(gray);
    image(bild9);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','+90 degree phase shifter with common mode blocking','visible','on');
    set(handles.rf_text5,'string','Illustration: +90 degree phase shifter with common mode blocking functionality','visible','on');
    set(handles.rf_text6,'string','Impedance Z_La (ohm)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Impedance Z_Lb (ohm)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Medium Frequency fm (GHz)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','','visible','off');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','','visible','off','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');
elseif val == 15   %%Bedienoberflaeche: -90 degree phase shifter with common mode blocking
    axes(handles.rf_axes2);
    cla reset
    bild10=imread([directoryname '\kap6_kreuz22.jpeg']);
    colormap(gray);
    image(bild10);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','-90 degree phase shifter with common mode blocking','visible','on');
    set(handles.rf_text5,'string','Illustration: -90 degree phase shifter with common mode blocking functionality','visible','on');
    set(handles.rf_text6,'string','Impedance Z_La (ohm)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Impedance Z_Lb (ohm)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Medium Frequency fm (GHz)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','','visible','off');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','','visible','off','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');
elseif val == 16   %%Bedienoberflaeche: +180 degree phase shifter
    axes(handles.rf_axes2);
    cla reset
    bild11=imread([directoryname '\kap6_b3.jpeg']);
    colormap(gray);
    image(bild11);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','+180 Degree phase shifter','visible','on');
    set(handles.rf_text5,'string','Illustration: Circuit diagram to calculate the +180 degree phase shifter','visible','on');
    set(handles.rf_text6,'string','Inductance Lk (nH)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Medium Frequency fm (GHz)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','System Impedance Z0 (ohm)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','','visible','off');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','','visible','off','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');
elseif val == 17   %%Ueberschrift: Signal splitter
    axes(handles.rf_axes2);
    cla reset
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','off','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','off');
    set(handles.rf_uipanel6,'visible','off');
    set(handles.rf_text2,'string','Signal splitter','visible','on');
    set(handles.rf_text5,'string','','visible','off');
elseif val == 18   %%Bedienoberflaeche: Resistive signal splitter I
    axes(handles.rf_axes2);
    cla reset
    bild12=imread([directoryname '\kap3_signal1.jpeg']);
    colormap(gray);
    image(bild12);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Resistvie signal splitter I','visible','on');
    set(handles.rf_text5,'string','Illustration: Lossy signal splitter in single-pole Representation','visible','on');
    set(handles.rf_text6,'string','Impedance Z (ohm)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','System Impedance Z0 (ohm)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','','visible','off','position',[4 170 222 20]);
    set(handles.rf_text9,'string','','visible','off');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','*** Here analysis for unperfect and perfect condition ***','visible','on');
    set(handles.rf_text13,'string','*** Perfect condition of the input side: Z=Z0 ***','visible','on',...
        'Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','off','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');
elseif val == 19   %%Bedienoberflaeche: Resistive signal splitter II
    axes(handles.rf_axes2);
    cla reset
    bild12=imread([directoryname '\kap3_signal2.jpeg']);
    colormap(gray);
    image(bild12);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Resistvie signal splitter II','visible','on');
    set(handles.rf_text5,'string','Illustration: Lossy signal splitter in single-pole Representation','visible','on');
    set(handles.rf_text6,'string','Impedance Z (ohm)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','System Impedance Z0 (ohm)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','','visible','off','position',[4 170 222 20]);
    set(handles.rf_text9,'string','','visible','off');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','*** Here analysis for unperfect and perfect condition ***','visible','on');
    set(handles.rf_text13,'string','*** Perfect condition of the all sides: Z=Z0/3 ***','visible','on',...
        'Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','off','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');
elseif val == 20   %%Bedienoberflaeche: Reactive signal splitter
    axes(handles.rf_axes2);
    cla reset
    bild12=imread([directoryname '\kap3_signal4.jpeg']);
    colormap(gray);
    image(bild12);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Reactive signal splitter','visible','on');
    set(handles.rf_text5,'string','Illustration: Presentation of the lossless 3dB signal splitter that based on Gamma-transformers','visible','on');
    set(handles.rf_text6,'string','Impedance Zin (ohm)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Impedance Zout1 (ohm)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Impedance Zout2 (ohm)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','Medium Frequency fm (GHz)','visible','on');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','*** Condition of impendance: Zin>Zout1,Zout2. ***','visible','on',...
        'Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','on');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');
elseif val == 21  %%Ueberschrift: RF transmission line
    axes(handles.rf_axes2);
    cla reset
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','off','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','off');
    set(handles.rf_uipanel6,'visible','off');
    set(handles.rf_text2,'string','RF transmission line','visible','on');
    set(handles.rf_text5,'string','','visible','off');
elseif val == 22   %%Ueberschrift: Wave resistance of different TEM-waveguide
    axes(handles.rf_axes2);
    cla reset
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','off','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','off');
    set(handles.rf_uipanel6,'visible','off');
    set(handles.rf_text2,'string','Wave resistance of different TEM-waveguide','visible','on');
    set(handles.rf_text5,'string','','visible','off');
elseif val == 23   %%Bedienoberflaeche: Coaxial line
    axes(handles.rf_axes2);
    cla reset
    bild14=imread([directoryname '\kap4_koax1.jpeg']);
    colormap(gray);
    image(bild14);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Wave resistance of coaxial line','visible','on');
    set(handles.rf_text5,'string','Illustration: Cross section of a dielectric-filled coaxial line','visible','on');
    set(handles.rf_text6,'string','Dielectric Coefficient epsilon','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Wave Resistance Z_L (ohm)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Outside Diameter D (mm)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','Specific Resistance rho (ohm)','visible','on');
    set(handles.rf_text10,'string','Medium Frequency fm (GHz)','visible','on');
    set(handles.rf_text11,'string','Loss Angle tan(delta)','visible','on');
    set(handles.rf_text12,'string','*** Dielectric Coefficient epsilon: epsilon>=1 ***','visible','on');
    set(handles.rf_text13,'string','*** Loss Angle tan(delta): tan(delta)>=0 ***','visible','on',...
        'Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','on');
    set(handles.rf_edit5,'string','','visible','on');
    set(handles.rf_edit6,'string','','visible','on');
    set(handles.rf_listbox2,'string','','visible','on');
elseif val == 24   %%Bedienoberflaeche: Band line
    axes(handles.rf_axes2);
    cla reset
    bild15=imread([directoryname '\kap4_Band1.jpeg']);
    colormap(gray);
    image(bild15);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Wave resistance of band line','visible','on');
    set(handles.rf_text5,'string','Illustration: Cross section of a band line','visible','on');
    set(handles.rf_text6,'string','Dielectric Coefficient epsilon','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Distance a (mm)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Wave Resistance Z_L (ohm)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','Specific Resistance rho (ohm)','visible','on');
    set(handles.rf_text10,'string','Medium Frequency fm (GHz)','visible','on');
    set(handles.rf_text11,'string','Loss Angle tan(delta)','visible','on');
    set(handles.rf_text12,'string','*** Dielectric Coefficient epsilon: epsilon>=1 ***','visible','on');
    set(handles.rf_text13,'string','*** Loss Angle tan(delta): tan(delta)>=0 ***','visible','on',...
        'Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','on');
    set(handles.rf_edit5,'string','','visible','on');
    set(handles.rf_edit6,'string','','visible','on');
    set(handles.rf_listbox2,'string','','visible','on');   
elseif val == 25   %%Bedienoberflaeche: Twisted line
    axes(handles.rf_axes2);
    cla reset
    bild16=imread([directoryname '\kap4_parallel1.jpeg']);
    colormap(gray);
    image(bild16);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Wave resistance of twisted line','visible','on');
    set(handles.rf_text5,'string','Illustration: Cross section of a twisted line','visible','on');
    set(handles.rf_text6,'string','Dielectric Coefficient epsilon','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Diameter a (mm)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Wave Resistance Z_L (ohm)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','Specific Resistance rho (ohm)','visible','on');
    set(handles.rf_text10,'string','Medium Frequency fm (GHz)','visible','on');
    set(handles.rf_text11,'string','Loss Angle tan(delta)','visible','on');
    set(handles.rf_text12,'string','*** Dielectric Coefficient epsilon: epsilon>=1 ***','visible','on');
    set(handles.rf_text13,'string','*** Loss Angle tan(delta): tan(delta)>=0 ***','visible','on',...
        'Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','on');
    set(handles.rf_edit5,'string','','visible','on');
    set(handles.rf_edit6,'string','','visible','on');
    set(handles.rf_listbox2,'string','','visible','on');    
elseif val == 26   %%Bedienoberflaeche: Strip line
    axes(handles.rf_axes2);
    cla reset
    bild17=imread([directoryname '\kap4_strip1.jpeg']);
    colormap(gray);
    image(bild17);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Wave resistance of strip line','visible','on');
    set(handles.rf_text5,'string','Illustration: Cross section of a strip line','visible','on');
    set(handles.rf_text6,'string','Dielectric Coefficient epsilon','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Distance h (mm)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Width w (mm)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','Medium Frequency fm (GHz)','visible','on');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','***  Condition of width and distance: b>>h ***','visible','on','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','on');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');    
elseif val == 27   %%Ueberschrift: Error analysis of coaxial line
    axes(handles.rf_axes2);
    cla reset
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','off','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','off');
    set(handles.rf_uipanel6,'visible','off');
    set(handles.rf_text2,'string','Error analysis of coaxial line','visible','on');
    set(handles.rf_text5,'string','','visible','off');    
elseif val == 28   %%Bedienoberflaeche: Effect of penetration depth
    axes(handles.rf_axes2);
    cla reset
    bild18=imread([directoryname '\kap4_koax1.jpeg']);
    colormap(gray);
    image(bild18);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Influence on the wave resistance of a coaxial air line','visible','on');
    set(handles.rf_text5,'string','Illustration: Cross section of a dielectric-filled coaxial line','visible','on');
    set(handles.rf_text6,'string','Inside Diameter d (mm)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Outside Diameter D (mm)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Medium Frequency fm (GHz)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','Wave Resistance Z_L (ohm)','visible','on');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','*** Condition of diameter: D>d ***','visible','on','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','on');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');     
elseif val == 29   %%Bedienoberflaeche: Effect of mechanical error
    axes(handles.rf_axes2);
    cla reset
    bild18=imread([directoryname '\kap4_koax1.jpeg']);
    colormap(gray);
    image(bild18);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Influence on the wave resistance of a coaxial air line','visible','on');
    set(handles.rf_text5,'string','Illustration: Cross section of a dielectric-filled coaxial line','visible','on');
    set(handles.rf_text6,'string','Inside Diameter d (mm)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Outside Diameter D (mm)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Electric Length  p (degree)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','','visible','off');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','*** Condition of diameter: D>d ***','visible','on','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');
elseif val == 30   %%Ueberschrift: Lines for L-/C-realization
    axes(handles.rf_axes2);
    cla reset
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','off','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','off');
    set(handles.rf_uipanel6,'visible','off');
    set(handles.rf_text2,'string','Lines for L-/C-realization','visible','on');
    set(handles.rf_text5,'string','','visible','off'); 
elseif val == 31   %%Bedienoberflaeche: Shunt inductor 
    axes(handles.rf_axes2);
    cla reset
    bild19=imread([directoryname '\kap4_modl11.jpeg']);
    colormap(gray);
    image(bild19);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Shunt inductor','visible','on');
    set(handles.rf_text5,'string','Illustration: Short line replacement of a shunt inductor','visible','on');
    set(handles.rf_text6,'string','Electric Length p (degree)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Medium Frequency fm (GHz)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Wave Resistance Z_L (ohm)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','','visible','off');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','*** Electric length p (degree): 0<p<90 ***','visible','on',...
        'Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');   
elseif val == 32   %%Bedienoberflaeche: Series inductor
    axes(handles.rf_axes2);
    cla reset
    bild20=imread([directoryname '\kap4_modl21.jpeg']);
    colormap(gray);
    image(bild20);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Series inductor','visible','on');
    set(handles.rf_text5,'string','Illustration: Short line replacement of a series inductor','visible','on');
    set(handles.rf_text6,'string','Electric Length p (degree)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Medium Frequency fm (GHz)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Wave Resistance Z_L (ohm)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','','visible','off');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','*** Electric length p (degree): 0<p<90 ***','visible','on',...
        'Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');   
elseif val == 33   %%Bedienoberflaeche: Shunt capacitor
    axes(handles.rf_axes2);
    cla reset
    bild21=imread([directoryname '\kap4_modc31.jpeg']);
    colormap(gray);
    image(bild21);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Shunt capacitor','visible','on');
    set(handles.rf_text5,'string','Illustration: Line with unloaded circuit replacement of a shunt capacitor','visible','on');
    set(handles.rf_text6,'string','Electric Length p (degree)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Medium Frequency fm (GHz)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Wave Resistance Z_L (ohm)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','','visible','off');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','*** Electric length p (degree): 0<p<90 ***','visible','on',...
        'Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');    
elseif val == 34   %%Bedienoberflaeche: Series capacitor
    axes(handles.rf_axes2);
    cla reset
    bild22=imread([directoryname '\kap4_modc21.jpeg']);
    colormap(gray);
    image(bild22);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Series capacitor','visible','on');
    set(handles.rf_text5,'string','Illustration: Line with unloaded circuit replacement of a series capacitor','visible','on');
    set(handles.rf_text6,'string','Electric Length p (degree)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Medium Frequency fm (GHz)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Wave Resistance Z_L (ohm)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','','visible','off');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','*** Electric length p (degree): 0<p<90 ***','visible','on',...
        'Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');    
elseif val == 35   %%Ueberschrift: Line as impedance transformer
    axes(handles.rf_axes2);
    cla reset
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','off','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','off');
    set(handles.rf_uipanel6,'visible','off');
    set(handles.rf_text2,'string','Line as impedance tranformer','visible','on');
    set(handles.rf_text5,'string','','visible','off');     
elseif val == 36   %%Bedienoberflaeche: Lambda/2 line transformer
    axes(handles.rf_axes2);
    cla reset
    bild23=imread([directoryname '\kap4_trafo2.jpeg']);
    colormap(gray);
    image(bild23);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Lambda/2 line transformer','visible','on');
    set(handles.rf_text5,'string','Illustration: Representation of lambda/2-transformer','visible','on');
    set(handles.rf_text6,'string','Medium Frequency fm (GHz)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Wave Resistance Z_L (ohm)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Output Impedance Z_A (ohm)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','','visible','off');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','*** Dielectric coefficient epsilon: Er=1 ***','visible','on');
    set(handles.rf_text13,'string','*** Condition of impedance:  Z_L~=Z_A ***','visible','on',...
        'Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');    
elseif val == 37   %%Bedienoberflaeche: Lambda/4 line transformer
    axes(handles.rf_axes2);
    cla reset
    bild24=imread([directoryname '\kap4_trafo4.jpeg']);
    colormap(gray);
    image(bild24);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Lambda/4 line transformer','visible','on');
    set(handles.rf_text5,'string','Illustration: Representation of lambda/4-transformer','visible','on');
    set(handles.rf_text6,'string','Medium Frequency fm (GHz)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Input Impedance Z_E (ohm)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Output Impedance Z_A (ohm)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','','visible','off');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','*** Dielectric coefficient epsilon: Er=1 ***','visible','on');
    set(handles.rf_text13,'string','*** Condition of impedance:  Z_E~=Z_A ***','visible','on','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');     
elseif val == 38   %%Bedienoberflaeche: Lambda/x line transformer
    axes(handles.rf_axes2);
    cla reset
    bild25=imread([directoryname '\kap4_abschluss2.jpeg']);
    colormap(gray);
    image(bild25);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Lambda/x line transformer','visible','on');
    set(handles.rf_text5,'string','Illustration: The reflection factor r_E(l) and r_A at the input and output of a line','visible','on');
    set(handles.rf_text6,'string','Electric Length p (degree)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Wave Resistance Z_L (ohm)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Output Impedance Z_A (ohm)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','','visible','off');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','*** Condition of impedance:  Z_L~=Z_A ***','visible','on','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');    
elseif val == 39   %%Ueberschrift: Circuit theory and synthesis
    axes(handles.rf_axes2);
    cla reset
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','off','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','off');
    set(handles.rf_uipanel6,'visible','off');
    set(handles.rf_text2,'string','Circuit theory and synthesis with odd- and even-mode','visible','on');
    set(handles.rf_text5,'string','','visible','off');         
elseif val == 40   %%Ueberschrift: Mode blocker
    axes(handles.rf_axes2);
    cla reset
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','off','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','off');
    set(handles.rf_uipanel6,'visible','off');
    set(handles.rf_text2,'string','Mode blocker','visible','on');
    set(handles.rf_text5,'string','','visible','off');     
elseif val == 41   %%Bedienoberflaeche: Even-mode blocker based on resonator I (Capacitor)
    axes(handles.rf_axes2);
    cla reset
    bild28a=imread([directoryname '\kap6_block1b.jpeg']);
    colormap(gray);
    image(bild28a);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Even-mode blocker based on resonator I (Capacitor)','visible','on');
    set(handles.rf_text5,'string','Illustration: Mode blocker based on resonance circuits (even-mode blocker)','visible','on');
    set(handles.rf_text6,'string','Capacitance C (pF)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Medium Frequency fm (GHz)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','System Impedance Z0 (ohm)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','','visible','off');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','','visible','off','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');
elseif val == 42   %%Bedienoberflaeche: Even-mode blocker based on resonator II (Inductor)
    axes(handles.rf_axes2);
    cla reset
    bild28b=imread([directoryname '\kap6_block1a.jpeg']);
    colormap(gray);
    image(bild28b);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Even-mode blocker based on resonator II (Inductor)','visible','on');
    set(handles.rf_text5,'string','Illustration: Mode blocker based on resonance circuits (even-mode blocker)','visible','on');
    set(handles.rf_text6,'string','Inductance L (nH)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Medium Frequency fm (GHz)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','System Impedance Z0 (ohm)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','','visible','off');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','','visible','off','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');
elseif val == 43   %%Ueberschrift: Odd-mode blocker based on cross circuit
    axes(handles.rf_axes2);
    cla reset
    bild29=imread([directoryname '\kap6_kreuz11.jpeg']);
    colormap(gray);
    image(bild29);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Odd-mode blocker based on cross circuit','visible','on');
    set(handles.rf_text5,'string','Illustration: Mode blocker based on cross circuits (odd-mode blocker)','visible','on');
    set(handles.rf_text6,'string','','visible','off','position',[4 218 222 20]);
    set(handles.rf_text7,'string','','visible','off','position',[4 194 222 20]);
    set(handles.rf_text8,'string','','visible','off','position',[4 170 222 20]);
    set(handles.rf_text9,'string','','visible','off');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','*** Y is free ***','visible','on','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','off','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','off','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','off','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');    
elseif val == 44   %%Bedienoberflaeche: Propagation matrix
    axes(handles.rf_axes2);
    cla reset
    bild31=imread([directoryname '\kap6_pmatrix.jpeg']);
    colormap(gray);
    image(bild31);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[164 31 500 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Propagation-matrix for mixed-mode-systems','visible','on');
    set(handles.rf_text5,'string','Illustration: Series connection of three MM-two-ports-pairs by P-matrix','visible','on');
    set(handles.rf_text6,'string','Propagation-matrix P1 (4-port)','visible','on','position',[4 218  192 20]);
    set(handles.rf_text7,'string','Propagation-matrix P2 (4-port)','visible','on','position',[4 194  192 20]);
    set(handles.rf_text8,'string','Propagation-matrix P3 (4-port)','visible','on','position',[4 170  192 20]);
    set(handles.rf_text9,'string','','visible','off');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','*** Please enter with 4-port matrix form as follow: 1 1 1 1;1 1 1 1;1 1 1 1;1 1 1 1 ***','visible','on',...
        'Position',[4 4 492 20]);
    set(handles.rf_edit1,'string','','visible','on','position',[196 218  300 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[196 194  300 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[196 170  300 20]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');    
elseif val == 45   %%Bedienoberflaeche: Relationship between S- and M-parameters
    axes(handles.rf_axes2);
    cla reset
    bild32=imread([directoryname '\kap6_saw1.jpeg']);
    colormap(gray);
    image(bild32);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[164 31 500 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Relationship between S- and general M-parameters','visible','on');
    set(handles.rf_text5,'string','Illustration: Series connection of three MM-two-ports-pairs by P-matrix','visible','on');
    set(handles.rf_text6,'string','S-parameter-matrix S (3-port)','visible','on','position',[4 218  192 20]);
    set(handles.rf_text7,'string','or M-parameter-matrix M (3-port)','visible','on','position',[4 194  192 20]);
    set(handles.rf_text8,'string','','visible','off','position',[4 170  192 20]);
    set(handles.rf_text9,'string','','visible','off');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','*** Please enter with 3-port matrix form as follow: 1 1 1;1 1 1;1 1 1 ***','visible','on',...
        'Position',[4 4 492 20]);
    set(handles.rf_edit1,'string','','visible','on','position',[196 218  300 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[196 194  300 20]);
    set(handles.rf_edit3,'string','','visible','off','position',[196 170  300 20]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');    
elseif val == 46   %%Ueberschrift: Balun 
    axes(handles.rf_axes2);
    cla reset
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','off','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','off');
    set(handles.rf_uipanel6,'visible','off');
    set(handles.rf_text2,'string','Balun','visible','on');
    set(handles.rf_text5,'string','','visible','off');
elseif val == 47   %%Bedienoberflaeche: +/-90 degree balun
    axes(handles.rf_axes2);
    cla reset
    bild33=imread([directoryname '\kap6_90balun1.jpeg']);
    colormap(gray);
    image(bild33);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','+/-90 degree balun','visible','on');
    set(handles.rf_text5,'string','Illustration: +/-90 degree balun implemented with lumped elements','visible','on');
    set(handles.rf_text6,'string','Resistance Rin (ohm)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Resistance R (ohm)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Medium Frequency fm (GHz)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','','visible','off');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','*** Condition of resistance: Rin~=R ***','visible','on','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');
elseif val == 48   %%Bedienoberflaeche: Saving-balun
    axes(handles.rf_axes2);
    cla reset
    bild34=imread([directoryname '\kap6_sparbalun1.jpeg']);
    colormap(gray);
    image(bild34);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Saving-balun','visible','on');
    set(handles.rf_text5,'string','Illustration: Saving-balun implemented with only two lumped elements','visible','on');
    set(handles.rf_text6,'string','Resistance Rx (ohm)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Resistance Ry (ohm)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Medium Frequency fm (GHz)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','','visible','off');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','*** Condition of resistance: Rx>Ry ***','visible','on','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');    
elseif val == 49   %%Ueberschrift: Coupler and synthesis
    axes(handles.rf_axes2);
    cla reset
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','off','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','off');
    set(handles.rf_uipanel6,'visible','off');
    set(handles.rf_text2,'string','Coupler and synthesis bases of the coupler','visible','on');
    set(handles.rf_text5,'string','','visible','off');    
elseif val == 50   %%Bedienoberflaeche: Ideal coupler
    axes(handles.rf_axes2);
    cla reset
    bild35=imread([directoryname '\kap6_kopp1.jpeg']);
    colormap(gray);
    image(bild35);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Ideal coupler','visible','on');
    set(handles.rf_text5,'string','Illustration: Symbol of a RF-coupler in unipolar representation','visible','on');
    set(handles.rf_text6,'string','Pass Factor tau','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Transmission Factor kappa','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','','visible','off','position',[4 170 222 20]);
    set(handles.rf_text9,'string','','visible','off');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','','visible','off','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','off','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');
elseif val == 51   %%Bedienoberflaeche: Line coupler
    axes(handles.rf_axes2);
    cla reset
    [bild36,map]=imread([directoryname '\kap6_mikrokopp1.jpeg']);
    colormap(map);
    image(bild36);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Line coupler','visible','on');
    set(handles.rf_text5,'string','Illustration: Plan view in microstrip technology on a line coupler','visible','on');
    set(handles.rf_text6,'string','Electric Length p (degree)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Impedance Ze (ohm)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Medium Frequency fm (GHz)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','System Impedance Z0 (ohm)','visible','on');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','*** Ideal condition: p=90 (degree) ***','visible','on');
    set(handles.rf_text13,'string','*** Condition of impedance: Ze~=Z0 ***','visible','on','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','on');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');
elseif val == 52   %%Bedienoberflaeche: Resistive coupler
    axes(handles.rf_axes2);
    cla reset
    bild37=imread([directoryname '\kap6_reskoppler2.jpeg']);
    colormap(gray);
    image(bild37);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Resistive coupler','visible','on');
    set(handles.rf_text5,'string','Illustration: Basic structure of the resistive coupler','visible','on');
    set(handles.rf_text6,'string','Impedance Z1 (ohm)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','System Impedance Z0 (ohm)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','','visible','off','position',[4 170 222 20]);
    set(handles.rf_text9,'string','','visible','on');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','','visible','off','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','off','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');    
elseif val == 53   %%Bedienoberflaeche: +90 degree LC-coupler
    axes(handles.rf_axes2);
    cla reset
    bild38=imread([directoryname '\kap6_reskoppler.jpeg']);
    colormap(gray);
    image(bild38);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','+90 degree LC-coupler','visible','on');
    set(handles.rf_text5,'string','Illustration: Basic structure of the 90 degree LC-coupler','visible','on');
    set(handles.rf_text6,'string','Capacitance C (pF)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Medium Frequency fm (GHz)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','System Impedance Z0 (ohm)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','','visible','off');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','','visible','off','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','off');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');
elseif val == 54   %%Ueberschrift: Filter and resonator
    axes(handles.rf_axes2);
    cla reset
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','off','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','off');
    set(handles.rf_uipanel6,'visible','off');
    set(handles.rf_text2,'string','Filter and resonator','visible','on');
    set(handles.rf_text5,'string','','visible','off');        
elseif val == 55   %%Ueberschrift: Characteristics of resonator
    axes(handles.rf_axes2);
    cla reset
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','off','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','off');
    set(handles.rf_uipanel6,'visible','off');
    set(handles.rf_text2,'string','Characteristics of resonator','visible','on');
    set(handles.rf_text5,'string','','visible','off');
elseif val == 56   %%Bedienoberflaeche: Series circuit
    axes(handles.rf_axes2);
    cla reset
    bild40=imread([directoryname '\kap5_res0_s.jpeg']);
    colormap(gray);
    image(bild40);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Characteristics of resonator with series structure','visible','on');
    set(handles.rf_text5,'string','Illustration: Series circuit with RLC-elements','visible','on');
    set(handles.rf_text6,'string','Resistance R (ohm)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Capacitance C (pF)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Analyze Frequency fa (GHz)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','Resonance Frequency fr (GHz)','visible','on');
    set(handles.rf_text10,'string','System Impedance Z0 (ohm)','visible','on');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','*** Condition of frequency: 0<fr<2*fa ***','visible','on','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','on');
    set(handles.rf_edit5,'string','','visible','on');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');    
elseif val == 57   %%Bedienoberflaeche: Parallel circuit
    axes(handles.rf_axes2);
    cla reset
    bild41=imread([directoryname '\kap5_res0_p.jpeg']);
    colormap(gray);
    image(bild41);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Characteristics of resonator with parallel structure','visible','on');
    set(handles.rf_text5,'string','Illustration: Parallel circuit with RLC-elements','visible','on');
    set(handles.rf_text6,'string','Conductance G (S)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Inductance L  (nH)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Analyze Frequency fa (GHz)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','Resonance Frequency fr (GHz)','visible','on');
    set(handles.rf_text10,'string','System Impedance Z0 (ohm)','visible','on');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','*** Condition of frequency: 0<fr<2*fa ***','visible','on','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','on');
    set(handles.rf_edit5,'string','','visible','on');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');     
elseif val == 58   %%Bedienoberflaeche: Loaded resonator 
    axes(handles.rf_axes2);
    cla reset
    bild43=imread([directoryname '\kap5_res5.jpeg']);
    colormap(gray);
    image(bild43);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Q-factor of loaded-resonator with parallel circuit','visible','on');
    set(handles.rf_text5,'string','Illustration: Equivalent circuit of a loaded-resonator','visible','on');
    set(handles.rf_text6,'string','Conductance Ge (S)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Conductance Gp (S)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Inductance Lp (nH)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','Resonance Frequency fr (GHz)','visible','on');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','','visible','off','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','on');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');
elseif val == 59   %%Ueberschrift: Theory of lambda/4-resonator
    axes(handles.rf_axes2);
    cla reset
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','off','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','off');
    set(handles.rf_uipanel6,'visible','off');
    set(handles.rf_text2,'string','Theory of lambda/4-resonator','visible','on');
    set(handles.rf_text5,'string','','visible','off');
elseif val == 60   %%Bedienoberflaeche: Lambda/4-resonator with open
    axes(handles.rf_axes2);
    cla reset
    bild44=imread([directoryname '\kap5_res21.jpeg']);
    colormap(gray);
    image(bild44);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Lambda/4-resonator with open','visible','on');
    set(handles.rf_text5,'string','Illustration: Equivalent circuit of an unloaded lambda/4-resonators at resonance frequency','visible','on');
    set(handles.rf_text6,'string','Dielectric Coefficient epsilon','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Wave Resistance Z_L (ohm)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Attenuation Constant alpha','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','Medium Frequency fm (GHz)','visible','on');
    set(handles.rf_text10,'string','Resonance Frequency fr (GHz)','visible','on');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','*** Attenuation Constant alpha: 0<alpha<1 ***','visible','on');
    set(handles.rf_text13,'string','*** Condition of frequency: fr~=fm *** ','visible','on','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','on');
    set(handles.rf_edit5,'string','','visible','on');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');    
elseif val == 61   %%Bedienoberflaeche: Lambda/4-resonator with short
    axes(handles.rf_axes2);
    cla reset
    bild45=imread([directoryname '\kap5_res41.jpeg']);
    colormap(gray);
    image(bild45);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Lambda/4-resonator with short','visible','on');
    set(handles.rf_text5,'string','Illustration: Equivalent circuit of an short lambda/4-resonators at resonance frequency','visible','on');
    set(handles.rf_text6,'string','Dielectric Coefficient epsilon','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Wave Resistance Z_L (ohm)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Attenuation Constant alpha','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','Medium Frequency fm (GHz)','visible','on');
    set(handles.rf_text10,'string','Resonance Frequency fr (GHz)','visible','on');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','*** Attenuation Constant alpha: 0<alpha<1 ***','visible','on');
    set(handles.rf_text13,'string','*** Condition of frequency: fr~=fm *** ','visible','on','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','on');
    set(handles.rf_edit5,'string','','visible','on');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');     
elseif val == 62   %%Ueberschrift: Loaded resonator
    axes(handles.rf_axes2);
    cla reset
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','off','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','off');
    set(handles.rf_uipanel6,'visible','off');
    set(handles.rf_text2,'string','Loaded resonator','visible','on');
    set(handles.rf_text5,'string','','visible','off');    
elseif val == 63   %%Bedienoberflaeche: Transmission resonator
    axes(handles.rf_axes2);
    cla reset
    bild46=imread([directoryname '\kap5_res7c.jpeg']);
    colormap(gray);
    image(bild46);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Transmission resonator','visible','on');
    set(handles.rf_text5,'string','Illustration: Hardware structure of transmission resonator as band pass resonator with Gamma-transformer','visible','on');
    set(handles.rf_text6,'string','Impedance Z_L1 (ohm)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Impedance Z_L2 (ohm)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Impedance Z_inside (ohm)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','Conductance G_R (S)','visible','on');
    set(handles.rf_text10,'string','Inductance L_R (nH)','visible','on');
    set(handles.rf_text11,'string','Resonance Frequency fr (GHz)','visible','on');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','*** Condition of impedance: Z_inside>Z_L1,Z_L2 ***','visible','on','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','on');
    set(handles.rf_edit5,'string','','visible','on');
    set(handles.rf_edit6,'string','','visible','on');
    set(handles.rf_listbox2,'string','','visible','on');    
elseif val == 64   %%Bedienoberflaeche: Reflection resonator
    axes(handles.rf_axes2);
    cla reset
    bild47=imread([directoryname '\kap5_res7.jpeg']);
    colormap(gray);
    image(bild47);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Reflection resonator','visible','on');
    set(handles.rf_text5,'string','Illustration: Equivalent circuit of a resonator with a coupled impendance transformation using a Gamma-transformer','visible','on');
    set(handles.rf_text6,'string','Impedance Z0 (ohm)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Impedance Z_inside (ohm)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Conductance G_R (S)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','Inductance L_R (nH)','visible','on');
    set(handles.rf_text10,'string','Resonance Frequency fr (GHz)','visible','on');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','*** Condition of impedance: Z_inside>Z0 ***','visible','on','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','on');
    set(handles.rf_edit5,'string','','visible','on');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');
elseif val == 65   %%Ueberschrift: Resonator with double-circuit
    axes(handles.rf_axes2);
    cla reset
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','off','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','off');
    set(handles.rf_uipanel6,'visible','off');
    set(handles.rf_text2,'string','Bandpass filter with two coupled resonators','visible','on');
    set(handles.rf_text5,'string','','visible','off');
elseif val == 66   %%Bedienoberflaeche: Resonator filter with coupled capacitor
    axes(handles.rf_axes2);
    cla reset
    [bild49,map]=imread([directoryname '\kap5_koppelc1.jpeg']);
    colormap(map);
    image(bild49);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Resonator filter with coupled capacitor','visible','on');
    set(handles.rf_text5,'string','Illustration: LC-circuit for a voltage coupled resonator with coupled capacitor','visible','on');
    set(handles.rf_text6,'string','Wave Resistance Z_L (ohm)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Lower Matching Point f1 (GHz)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Upper Matching Point f2 (GHz)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','Slope of Filter fr (GHz)','visible','on');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','*** Condition of frequency: 0<f1<f2<fr ***','visible','on','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','on');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');    
elseif val == 67   %%Bedienoberflaeche: Resonator filter with coupled inductor
    axes(handles.rf_axes2);
    cla reset
    [bild50,map]=imread([directoryname '\kap5_koppell1.jpeg']);
    colormap(map);
    image(bild50);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Resonator filter with coupled inductor','visible','on');
    set(handles.rf_text5,'string','Illustration: LC-circuit for a voltage coupled resonator with coupled inductor','visible','on');
    set(handles.rf_text6,'string','Wave Resistance Z_L (ohm)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Lower Matching Point f1 (GHz)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Upper Matching Point f2 (GHz)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','Slope of Filter fr (GHz)','visible','on');
    set(handles.rf_text10,'string','','visible','off');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','*** Condition of frequency: 0<fr<f1<f2<4*fr ***','visible','on','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','on');
    set(handles.rf_edit5,'string','','visible','off');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');    
elseif val == 68   %%Bedienoberflaeche: Resonator filter with notch filter
    axes(handles.rf_axes2);
    cla reset
    [bild51,map]=imread([directoryname '\kap5_koppelres1.jpeg']);
    colormap(map);
    image(bild51);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Resonator filter with notch filter','visible','on');
    set(handles.rf_text5,'string','Illustration: LC-circuit for a voltage coupled resonator with coupled resonator','visible','on');
    set(handles.rf_text6,'string','Wave Resistance Z_L (ohm)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Lower Matching Point f1 (GHz)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Upper Matching Point f2 (GHz)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','Blocking Frequency f3 (GHz)','visible','on');
    set(handles.rf_text10,'string','Slope of Filter fr (GHz)','visible','on');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','','visible','off');
    set(handles.rf_text13,'string','*** Condition of frequency: 0<f1<f2<fr<f3<4*fr ***','visible','on','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','on');
    set(handles.rf_edit5,'string','','visible','on');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');    
elseif val == 69   %%Bedienoberflaeche: Resonator filter with LC-coupling and notch filter
    axes(handles.rf_axes2);
    cla reset
    [bild52,map]=imread([directoryname '\kap5_trafo1.jpeg']);
    colormap(map);
    image(bild52);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Resonator filter with LC-coupling and notch filter','visible','on');
    set(handles.rf_text5,'string','Illustration: Modified bandpass with impedance transformation','visible','on');
    set(handles.rf_text6,'string','Resistance R1 (ohm)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Resistance R2 (ohm)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Lower Matching Point f1 (GHz)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','Upper Matching Point f2 (GHz)','visible','on');
    set(handles.rf_text10,'string','Blocking Frequency f3 (GHz)','visible','on');
    set(handles.rf_text11,'string','Slope of Filter fr (GHz)','visible','on');
    set(handles.rf_text12,'string','*** Condition of Resistance: 0<R1<R2 ***','visible','on');
    set(handles.rf_text13,'string','*** Condition of frequency: 0<fr<f1<f2<f3<4*fr ***','visible','on','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','on');
    set(handles.rf_edit5,'string','','visible','on');
    set(handles.rf_edit6,'string','','visible','on');
    set(handles.rf_listbox2,'string','','visible','on');    
elseif val == 70   %%Bedienoberflaeche: Diplexer
    axes(handles.rf_axes2);
    cla reset
    bild53=imread([directoryname '\kap5_Weiche2.jpeg']);
    colormap(gray);
    image(bild53);
    axis off;
    axes(handles.rf_axes3);
    cla reset
    axis off;
    set(handles.rf_uipanel4,'visible','on','position',[669 328 332 276]);
    set(handles.rf_uipanel5,'visible','on');
    set(handles.rf_uipanel6,'visible','on');
    set(handles.rf_text2,'string','Diplexer from resonance circuits','visible','on');
    set(handles.rf_text5,'string','Illustration: Building a diplexer with series- and parallel-resonance-circuits','visible','on');
    set(handles.rf_text6,'string','Capacitance C1 (pF)','visible','on','position',[4 218 222 20]);
    set(handles.rf_text7,'string','Inductance L1 (nH)','visible','on','position',[4 194 222 20]);
    set(handles.rf_text8,'string','Frequency f1 (GHz)','visible','on','position',[4 170 222 20]);
    set(handles.rf_text9,'string','Frequency f2 (GHz)','visible','on');
    set(handles.rf_text10,'string','System Impedance Z0 (ohm)','visible','on');
    set(handles.rf_text11,'string','','visible','off');
    set(handles.rf_text12,'string','*** Tor1: f1,f2; Tor2: f2; Tor3: f1 ***','visible','on');
    set(handles.rf_text13,'string','*** Condition of frequency: 0<f2/4<f1<f2 ***','visible','on','Position',[4 4 324 16]);
    set(handles.rf_edit1,'string','','visible','on','position',[226 218 100 20]);
    set(handles.rf_edit2,'string','','visible','on','position',[226 194 100 20]);
    set(handles.rf_edit3,'string','','visible','on','position',[226 170 100 20]);
    set(handles.rf_edit4,'string','','visible','on');
    set(handles.rf_edit5,'string','','visible','on');
    set(handles.rf_edit6,'string','','visible','off');
    set(handles.rf_listbox2,'string','','visible','on');     
end

% --- Executes during object creation, after setting all properties.
function rf_listbox1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to rf_listbox1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: listbox controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end





function rf_edit1_Callback(hObject, eventdata, handles)
% hObject    handle to rf_edit1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of rf_edit1 as text
%        str2double(get(hObject,'String')) returns contents of rf_edit1 as a double


% --- Executes during object creation, after setting all properties.
function rf_edit1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to rf_edit1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function rf_edit2_Callback(hObject, eventdata, handles)
% hObject    handle to rf_edit2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of rf_edit2 as text
%        str2double(get(hObject,'String')) returns contents of rf_edit2 as a double


% --- Executes during object creation, after setting all properties.
function rf_edit2_CreateFcn(hObject, eventdata, handles)
% hObject    handle to rf_edit2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function rf_edit3_Callback(hObject, eventdata, handles)
% hObject    handle to rf_edit3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of rf_edit3 as text
%        str2double(get(hObject,'String')) returns contents of rf_edit3 as a double


% --- Executes during object creation, after setting all properties.
function rf_edit3_CreateFcn(hObject, eventdata, handles)
% hObject    handle to rf_edit3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function rf_edit4_Callback(hObject, eventdata, handles)
% hObject    handle to rf_edit4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of rf_edit4 as text
%        str2double(get(hObject,'String')) returns contents of rf_edit4 as a double


% --- Executes during object creation, after setting all properties.
function rf_edit4_CreateFcn(hObject, eventdata, handles)
% hObject    handle to rf_edit4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function rf_edit5_Callback(hObject, eventdata, handles)
% hObject    handle to rf_edit5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of rf_edit5 as text
%        str2double(get(hObject,'String')) returns contents of rf_edit5 as a double


% --- Executes during object creation, after setting all properties.
function rf_edit5_CreateFcn(hObject, eventdata, handles)
% hObject    handle to rf_edit5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function rf_edit6_Callback(hObject, eventdata, handles)
% hObject    handle to rf_edit6 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of rf_edit6 as text
%        str2double(get(hObject,'String')) returns contents of rf_edit6 as a double


% --- Executes during object creation, after setting all properties.
function rf_edit6_CreateFcn(hObject, eventdata, handles)
% hObject    handle to rf_edit6 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end




% --- Executes on selection change in rf_listbox2.
function rf_listbox2_Callback(hObject, eventdata, handles)
% hObject    handle to rf_listbox2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = get(hObject,'String') returns rf_listbox2 contents as cell array
%        contents{get(hObject,'Value')} returns selected item from rf_listbox2


% --- Executes during object creation, after setting all properties.
function rf_listbox2_CreateFcn(hObject, eventdata, handles)
% hObject    handle to rf_listbox2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: listbox controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in rf_ok.
function rf_ok_Callback(hObject, eventdata, handles)
% hObject    handle to rf_ok (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global directoryname k val
k=0;
fid=fopen('directory.txt','r');
directoryname=fscanf(fid,'%s');
fclose(fid);

if val == 3   %%Bedienoberflaeche: De-embedding
        Sa = str2num(str2mat(get(handles.rf_edit1, 'String')));
        [row, col] = size(Sa);
        if (row > col) || (row < col) || (row~=2) || (col~=2)
           errordlg('Scattering parameter matrix Sa must be a 2-port matrix.  Please enter again!');
           hold off;
           return
        elseif Sa(1,1)<0 || Sa(1,2)<0 || Sa(2,1)<0 || Sa(2,2)<0
               errordlg('Scattering parameter matrix Sa must be a nonnegative matrix.  Please enter again!');
               hold off;
               return
        else
             Sa;
        end
        Sb = str2num(str2mat(get(handles.rf_edit2, 'String')));
        [row, col] = size(Sb);
        if (row > col) || (row < col) || (row~=2) || (col~=2)
           errordlg('Scattering parameter matrix Sb must be a 2-port matrix. Please enter again!');
           hold off;
           return
        elseif Sb(1,1)<0 || Sb(1,2)<0 || Sb(2,1)<0 || Sb(2,2)<0
               errordlg('Scattering parameter matrix Sb must be a nonnegative matrix. Please enter again!');
               hold off;
               return
        else
             Sb;
        end
        St = str2num(str2mat(get(handles.rf_edit3, 'String')));
        [row, col] = size(St);
        if (row > col) || (row < col) || (row~=2) || (col~=2)
           errordlg('Total scattering parameter matrix St must be a 2-port matrix. Please enter again!');
           hold off;
           return
        elseif St(1,1)<0 || St(1,2)<0 || St(2,1)<0 || St(2,2)<0
               errordlg('Total scattering parameter matrix St must be a nonnegative matrix. Please enter again!');
               hold off;
               return
        else
             St;
        end
        %%Berechnung
        det_Sa=Sa(1,1)*Sa(2,2)-Sa(1,2)*Sa(2,1);
        det_Sb=Sb(1,1)*Sb(2,2)-Sb(1,2)*Sb(2,1);
        det_St=St(1,1)*St(2,2)-St(1,2)*St(2,1);
        Sigma_a=(1/Sa(2,1))*[1 -Sa(2,2);Sa(1,1) -det_Sa];
        Sigma_b=(1/Sb(2,1))*[1 -Sb(2,2);Sb(1,1) -det_Sb];
        Sigma_t=(1/St(2,1))*[1 -St(2,2);St(1,1) -det_St];
        Sigma_x=([Sigma_a]^(-1))*[Sigma_t]*([Sigma_b]^(-1));
        det_Sigma_x=Sigma_x(1,1)*Sigma_x(2,2)-Sigma_x(1,2)*Sigma_x(2,1);
        Sx=(1/Sigma_x(1,1)).*[Sigma_x(2,1) det_Sigma_x;1 -Sigma_x(1,2)];
        %%Ergebnis ausgeben
        set(handles.rf_listbox2,'String','');
        str1=sprintf('Transmission matrix Sa: Sigma_a=');
        str2=sprintf('%0.3g   %0.3g',Sigma_a(1,:));
        str3=sprintf('%0.3g   %0.3g',Sigma_a(2,:));
        str4=sprintf('Transmission matrix Sb: Sigma_b=');
        str5=sprintf('%0.3g   %0.3g',Sigma_b(1,:));
        str6=sprintf('%0.3g   %0.3g',Sigma_b(2,:));
        str7=sprintf('Total transmission matrix St: Sigma_t=');
        str8=sprintf('%0.3g   %0.3g',Sigma_t(1,:));
        str9=sprintf('%0.3g   %0.3g',Sigma_t(2,:));
        str10=sprintf('Scattering parameter matrix Sx: Sx=');
        str11=sprintf('%0.3g   %0.3g',Sx(1,:));
        str12=sprintf('%0.3g   %0.3g',Sx(2,:));
        Result=str2mat(str1,str2,str3,'',str4,str5,str6,'',str7,str8,str9,'',str10,str11,str12);
        set(handles.rf_listbox2,'String',Result);
elseif val == 6   %%Bedienoberflaeche: PI-structure
       Z_L=str2double(get(handles.rf_edit1,'String'));
       IL=str2num(get(handles.rf_edit2,'String'));
       if real(Z_L)<0 || real(Z_L)==0
          errordlg('The real part of Z_L must be positive. Please enter again!');
          hold off;
          return
       elseif IL==0
          errordlg('Insertion Loss IL can not be zero. Please enter again!');
          hold off;
          return
       else
          Z_L;IL;
       end
          alpha=1/(10)^(IL/20);
          z1=((1/alpha)+1)/((1/alpha)-1);
          Z1=z1*Z_L;
          z3=2*z1/(z1^2-1);
          Z3=z3*Z_L;
          if imag(Z_L)==0
             set(handles.rf_listbox2,'String','');
             str1=sprintf('Practical resistance R1 (ohm)');
             str2=sprintf('R1=%0.3g',abs(Z1));
             str3=sprintf('Practical resistance R2 (ohm)');
             str4=sprintf('R2=%0.3g',abs(Z3));
             Result=str2mat(str1,str2,'',str3,str4);
             set(handles.rf_listbox2,'String',Result);
          else
             set(handles.rf_listbox2,'String','');
             str1=sprintf('Practical Impedance R1 (ohm) (real part)');
             str2=sprintf('real(R1)=%0.3g',real(Z1));
             str3=sprintf('Practical Impedance R1 (ohm) (imaginary part)');
             str4=sprintf('imag(R1)=%0.3g',imag(Z1));
             str5=sprintf('Practical Impedance R2 (ohm) (real part)');
             str6=sprintf('real(R2)=%0.3g',real(Z3));
             str7=sprintf('Practical Impedance R2 (ohm) (imaginary part)');
             str8=sprintf('imag(R2)=%0.3g',imag(Z3));
             Result=str2mat(str1,str2,'',str3,str4,'',str5,str6,'',str7,str8);
             set(handles.rf_listbox2,'String',Result);
          end
elseif val == 7   %%Bedienoberflaeche: T-structure
       Z_L=str2double(get(handles.rf_edit1,'String'));
       IL=str2num(get(handles.rf_edit2,'String'));
       if real(Z_L)<0 || real(Z_L)==0
          errordlg('The real part of Z_L must be positive. Please enter again!');
          hold off;
          return
       elseif IL==0
          errordlg('Insertion Loss IL can not be zero. Please enter again!');
          hold off;
          return
       else
          Z_L;IL;
       end
          alpha=1/(10)^(IL/20);
          Z_gegen=Z_L*(1-alpha)/(1+alpha);
          R1=Z_gegen;
          Z_gleich=Z_L*(1+alpha)/(1-alpha);
          R2=((Z_gleich)-R1)/2;
          if imag(Z_L)==0
             set(handles.rf_listbox2,'String','');
             str1=sprintf('Practical resistance R1 (ohm)');
             str2=sprintf('R1=%0.3g',abs(R1));
             str3=sprintf('Practical resistance R2 (ohm)');
             str4=sprintf('R2=%0.3g',abs(R2));
             Result=str2mat(str1,str2,'',str3,str4);
             set(handles.rf_listbox2,'String',Result);
          else
             set(handles.rf_listbox2,'String','');
             str1=sprintf('Practical impedance R1 (ohm) (real part)');
             str2=sprintf('real(R1)=%0.3g',real(R1));
             str3=sprintf('Practical impedance R1 (ohm) (imaginary part)');
             str4=sprintf('imag(R1)=%0.3g',imag(R1));
             str5=sprintf('Practical impedance R2 (ohm) (real part)');
             str6=sprintf('real(R2)=%0.3g',real(R2));
             str7=sprintf('Practical impedance R2 (ohm) (imaginary part)');
             str8=sprintf('imag(R2)=%0.3g',imag(R2));
             Result=str2mat(str1,str2,'',str3,str4,'',str5,str6,'',str7,str8);
             set(handles.rf_listbox2,'String',Result);
          end
elseif val == 9   %%Bedienoberflaeche: Gamma impedance transformer
    R1=str2num(get(handles.rf_edit1,'String'));
     R2=str2num(get(handles.rf_edit2,'String'));
     fm_ein=str2num(get(handles.rf_edit3,'String'));
     if (R1<0) || (R1==0)
        errordlg('Resistance R1 must be a positive number. Please enter again!');
        hold off;
        return
     elseif (R2<0) || (R2==0)
        errordlg('Resistance R2 must be a positive number. Please enter again!');
        hold off;
        return
     elseif (R1<R2) || (R1==R2)
        errordlg('Resistance R1 must be greater than R2. Please enter again!');
        hold off;
        return
     elseif (fm_ein<0) || (fm_ein==0)
        errordlg('Medium frequency fm must be positive number. Please enter again!');
        hold off;
        return
     else
        R1;R2;fm_ein;
     end
     fm=fm_ein*1e9;
     wm=2*pi*fm;
     t=R1/R2;
        C=sqrt((1-1/t)/t)*(1/R2)*(1/wm);
        L=sqrt(t-1)*R2*(1/wm);
        set(handles.rf_listbox2,'String','');
        str1=sprintf('Shunt capacitance C (F)');
        str2=sprintf('C=%0.3g',abs(C));
        str3=sprintf('Series inductance L (H)');
        str4=sprintf('L=%0.3g',abs(L));
        Result=str2mat(str1,str2,'',str3,str4);
        set(handles.rf_listbox2,'String',Result);
        %%Abbildung S21 und S22
        for kk=1:1:1000
            anz=(2*fm)/1000;
            f(kk)=anz*kk;
            w(kk)=2*pi*f(kk);
            Z2(kk)=j*w(kk)*L;
            Z3(kk)=1/(j*w(kk)*C);
            Nenner(kk)=Z3(kk)*Z2(kk)+Z3(kk)*R2+R1*Z2(kk)+R1*Z3(kk)+R1*R2;
            S21(kk)=(2*sqrt(R1)*Z3(kk)*sqrt(R2))/Nenner(kk);
            S21_dB(kk)=20*log10(abs(S21(kk)));
            S11(kk)=1-(2*(Z2(kk)+Z3(kk)+R2)*R1/Nenner(kk));
            S11_dB(kk)=20*log10(abs(S11(kk)));
        end 
        axes(handles.rf_axes3);
        set(handles.rf_axes3,'position',[233 71 360 200]);
        cla reset
        set(handles.rf_axes3,'Visible','on');
        [haxes,h1,h2] = plotyy((f/1e9),(S21_dB),(f/1e9),(S11_dB),'plot','plot');
        axes(haxes(1))
        set(haxes(1),'fontunits','pixel','FontSize',10);
        set(haxes(1),'xlim',[0 2*fm/1e9],'xtick',[]);
        set(haxes(1),'ylim',[-20 2],'ytick',[-20 -18 -16 -14 -12 -10 -8 -6 -4 -2 0 2]);
        ylabel('S21 (dB)','fontunits','pixel','FontSize',12);
        axes(haxes(2))
        set(haxes(2),'fontunits','pixel','FontSize',10);
        set(haxes(2),'xlim',[0 2*fm/1e9],'xtick',[0 2*fm_ein/8 2*2*fm_ein/8 3*2*fm_ein/8 4*2*fm_ein/8 5*2*fm_ein/8 6*2*fm_ein/8 7*2*fm_ein/8 2*fm_ein]);
        set(haxes(2),'ylim',[-100 10],'ytick',[-100 -90 -80 -70 -60 -50 -40 -30 -20 -10 0 10]);
        ylabel('S11 (dB)','fontunits','pixel','FontSize',12);
        xlabel('Frequency f in GHz   [0 < f < 2*fm]','fontunits','pixel','FontSize',12);
        legend([h1,h2],'S21','S11');
        title('S-parameter of Gamma-trafo','fontunits','pixel','FontSize',14);
        grid on;
elseif val == 10   %%Bedienoberflaeche: Alternative Gamma impedance transformer
    R1=str2num(get(handles.rf_edit1,'String'));
     R2=str2num(get(handles.rf_edit2,'String'));
     fm_ein=str2num(get(handles.rf_edit3,'String'));
     if (R1<0) || (R1==0)
        errordlg('Resistance R1 must be a positive number. Please enter again!');
        hold off;
        return
     elseif (R2<0) || (R2==0)
        errordlg('Resistance R2 must be a positive number. Please enter again!');
        hold off;
        return
     elseif (R1<R2) || (R1==R2)
        errordlg('Resistance R1 must be greater than R2. Please enter again!');
        hold off;
        return
     elseif (fm_ein<0) || (fm_ein==0)
        errordlg('Medium frequency fm must be positive number. Please enter again!');
        hold off;
        return
     else
        R1;R2;fm_ein;
     end
     fm=fm_ein*1e9;
     wm=2*pi*fm;
     C=sqrt((1/R2)/(R1-R2))*(1/wm);
            L=R1*R2*C;
            set(handles.rf_listbox2,'String','');
            str1=sprintf('Shunt inductance L (H)');
            str2=sprintf('L=%0.3g',abs(L));
            str3=sprintf('Series capacitance C (F)');
            str4=sprintf('C=%0.3g',abs(C));
            Result=str2mat(str1,str2,'',str3,str4);
            set(handles.rf_listbox2,'String',Result);
            %%Abbildung S21 und S22
            for kk=1:1:1000
                anz=(2*fm)/1000;
                f(kk)=anz*kk;
                w(kk)=2*pi*f(kk);
                Z2(kk)=1/(j*w(kk)*C);
                Z3(kk)=j*w(kk)*L;
                Nenner(kk)=Z3(kk)*Z2(kk)+Z3(kk)*R2+R1*Z2(kk)+R1*Z3(kk)+R1*R2;
                S21(kk)=(2*sqrt(R1)*Z3(kk)*sqrt(R2))/Nenner(kk);
                S21_dB(kk)=20*log10(abs(S21(kk)));
                S11(kk)=1-(2*(Z2(kk)+Z3(kk)+R2)*R1/Nenner(kk));
                S11_dB(kk)=20*log10(abs(S11(kk)));
            end
            %%plotyy
            axes(handles.rf_axes3);
            set(handles.rf_axes3,'position',[233 71 360 200]);
            cla reset
            set(handles.rf_axes3,'Visible','on');
            [haxes,h1,h2] = plotyy((f/1e9),(S21_dB),(f/1e9),(S11_dB),'plot','plot');
            axes(haxes(1))
            set(haxes(1),'fontunits','pixel','FontSize',10);
            set(haxes(1),'xlim',[0 2*fm/1e9],'xtick',[]);
            set(haxes(1),'ylim',[-20 2],'ytick',[-20 -18 -16 -14 -12 -10 -8 -6 -4 -2 0 2]);
            ylabel('S21 (dB)','fontunits','pixel','FontSize',12);
            axes(haxes(2))
            set(haxes(2),'fontunits','pixel','FontSize',10);
            set(haxes(2),'xlim',[0 2*fm/1e9],'xtick',[0 2*fm_ein/8 2*2*fm_ein/8 3*2*fm_ein/8 4*2*fm_ein/8 5*2*fm_ein/8 6*2*fm_ein/8 7*2*fm_ein/8 2*fm_ein]);
            set(haxes(2),'ylim',[-100 10],'ytick',[-100 -90 -80 -70 -60 -50 -40 -30 -20 -10 0 10]);
            ylabel('S11 (dB)','fontunits','pixel','FontSize',12);
            xlabel('Frequency f in GHz   [0 < f < 2*fm]','fontunits','pixel','FontSize',12);
            legend([h1,h2],'S21','S11');
            title('S-parameter of Gamma-trafo','fontunits','pixel','FontSize',14);
            grid on;
elseif val == 12   %%Bedienoberflaeche: +90 degree phase shifter
    Z_L=str2double(get(handles.rf_edit1,'String'));
     fm_ein=str2num(get(handles.rf_edit2,'String'));
     if real(Z_L)<0
        errordlg('The real part of Z_L must be positive. Please enter again!');
        hold off;
        return
     elseif (fm_ein<0) || (fm_ein==0)
        errordlg('Medium frequency fm must be a positive number. Please enter again!');
        hold off;
        return
     else 
        Z_L;fm_ein;
     end
     fm=fm_ein*1e9;
     wm=2*pi*fm;
     L_HP=abs(Z_L)/wm;
     C_HP=1/(wm*abs(Z_L));
     set(handles.rf_listbox2,'String','');
     str1=sprintf('Highpass capacitance C_HP (F)');
     str2=sprintf('C_HP=%0.3g',abs(C_HP));
     str3=sprintf('Highpass inductance L_HP (H)');
     str4=sprintf('L_HP=%0.3g',abs(L_HP));
     Result=str2mat(str1,str2,'',str3,str4);
     set(handles.rf_listbox2,'String',Result);
     %%Berechnung S21
     for kk=1:1:1000
         anz=(2*fm)/1000;
         f(kk)=anz*kk;
         w(kk)=2*pi*f(kk);
         ZL1=Z_L;
         ZL2=Z_L;
         Z1(kk)=j*w(kk)*L_HP;
         Z2(kk)=j*w(kk)*L_HP;
         Z3(kk)=1/j/w(kk)/C_HP;
         Nenner(kk)=Z1(kk)*Z3(kk)*Z2(kk)+Z1(kk)*Z3(kk)*ZL2+Z1(kk)*ZL2*Z2(kk)+ZL1*Z3(kk)*Z2(kk)+...
                    ZL1*Z3(kk)*ZL2+ZL1*ZL2*Z2(kk)+ZL1*Z1(kk)*Z2(kk)+ZL1*Z1(kk)*ZL2;
         S21(kk)=(2*sqrt(ZL1)*Z1(kk)*Z2(kk)*sqrt(ZL2))/Nenner(kk);
         S21_dB(kk)=20*log10(abs(S21(kk)));
%        S11(kk)=(2*Z1(kk)*(Z2(kk)*Z3(kk)+ZL2*Z3(kk)+ZL2*Z2(kk))/Nenner(kk))-1;
%        S11_dB(kk)=20*log10(abs(S11(kk)));
         theta(kk) = atan2(imag(S21(kk)),real(S21(kk)));
         Ang(kk)= theta(kk)*(180/pi);
     end
            axes(handles.rf_axes3);
            set(handles.rf_axes3,'position',[233 71 360 200]);
            cla reset
            set(handles.rf_axes3,'Visible','on');
            [haxes,h1,h2] = plotyy((f/1e9),(S21_dB),(f/1e9),(Ang),'plot','plot');
            axes(haxes(1))
            set(haxes(1),'fontunits','pixel','FontSize',10);
            set(haxes(1),'xlim',[0 2*fm/1e9],'xtick',[]);
            set(haxes(1),'ylim',[-20 0],'ytick',[-20 -18 -16 -14 -12 -10 -8 -6 -4 -2 0]);
            ylabel('S21 (dB)','fontunits','pixel','FontSize',12);
            axes(haxes(2))
            set(haxes(2),'fontunits','pixel','FontSize',10);
            set(haxes(2),'xlim',[0 2*fm/1e9],'xtick',[0 2*fm_ein/8 2*2*fm_ein/8 3*2*fm_ein/8 4*2*fm_ein/8 5*2*fm_ein/8 6*2*fm_ein/8 7*2*fm_ein/8 2*fm_ein]);
            set(haxes(2),'ylim',[-200 200],'ytick',[-200 -160 -120 -80 -40 0 40 80 120 160 200]);
            ylabel('Ang(S21) [deg]','fontunits','pixel','FontSize',12);
            xlabel('Frequency f in GHz   [0 < f < 2*fm]','fontunits','pixel','FontSize',12);
            legend([h1,h2],'S21','Ang');
            title('S-parameter of 90 degree phase shifter','fontunits','pixel','FontSize',14);
            grid on;
elseif val == 13   %%Bedienoberflaeche: -90 degree phase shifter
    Z_L=str2double(get(handles.rf_edit1,'String'));
     fm_ein=str2num(get(handles.rf_edit2,'String'));
     if real(Z_L)<0
        errordlg('The real part of Z_L must be positive. Please enter again!');
        hold off;
        return
     elseif (fm_ein<0) || (fm_ein==0)
        errordlg('Medium frequency fm must be a positive number. Please enter again!');
        hold off;
        return
     else 
        Z_L;fm_ein;
     end
     fm=fm_ein*1e9;
     wm=2*pi*fm;
     C_TP=1/(wm*abs(Z_L));
     L_TP=abs(Z_L)/wm;
     set(handles.rf_listbox2,'String','');
     str1=sprintf('Lowpass capacitance C_TP (F)');
     str2=sprintf('C_TP=%0.3g',abs(C_TP));
     str3=sprintf('Lowpass inductance L_TP (H)');
     str4=sprintf('L_TP=%0.3g',abs(L_TP));
     Result=str2mat(str1,str2,'',str3,str4);
     set(handles.rf_listbox2,'String',Result);
     %%Berechnung S21
     for kk=1:1:1000
         anz=(2*fm)/1000;
         f(kk)=anz*kk;
         w(kk)=2*pi*f(kk);
         ZL1=Z_L;
         ZL2=Z_L;
         Z1(kk)=1/(j*w(kk)*C_TP);
         Z2(kk)=1/(j*w(kk)*C_TP);
         Z3(kk)=j*w(kk)*L_TP;
         Nenner(kk)=Z1(kk)*Z3(kk)*Z2(kk)+Z1(kk)*Z3(kk)*ZL2+Z1(kk)*ZL2*Z2(kk)+ZL1*Z3(kk)*Z2(kk)+...
                    ZL1*Z3(kk)*ZL2+ZL1*ZL2*Z2(kk)+ZL1*Z1(kk)*Z2(kk)+ZL1*Z1(kk)*ZL2;
        S21(kk)=(2*sqrt(ZL1)*Z1(kk)*Z2(kk)*sqrt(ZL2))/Nenner(kk);
        S21_dB(kk)=20*log10(abs(S21(kk)));
%       S11(kk)=(2*Z1(kk)*(Z2(kk)*Z3(kk)+ZL2*Z3(kk)+ZL2*Z2(kk))/Nenner(kk))-1;
%       S11_dB(kk)=20*log10(abs(S11(kk)));
        theta(kk) = atan2(imag(S21(kk)),real(S21(kk)));
        Ang(kk)= theta(kk)*(180/pi);
     end
            axes(handles.rf_axes3);
            set(handles.rf_axes3,'position',[233 71 360 200]);
            cla reset
            set(handles.rf_axes3,'Visible','on');
            [haxes,h1,h2] = plotyy((f/1e9),(S21_dB),(f/1e9),(Ang),'plot','plot');
            axes(haxes(1))
            set(haxes(1),'fontunits','pixel','FontSize',10);
            set(haxes(1),'xlim',[0 2*fm/1e9],'xtick',[]);
            set(haxes(1),'ylim',[-20 0],'ytick',[-20 -18 -16 -14 -12 -10 -8 -6 -4 -2 0]);
            ylabel('S21 (dB)','fontunits','pixel','FontSize',12);
            axes(haxes(2))
            set(haxes(2),'fontunits','pixel','FontSize',10);
            set(haxes(2),'xlim',[0 2*fm/1e9],'xtick',[0 2*fm_ein/8 2*2*fm_ein/8 3*2*fm_ein/8 4*2*fm_ein/8 5*2*fm_ein/8 6*2*fm_ein/8 7*2*fm_ein/8 2*fm_ein]);
            set(haxes(2),'ylim',[-200 200],'ytick',[-200 -160 -120 -80 -40 0 40 80 120 160 200]);
            ylabel('Ang(S21) [deg]','fontunits','pixel','FontSize',12);
            xlabel('Frequency f in GHz   [0 < f < 2*fm]','fontunits','pixel','FontSize',12);
            legend([h1,h2],'S21','Ang');
            title('S-parameter of -90 degree phase shifter','fontunits','pixel','FontSize',14);
            grid on;
elseif val == 14   %%Bedienoberflaeche: +90 degree phase shifter with common mode blocking
     Zla=str2double(get(handles.rf_edit1,'String'));
       Zlb=str2double(get(handles.rf_edit2,'String'));
       fm_ein=str2num(get(handles.rf_edit3,'String'));
       if real(Zla)<0
              errordlg('The real part of Z_La must be positive. Please enter again!');
              hold off;
              return
       elseif real(Zlb)<0
              errordlg('The real part of Z_Lb must be positive. Please enter again!');
              hold off;
              return
       elseif (fm_ein<0) || (fm_ein==0)
              errordlg('Medium frequency fm must be a positive number. Please enter again!');
              hold off;
              return
       else
              fm_ein;Zla;Zlb;
       end
       fm=fm_ein*1e9;
       wm=2*pi*fm;
       C=1/2/sqrt(abs(Zla)*abs(Zlb))/wm;
       L=2*sqrt(abs(Zla)*abs(Zlb))/wm;
       YL=1/(j*wm*L);
       M21D=4*YL*sqrt(Zla*Zlb)/(4*YL^2*Zla*Zlb-1);
       set(handles.rf_listbox2,'String','');
       str1=sprintf('Capacitance C (F)');
       str2=sprintf('C=%0.3g',C);
       str3=sprintf('Inductance L (H)');
       str4=sprintf('L=%0.3g',L);
       str5=sprintf('M-parameter M21-');
       str6=sprintf('M21-=%0.3g',M21D);
       Result=str2mat(str1,str2,'',str3,str4,'',str5,str6);
       set(handles.rf_listbox2,'String',Result);
       %%Abbildung S11 und S21
       for kk=1:1:1000
           anz=(2*fm)/1000;
           f(kk)=anz*kk;
           w(kk)=2*pi*f(kk);
           Y(kk)=1/(j*w(kk)*L);
           M21D(kk)=4*Y(kk)*sqrt(Zla*Zlb)/(4*Y(kk)*Y(kk)*Zla*Zlb-1);
           M21D_dB(kk)=20*log10(abs(M21D(kk)));
           M11D(kk)=(-4*Y(kk)*Y(kk)*Zla*Zlb-1)/(4*Y(kk)*Y(kk)*Zla*Zlb-1);
           M11D_dB(kk)=20*log10(abs(M11D(kk)));
       end
            axes(handles.rf_axes3);
            set(handles.rf_axes3,'position',[233 71 360 200]);
            cla reset
            set(handles.rf_axes3,'Visible','on');
            [haxes,h1,h2] = plotyy((f/1e9),(M21D_dB),(f/1e9),(M11D_dB),'plot','plot');
            axes(haxes(1))
            set(haxes(1),'fontunits','pixels','FontSize',10);
            set(haxes(1),'xlim',[0 2*fm/1e9],'xtick',[]);
            set(haxes(1),'ylim',[-20 2],'ytick',[-20 -18 -16 -14 -12 -10 -8 -6 -4 -2 0 2]);
            ylabel('M21- (dB)','fontunits','pixels','FontSize',12);
            axes(haxes(2))
            set(haxes(2),'fontunits','pixels','FontSize',10);
            set(haxes(2),'xlim',[0 2*fm/1e9],'xtick',[0 2*fm_ein/8 2*2*fm_ein/8 3*2*fm_ein/8 4*2*fm_ein/8 5*2*fm_ein/8 6*2*fm_ein/8 7*2*fm_ein/8 2*fm_ein]);
            set(haxes(2),'ylim',[-50 5],'ytick',[-50 -45 -40 -35 -30 -25 -20 -15 -10 -5 0 5]);
            ylabel('M11- (dB)','fontunits','pixels','FontSize',12);
            xlabel('Frequency f in GHz   [0 < f < 2*fm]','fontunits','pixels','FontSize',12);
            legend([h1,h2],'M21-','M11-');
            title('M-parameter of +90 degree phase shifter with mode blocking','fontunits','pixels','FontSize',14);
            grid on;
elseif val == 15   %%Bedienoberflaeche: -90 degree phase shifter with common mode blocking
    Zla=str2double(get(handles.rf_edit1,'String'));
       Zlb=str2double(get(handles.rf_edit2,'String'));
       fm_ein=str2num(get(handles.rf_edit3,'String'));
       if real(Zla)<0
              errordlg('The real part of Z_La must be positive. Please enter again!');
              hold off;
              return
       elseif real(Zlb)<0
              errordlg('The real part of Z_Lb must be positive. Please enter again!');
              hold off;
              return
       elseif (fm_ein<0) || (fm_ein==0)
              errordlg('Medium frequency fm must be a positive number. Please enter again!');
              hold off;
              return
       else
              fm_ein;Zla;Zlb;
       end
       fm=fm_ein*1e9;
       wm=2*pi*fm;
       C=1/2/sqrt(abs(Zla)*abs(Zlb))/wm;
       L=2*sqrt(abs(Zla)*abs(Zlb))/wm;
       YC=j*wm*C;
       M21D=4*YC*sqrt(Zla*Zlb)/(4*YC^2*Zla*Zlb-1);
       set(handles.rf_listbox2,'String','');
       str1=sprintf('Capacitance C (F)');
       str2=sprintf('C=%0.3g',abs(C));
       str3=sprintf('Inductance L (H)');
       str4=sprintf('L=%0.3g',abs(L));
       str5=sprintf('M-parameter M21-');
       str6=sprintf('M21-=%0.3g',M21D);
       Result=str2mat(str1,str2,'',str3,str4,'',str5,str6);
       set(handles.rf_listbox2,'String',Result);
       %%Abbildung S11 und S21
      for kk=1:1:1000
          anz=(2*fm)/1000;
          f(kk)=anz*kk;
          w(kk)=2*pi*f(kk);
          Y(kk)=j*w(kk)*C;
           M21D(kk)=4*Y(kk)*sqrt(Zla*Zlb)/(4*Y(kk)*Y(kk)*Zla*Zlb-1);
           M21D_dB(kk)=20*log10(abs(M21D(kk)));
           M11D(kk)=(-4*Y(kk)*Y(kk)*Zla*Zlb-1)/(4*Y(kk)*Y(kk)*Zla*Zlb-1);
           M11D_dB(kk)=20*log10(abs(M11D(kk)));
      end
            axes(handles.rf_axes3);
            set(handles.rf_axes3,'position',[233 71 360 200]);
            cla reset
            set(handles.rf_axes3,'Visible','on');
            [haxes,h1,h2] = plotyy((f/1e9),(M21D_dB),(f/1e9),(M11D_dB),'plot','plot');            
            axes(haxes(1))
            set(haxes(1),'fontunits','pixels','FontSize',10);
            set(haxes(1),'xlim',[0 2*fm/1e9],'xtick',[]);
            set(haxes(1),'ylim',[-20 2],'ytick',[-20 -18 -16 -14 -12 -10 -8 -6 -4 -2 0 2]);
            ylabel('M21- (dB)','fontunits','pixels','FontSize',12);
            axes(haxes(2))
            set(haxes(2),'fontunits','pixels','FontSize',10);
            set(haxes(2),'xlim',[0 2*fm/1e9],'xtick',[0 2*fm_ein/8 2*2*fm_ein/8 3*2*fm_ein/8 4*2*fm_ein/8 5*2*fm_ein/8 6*2*fm_ein/8 7*2*fm_ein/8 2*fm_ein]);
            set(haxes(2),'ylim',[-50 5],'ytick',[-50 -45 -40 -35 -30 -25 -20 -15 -10 -5 0 5]);
            ylabel('M11- (dB)','fontunits','pixels','FontSize',12);           
            xlabel('Frequency f in GHz   [0 < f < 2*fm]','fontunits','pixels','FontSize',12);
            legend([h1,h2],'M21-','M11-');
            title('M-parameter of -90 degree phase shifter with mode blocking','fontunits','pixels','FontSize',14);
            grid on;
elseif val == 16   %%Bedienoberflaeche: +180 degree phase shifter
    lk_ein=str2num(get(handles.rf_edit1,'String'));
      fm_ein=str2num(get(handles.rf_edit2,'String'));
      Z0=str2double(get(handles.rf_edit3,'String'));
      if (lk_ein<0) || (lk_ein==0)
           errordlg('Inductance Lk must be a positive number. Please enter again!');
           hold off;
           return
      elseif (fm_ein<0) || (fm_ein==0)
           errordlg('Medium frequency fm must be a positive number. Please enter again!');
           hold off;
           return
      else 
         fm_ein;lk_ein;
      end
      fm=fm_ein*1e9;
      Lk=lk_ein*1e-9;
      wm=2*pi*fm;
      C=1/(Lk*(wm^2));
      L=2/(C*(wm^2));
      set(handles.rf_listbox2,'String','');
      str1=sprintf('Capacitance C (F)');
      str2=sprintf('C=%0.3g',abs(C));
      str3=sprintf('Inductance L (H)');
      str4=sprintf('L=%0.3g',abs(L));
      Result=str2mat(str1,str2,'',str3,str4);
      set(handles.rf_listbox2,'String',Result);
      for kk=1:1:1000
          anz=(2*fm)/1000;
          f(kk)=anz*kk;
          w(kk)=2*pi*f(kk);
          Z1(kk)=j*w(kk)*Lk;
          Z2(kk)=j*w(kk)*L;
          Z3(kk)=1/(j*w(kk)*C);
          Aa=[1+Z1(kk)/Z3(kk) Z1(kk)+Z2(kk)+Z1(kk)*Z2(kk)/Z3(kk);1/Z3(kk) 1+Z2(kk)/Z3(kk)];
          Ab=[1 Z1(kk);1/Z3(kk) 1+Z1(kk)/Z3(kk)];
          A=Aa*Ab;
          Nenner(kk)=A(1,1)+A(1,2)/abs(Z0)+A(2,1)*abs(Z0)+A(2,2);
          S21(kk)=2/Nenner(kk);
          S21_dB(kk)=20*log10(abs(S21(kk)));
          theta(kk) = atan2(imag(S21(kk)),real(S21(kk)));
          Ang(kk)= theta(kk)*(180/pi);
      end 
            axes(handles.rf_axes3);
            set(handles.rf_axes3,'position',[233 71 360 200]);
            cla reset
            set(handles.rf_axes3,'Visible','on');
            [haxes,h1,h2] = plotyy((f/1e9),(S21_dB),(f/1e9),(Ang),'plot','plot');
            axes(haxes(1))
            set(haxes(1),'fontunits','pixels','FontSize',10);
            set(haxes(1),'xlim',[0 2*fm/1e9],'xtick',[]);
            set(haxes(1),'ylim',[-50 0],'ytick',[-50 -45 -40 -35 -30 -25 -20 -15 -10 -5 0]);
            ylabel('S21 (dB)','fontunits','pixels','FontSize',12);
            axes(haxes(2))
            set(haxes(2),'fontunits','pixels','FontSize',10);
            set(haxes(2),'xlim',[0 2*fm/1e9],'xtick',[0 2*fm_ein/8 2*2*fm_ein/8 3*2*fm_ein/8 4*2*fm_ein/8 5*2*fm_ein/8 6*2*fm_ein/8 7*2*fm_ein/8 2*fm_ein]);
            set(haxes(2),'ylim',[-200 200],'ytick',[-200 -160 -120 -80 -40 0 40 80 120 160 200]);
            ylabel('Ang(S21) [deg]','fontunits','pixel','FontSize',12);
            xlabel('Frequency f in GHz   [0 < f < 2*fm]','fontunits','pixels','FontSize',12);
            legend([h1,h2],'S21','Ang');
            title('S-parameter of +180 degree phase shifter','fontunits','pixels','FontSize',14);
            grid on;
elseif val == 18   %%Bedienoberflaeche: Resistive signal splitter I
    Z=str2double(get(handles.rf_edit1,'string'));
    Z0=str2double(get(handles.rf_edit2,'string'));
    if real(Z)<0
        errordlg('The real part of Z must be positive. Please enter again!');
        hold off;
        return
    elseif real(Z0)<0
        errordlg('The real part of Z must be positive. Please enter again!');
        hold off;
        return
    else
        Z;Z0;
    end
    z1=0;
    if abs(Z-Z0)<0.001
        z2=1;
        z3=2;
        Nenner=4;
    else
       z2=Z/Z0;
       z3=(Z+Z0)/Z0;
       Nenner=2+z1+z2+(1/z3)*(1+z1+z2+z1*z2);
    end
    S11=(z1+z2-(1/z3)*(1-z1+z2-z1*z2))/Nenner;
    S12=2/Nenner;
    S13=2/Nenner;
    S21=2/Nenner;
    S22=(z1+z2-(1/z3)*(1+z1-z2-z1*z2))/Nenner;
    S23=(z1+z2-(1/z3)*(1+z1-z2-z1*z2))/Nenner;
    S31=2/Nenner;
    S32=(z1+z2-(1/z3)*(1+z1-z2-z1*z2))/Nenner;
    S33=(z1+z2-(1/z3)*(1+z1-z2-z1*z2))/Nenner;
    S=[S11 S12 S13;S21 S22 S23;S31 S32 S33];
    set(handles.rf_listbox2,'String','');
    str1=sprintf('Scattering matrix S: S=');
    str2=sprintf('%0.3g %0.3g %0.3g',S(1,:));
    str3=sprintf('%0.3g %0.3g %0.3g',S(2,:));
    str4=sprintf('%0.3g %0.3g %0.3g',S(3,:));
    Result=str2mat(str1,str2,str3,str4);
    set(handles.rf_listbox2,'string',Result);
elseif val == 19   %%Bedienoberflaeche: Resistive signal splitter II
    Z=str2double(get(handles.rf_edit1,'string'));
    Z0=str2double(get(handles.rf_edit2,'string'));
    if real(Z)<0
        errordlg('The real part of Z must be positive. Please enter again!');
        hold off;
        return
    elseif real(Z0)<0
        errordlg('The real part of Z must be positive. Please enter again!');
        hold off;
        return
    else
        Z;Z0;
    end
    z1=Z/Z0;
    z2=Z/Z0;
    z3=(Z+Z0)/Z0;
    Nenner=2+z1+z2+(1/z3)*(1+z1+z2+z1*z2);
    S11=(z1+z2-(1/z3)*(1-z1+z2-z1*z2))/Nenner;
    S12=2/Nenner;
    S22=(z1+z2-(1/z3)*(1+z1-z2-z1*z2))/Nenner;
    if S11<1e-5
        S11=0;
    end
    if S12<1e-5
        S12=0;
    end
    if S22<1e-5
        S22=0;
    end
    S13=S12;
    S21=S12;
    S23=S12;
    S31=S12;
    S32=S12;
    S33=S22;    
    S=[S11 S12 S13;S21 S22 S23;S31 S32 S33];
    set(handles.rf_listbox2,'String','');
    str1=sprintf('Scattering matrix S: S=');
    str2=sprintf('%0.3g %0.3g %0.3g',S(1,:));
    str3=sprintf('%0.3g %0.3g %0.3g',S(2,:));
    str4=sprintf('%0.3g %0.3g %0.3g',S(3,:));
    Result=str2mat(str1,str2,str3,str4);
    set(handles.rf_listbox2,'string',Result);
elseif val == 20   %%Bedienoberflaeche: Reactive signal splitter
    Zin=str2double(get(handles.rf_edit1,'String'));
      Zout1=str2double(get(handles.rf_edit2,'String'));
      Zout2=str2double(get(handles.rf_edit3,'String'));
      fm_ein=str2num(get(handles.rf_edit4,'String'));
      if real(Zin)<0 || real(Zout1)<0 || real(Zout2)<0
         errordlg('The real part of Zin,Zout1 and Zout2 must be positive. Please enter again!');
         hold off;
         return
      elseif abs(Zin)<abs(Zout1) || abs(Zin)==abs(Zout1) || abs(Zin)<abs(Zout2) || abs(Zin)==abs(Zout2)
         errordlg('The magnitude of Zin must be greater than the magnitude of Zout1 and Zout2. Please enter again!');
         hold off;
         return
      elseif (fm_ein<0) || (fm_ein==0)
         errordlg('Medium frequency fm must be a positive number. Please enter again!');
         hold off;
         return
      else
         Zin;Zout1;Zout2;fm_ein;
      end
      fm=fm_ein*1e9;
      wm=2*pi*fm;
      t1=Zin/Zout1;
      C1=sqrt((1-1/t1)/t1)/abs(Zout1)/wm;
      L1=sqrt(t1-1)*abs(Zout1)/wm;
      t2=abs(Zin/Zout2);
      C2=sqrt(abs(1/Zout2)/abs(Zin-Zout2))/wm;
      L2=abs(Zin*Zout2)*C2;
      set(handles.rf_listbox2,'String','');
      str1=sprintf('Shunt capacitance C1 (F)');
      str2=sprintf('C1=%0.3g',abs(C1));
      str3=sprintf('Series inductance L1 (H)');
      str4=sprintf('L1=%0.3g',abs(L1));
      str5=sprintf('Series capacitance C2 (F)');
      str6=sprintf('C2=%0.3g',abs(C2));
      str7=sprintf('Shunt inductance L2 (H)');
      str8=sprintf('L2=%0.3g',abs(L2));
      Result=str2mat(str1,str2,'',str3,str4,'',str5,str6,'',str7,str8);
      set(handles.rf_listbox2,'String',Result);
      %Abbildung S21 
      for kk=1:1:1000
          anz=(2*fm)/1000;
          f(kk)=anz*kk;
          w(kk)=2*pi*f(kk);
          Z2(kk)=1/(j*w(kk)*C2);
          Z3(kk)=j*w(kk)*L2;
          Nenner(kk)=Z3(kk)*Z2(kk)+Z3(kk)*Zout2+Zin*Z2(kk)+Zin*Z3(kk)+Zin*Zout2;
          S21(kk)=(2*sqrt(Zin)*Z3(kk)*sqrt(Zout2))/Nenner(kk);
          S21_dB(kk)=20*log10(abs(S21(kk)));
          S11(kk)=1-(2*(Z2(kk)+Z3(kk)+Zout2)*Zin/Nenner(kk));
          S11_dB(kk)=20*log10(abs(S11(kk)));
      end
            axes(handles.rf_axes3);
            set(handles.rf_axes3,'position',[233 71 360 200]);
            cla reset
            set(handles.rf_axes3,'Visible','on');
            [haxes,h1,h2] = plotyy((f/1e9),(S21_dB),(f/1e9),(S11_dB),'plot','plot');
            axes(haxes(1))
            set(haxes(1),'fontunits','pixels','FontSize',10);
            set(haxes(1),'xlim',[0 2*fm/1e9],'xtick',[]);
            set(haxes(1),'ylim',[-50 5],'ytick',[-50 -45 -40 -35 -30 -25 -20 -15 -10 -5 0 5]);
            ylabel('S21 (dB)','fontunits','pixels','FontSize',12);
            axes(haxes(2))
            set(haxes(2),'fontunits','pixel','FontSize',10);
            set(haxes(2),'xlim',[0 2*fm/1e9],'xtick',[0 2*fm_ein/8 2*2*fm_ein/8 3*2*fm_ein/8 4*2*fm_ein/8 5*2*fm_ein/8 6*2*fm_ein/8 7*2*fm_ein/8 2*fm_ein]);
            set(haxes(2),'ylim',[-100 10],'ytick',[-100 -90 -80 -70 -60 -50 -40 -30 -20 -10 0 10]);
            ylabel('S11 (dB)','fontunits','pixels','FontSize',12);
            xlabel('Frequency f in GHz   [0 < f < 2*fm]','fontunits','pixels','FontSize',12);
            legend([h1,h2],'S21','S11');
            title('S-parameter of out-port2','fontunits','pixels','FontSize',14);
            grid on;
elseif val == 23   %%Bedienoberflaeche: Coaxial line
    epsilon=str2num(get(handles.rf_edit1,'String'));
         Z_L=str2num(get(handles.rf_edit2,'String'));
         D_ein=str2num(get(handles.rf_edit3,'String'));
         rho=str2num(get(handles.rf_edit4,'String'));
         fm_ein=str2num(get(handles.rf_edit5,'String'));
         tan_delta=str2num(get(handles.rf_edit6,'String'));
         if (epsilon<1)
             errordlg('Dielectric coefficient epsilon can not be less than 1. Please enter again!');
             hold off;
             return
         elseif imag(Z_L)~=0 
             errordlg('The wave resistance Z_L can not be a complex number. Please enter again!');
             hold off;
             return
         elseif Z_L<=0 
             errordlg('The wave resistance Z_L must be a positive number. Please enter again!');
             hold off;
             return
         elseif (D_ein<0) || (D_ein==0)
                errordlg('Outside diameter D must be a positive number. Please enter again!');
                hold off;
                return
         elseif rho<0
                errordlg('Specific resistance rho must be a nonnegative number. Please enter again!');
                hold off;
                return
         elseif (fm_ein<0)
                errordlg('Medium frequency fm must be a nonnegative number. Please enter again!');
                hold off;
                return
         elseif (tan_delta<0)
                errordlg('Loss angle tan(delta) must be a nonnegative number. Please enter again!');
                hold off;
                return
         else
             epsilon;Z_L;D_ein;rho;fm_ein;tan_delta;
         end
         c0=2.99*1e8;
         D=D_ein*1e-3;
         u=0.4*pi*1e-6;
         fm=fm_ein*1e9;
         d=D/exp(Z_L*sqrt(epsilon)/60);
         if rho==0 || fm_ein==0
             alpha_R=0;
         else
             Rsq=sqrt(pi*rho*u*fm);
             alpha_R=20*log10((Rsq/(2*Z_L))*(1/pi)*((1/d)+(1/D)));
         end
         alpha_G=pi*fm*tan_delta/c0;
         alpha=alpha_R+alpha_G;
         p=360*sqrt(epsilon)*fm/c0;
         if D-d<1e-5
             warndlg('Result is wrong! Outside diameter D must be greater than inside diameter d!','!!Warning!!')
             hold off;
         end
         set(handles.rf_listbox2,'String','');
         str1=sprintf('Inside diameter d (mm)');
         str2=sprintf('d=%0.3g',abs(d*1e3));
         str3=sprintf('Metallic loss (dB/m)');
         str4=sprintf('alpha_R=%0.3g',alpha_R);
         str5=sprintf('Dielectric loss (dB/m)');
         str6=sprintf('alpha_G=%0.3g',alpha_G);
         str7=sprintf('Total loss (dB/m)');
         str8=sprintf('alpha=%0.3g',alpha);
         str9=sprintf('Phase shift p (degree/m)');
         str10=sprintf('p=%0.3g',abs(p));
         Result=str2mat(str1,str2,'',str3,str4,'',str5,str6,'',str7,str8,'',str9,str10);
         set(handles.rf_listbox2,'String',Result);
elseif val == 24   %%Bedienoberflaeche: Band line
    epsilon=str2num(get(handles.rf_edit1,'String'));
             a_ein=str2num(get(handles.rf_edit2,'String'));
             Z_L=str2num(get(handles.rf_edit3,'String'));
             rho=str2num(get(handles.rf_edit4,'String'));
             fm_ein=str2num(get(handles.rf_edit5,'String'));
             tan_delta=str2num(get(handles.rf_edit6,'String'));
             if epsilon<1
                errordlg('Dielectric coefficient epsilon can not be less than 1. Please enter again!');
                hold off;
                return
             elseif (a_ein<0) || (a_ein==0)
                errordlg('Distance a must be a positive number. Please enter again!');
                hold off;
                return
             elseif imag(Z_L)~=0 
                errordlg('The wave resistance Z_L can not be a complex number. Please enter again!');
                hold off;
                return
             elseif Z_L<=0 
                errordlg('The wave resistance Z_L must be a positive number. Please enter again!');
                hold off;
                return
             elseif (rho<0)
                errordlg('Specific resistance rho must be a nonnegative number. Please enter again!');
                hold off;
                return
             elseif (fm_ein<0)
                errordlg('Medium frequency fm must be a nonnegative number. Please enter again!');
                hold off;
                return
             elseif (tan_delta<0)
                errordlg('Loss angle tan(delta) must be a nonnegative number. Please enter again!');
                hold off;
                return
             else
                epsilon;a_ein;Z_L;rho;fm_ein;tan_delta
             end
             c0=2.99*1e8;
             a=a_ein*1e-3;
             u=0.4*pi*1e-6;
             Z_f=120*pi;
             fm=fm_ein*1e9;
             b=(Z_f/sqrt(epsilon))*(a/Z_L);
             if rho==0 || fm_ein==0
                alpha_R=0;
             else
                Rsq=sqrt(pi*rho*u*fm);
                alpha_R=20*log10((Rsq/(a*Z_f))*sqrt(epsilon));
             end
             alpha_G=pi*fm*tan_delta/c0;
             alpha=alpha_R+alpha_G;
             p=360*sqrt(epsilon)*fm/c0;
             if a*1.5-b>1e-5
                warndlg('Result is wrong! Width b must be 1.5 time greater than distance a!','!!Warning!!')
                hold off;
             end
             set(handles.rf_listbox2,'String','');
             str1=sprintf('Width b (mm)');
             str2=sprintf('b=%0.3g',abs(b*1e3));
             str3=sprintf('Metallic loss (dB)');
             str4=sprintf('alpha_R=%0.3g',alpha_R);
             str5=sprintf('Dielectric loss (dB/m)');
             str6=sprintf('alpha_G=%0.3g',alpha_G);
             str7=sprintf('Total loss (dB/m)');
             str8=sprintf('alpha=%0.3g',alpha);
             str9=sprintf('Phase shift p (degree/m)');
             str10=sprintf('p=%0.3g',abs(p));
             Result=str2mat(str1,str2,'',str3,str4,'',str5,str6,'',str7,str8,'',str9,str10);
             set(handles.rf_listbox2,'String',Result);
elseif val == 25   %%Bedienoberflaeche: Twisted line
    epsilon=str2num(get(handles.rf_edit1,'String'));
             a_ein=str2num(get(handles.rf_edit2,'String'));
             Z_L=str2num(get(handles.rf_edit3,'String'));
             rho=str2num(get(handles.rf_edit4,'String'));
             fm_ein=str2num(get(handles.rf_edit5,'String'));
             tan_delta=str2num(get(handles.rf_edit6,'String'));
             if (epsilon<1)
                errordlg('Dielectric coefficient epsilon can not be less than 1. Please enter again!');
                hold off;
                return
             elseif (a_ein<0) || (a_ein==0)
                errordlg('Distance a must be a positive number. Please enter again!');
                hold off;
                return
             elseif imag(Z_L)~=0 
                errordlg('The wave resistance Z_L can not be a complex number. Please enter again!');
                hold off;
                return
             elseif Z_L<=0 
                errordlg('The wave resistance Z_L must be a positive number. Please enter again!');
                hold off;
                return
             elseif (rho<0)
                errordlg('Specific resistance rho must be a nonnegative number. Please enter again!');
                hold off;
                return
             elseif (fm_ein<0)
                errordlg('Medium frequency fm must be a nonnegative number. Please enter again!');
                hold off;
                return
             elseif (tan_delta<0)
                errordlg('Loss angle tan(delta) must be a nonnegative number. Please enter again!');
                hold off;
                return
             else
                 epsilon;a_ein;Z_L;rho;fm_ein;tan_delta;
             end
             c0=2.99*1e8;
             a=a_ein*1e-3;
             u=0.4*pi*1e-6;
             fm=fm_ein*1e9;
             b=(a/2)*exp(Z_L*sqrt(epsilon)/120);             
             if rho==0 || fm_ein==0
                alpha_R=0;
             else
                Rsq=sqrt(pi*rho*u*fm);
                alpha_R=20*log10((Rsq/Z_L)*(1/(pi*a)));
             end
             alpha_G=pi*fm*tan_delta/c0;
             alpha=alpha_R+alpha_G;
             p=360*sqrt(epsilon)*fm/c0;
             if a*1.5-b>1e-5
                warndlg('Result is wrong! Distance b must be 1.5 time greater than diameter a!','!!Warning!!')
                hold off;
             end
             set(handles.rf_listbox2,'String','');
             str1=sprintf('Distance b (mm)');
             str2=sprintf('b=%0.3g',abs(b*1e3));
             str3=sprintf('Metallic loss (dB)');
             str4=sprintf('alpha_R=%0.3g',alpha_R);
             str5=sprintf('Dielectric loss (dB/m)');
             str6=sprintf('alpha_G=%0.3g',alpha_G);
             str7=sprintf('Total loss (dB/m)');
             str8=sprintf('alpha=%0.3g',alpha);
             str9=sprintf('Phase shift p (degree/m)');
             str10=sprintf('p=%0.3g',abs(p));
             Result=str2mat(str1,str2,'',str3,str4,'',str5,str6,'',str7,str8,'',str9,str10);
             set(handles.rf_listbox2,'String',Result);
elseif val == 26   %%Bedienoberflaeche: Strip line
    epsilon=str2num(get(handles.rf_edit1,'String'));
             h_ein=str2num(get(handles.rf_edit2,'String'));
             w_ein=str2num(get(handles.rf_edit3,'String'));
             fm_ein=str2num(get(handles.rf_edit4,'String'));
             if (epsilon<1)
                errordlg('Dielectric coefficient epsilon can not be less than 1. Please enter again!');
                hold off;
                return
             elseif (h_ein<0) || (h_ein==0)
                errordlg('Distance h must be a positive number. Please enter again!');
                hold off;
                return
             elseif (w_ein<0) || (w_ein==0)
                errordlg('Width w must be a positive number. Please enter again!');
                hold off;
                return
             elseif (fm_ein<0)
                errordlg('Medium frequency fm must be a nonnegative number. Please enter again!');
                hold off;
                return
             else
                epsilon;h_ein;w_ein;fm_ein;
             end 
             c0=2.99*1e8;
             h=h_ein*1e-3;
             w=w_ein*1e-3;
             fm=fm_ein*1e9;
             k=tanh((pi*w)/(2*h));
             k1=sqrt(1-k^2);
             K=ellipke(k);
             K1=ellipke(k1);
             ZL=((120*pi)/(4*sqrt(epsilon)))*(K/K1);
             p=360*sqrt(epsilon)*fm/c0;
             set(handles.rf_listbox2,'String','');
             str1=sprintf('Wave resistance Z_L (ohm)');
             str2=sprintf('Z_L=%0.3g',abs(ZL));
             str3=sprintf('Phase shift p (degree/m)');
             str4=sprintf('p=%0.3g',abs(p));
             Result=str2mat(str1,str2,'',str3,str4);
             set(handles.rf_listbox2,'String',Result);
elseif val == 28   %%Bedienoberflaeche: Effect of penetration depth
    d_ein=str2num(get(handles.rf_edit1,'String'));
       D_ein=str2num(get(handles.rf_edit2,'String'));
       fm_ein=str2num(get(handles.rf_edit3,'String'));
       Z0=str2double(get(handles.rf_edit4,'String'));
         if (d_ein<0) || (d_ein==0)
                errordlg('Inside diameter d must be a positive number. Please enter again!');
                hold off;
                return
         elseif (D_ein<0) || (D_ein==0)
                errordlg('Outside diameter D must be a positive number. Please enter again!');
                hold off;
                return
         elseif (d_ein>D_ein) || (d_ein==D_ein)
                errordlg('Outside diameter D must be greater than inside diameter d. Please enter again!');
                hold off;
                return
         elseif (fm_ein<0) || (fm_ein==0)
                errordlg('Medium frequency fm must be a positive number. Please enter again!');
                hold off;
                return
         elseif real(Z0)<0
                errordlg('The real part of Z_L must be positive. Please enter again!');
                hold off;
                return
         else
                d_ein;D_ein;fm_ein;Z0;
         end
         d=d_ein*1e-3;
         D=D_ein*1e-3;
         u0=0.4*pi*1e-6;
         sigma=16*1e6;
         fm=fm_ein*1e9;
         delta=1/sqrt(pi*u0*sigma*fm);        
         ZL=Z0*(1+(1-j)*delta*((1/D)+(1/d))/(4*log(D/d)));
         if imag(Z0)==0        
            set(handles.rf_listbox2,'String','');
            str1=sprintf('Corrected wave resistance Z_L (ohm)');
            str2=sprintf('Z_L=%6.3f',abs(ZL));
            str3=sprintf('Penetration depth (m)');
            str4=sprintf('delta=%0.3g',delta);
            Result=str2mat(str1,str2,'',str3,str4);
            set(handles.rf_listbox2,'String',Result);
         else
            set(handles.rf_listbox2,'String','');
            str1=sprintf('Corrected wave resistance Z_L (ohm)(real part)');
            str2=sprintf('real(Z_L)=%0.3g',real(ZL));
            str3=sprintf('Corrected wave resistance Z_L (ohm)(imaginary part)');
            str4=sprintf('imag(Z_L)=%0.3g',imag(ZL));
            str5=sprintf('Penetration depth (m)');
            str6=sprintf('delta=%0.3g',delta);
            Result=str2mat(str1,str2,'',str3,str4,'',str5,str6);
            set(handles.rf_listbox2,'String',Result);
         end
         %%einfluss der eindringtiefe auf den Wellenwiderstand
         for kk=1:1:100
             anz=5*fm/100;
             f(kk)=anz*kk;
             delta(kk)=1/sqrt(pi*u0*sigma*f(kk));
             ZLc(kk)=Z0*(1+(1-j)*delta(kk)*((1/D)+(1/d))/(4*log(D/d)));
         end
         axes(handles.rf_axes3);
         set(handles.rf_axes3,'position',[233 71 360 200]);
         set(handles.rf_axes3,'Visible','on');
         cla reset
         plot((f/1e9),abs(ZLc));
         set(gca,'Xlim',[0 5*fm_ein],'Xtick',[0 1*fm_ein 2*fm_ein 3*fm_ein 4*fm_ein 5*fm_ein],'fontunits','pixels','FontSize',10);
         ylabel('Magnitude of Z_L (ohm)','fontunits','pixel','FontSize',12);
         xlabel('Frequency f in GHz   [0 < f < 5*fm]','fontunits','pixels','FontSize',12);
         title('Corrected wave resistance','fontunits','pixels','FontSize',14);
         grid on;
elseif val == 29   %%Bedienoberflaeche: Effect of mechanical error
    d_ein=str2num(get(handles.rf_edit1,'String'));
         D_ein=str2num(get(handles.rf_edit2,'String'));
         p=str2num(get(handles.rf_edit3,'String'));
         if (d_ein<0) || (d_ein==0)
                errordlg('Inside diameter d must be a positive number. Please enter again!');
                hold off;
                return
         elseif (D_ein<0) || (D_ein==0)
                errordlg('Outside diameter D must be a positive number. Please enter again!');
                hold off;
                return
         elseif (d_ein>D_ein) || (d_ein==D_ein)
                errordlg('Outside diameter D must be greater than inside diameter d. Please enter again!');
                hold off;
                return
         elseif (p<0) || (p==0)
                errordlg('Electric length p must be a positive number. Please enter again!');
                hold off;
                return
         else
             d_ein;D_ein;p;
         end
         d=d_ein*1e-3;
         D=D_ein*1e-3;
         u0=0.4*pi*1e-6;
         epsilon_r=1.0006;
         epsilon_0=8.8542*1e-12;
         P=p*pi/180;
         ZL=(1/(2*pi))*sqrt(u0/(epsilon_r*epsilon_0))*log(D/d);
         set(handles.rf_listbox2,'String','');
         str1=sprintf('Wave resistance Z_L (ohm)');
         str2=sprintf('Z_L=%6.3f',abs(ZL));
         Result=str2mat(str1,str2);
         set(handles.rf_listbox2,'String',Result);
         %%einfluss mechanischer Fehler auf den Wellenwiderstand
         %%Abbildung S11
         for kk=1:1:1000
             anz=0.00002;
             D(kk)=D_ein+(anz*(kk-500));
             Z0(kk)=(1/(2*pi))*sqrt(u0/(epsilon_r*epsilon_0))*log(D(kk)/d_ein);
             ZL1=ZL;
             ZL2=ZL;
             Nenner(kk)=(Z0(kk))^2*(cos(P))^2+sqrt(-1)*sin(P)*(Z0(kk))*cos(P)*ZL2+...
                 sqrt(-1)*sin(P)*ZL1*Z0(kk)*(cos(P))-ZL1*ZL2+...
                 ZL1*ZL2*(cos(P))^2-(Z0(kk))^2;
             Zaehler1(kk)=(Z0(kk))^2*(cos(P))^2+sqrt(-1)*sin(P)*Z0(kk)*cos(P)*ZL2-...
                 sqrt(-1)*sin(P)*ZL1*Z0(kk)*cos(P)+ZL1*ZL2-...
                 ZL1*ZL2*(cos(P))^2-(Z0(kk))^2;
             S11(kk)=Zaehler1(kk)/Nenner(kk);
             S11_dB(kk)=20*log10(abs(S11(kk)));
         end
            axes(handles.rf_axes3);
            set(handles.rf_axes3,'position',[233 71 360 200]);
            cla reset
            set(handles.rf_axes3,'Visible','on');
            [haxes,h1,h2] = plotyy(D,(S11_dB),D,Z0,'plot','plot');
            axes(haxes(1))
            set(haxes(1),'fontunits','pixels','FontSize',10);
            set(haxes(1),'xlim',[D_ein-0.01 D_ein+0.01],'xtick',[]);
            set(haxes(1),'ylim',[-150 -50],'ytick',[-150 -140 -130 -120 -110 -100 -90 -80 -70 -60 -50]);
            ylabel('S11 (dB)','fontunits','pixels','FontSize',12);
            axes(haxes(2))
            set(haxes(2),'fontunits','pixels','FontSize',10);
            set(haxes(2),'xlim',[D_ein-0.01 D_ein+0.01],'xtick',[D_ein-0.01 D_ein-0.005 D_ein D_ein+0.005 D_ein+0.01]);
            set(haxes(2),'ylim',[ZL-0.5 ZL+0.5],'ytick',[ZL-0.5 ZL-0.4 ZL-0.3 ZL-0.2 ZL-0.1 ZL ZL+0.1 ZL+0.2 ZL+0.3 ZL+0.4 ZL+0.5]);
            ylabel('Wave Resistance Z_L (ohm)','fontunits','pixels','FontSize',12);
            xlabel('Outside Diameter D (mm)','fontunits','pixels','FontSize',12);
            legend([h1,h2],'S21','S11');
            title('Deviation effect of the outside conductor diameter','fontunits','pixels','FontSize',14);
            grid on;
elseif val == 31   %%Bedienoberflaeche: Shunt inductor
    p_ein=str2num(get(handles.rf_edit1,'String'));
       fm_ein=str2num(get(handles.rf_edit2,'String'));
       Z_L=str2double(get(handles.rf_edit3,'String'));
       if (p_ein<0) || (p_ein==0) || (p_ein>90) || (p_ein==90) 
          errordlg('Electric length p must be between 0 and 90 degree. Please enter again!');
          hold off;
          return
       elseif (fm_ein<0) || (fm_ein==0)
              errordlg('Medium frequency fm must be a positive number. Please enter again!');
              hold off;
              return
       elseif real(Z_L)<0 || real(Z_L)==0
              errordlg('The real part of Z_L must be positive. Please enter again!');
              hold off;
              return
       else
             p_ein;fm_ein;Z_L;
       end
       fm=fm_ein*1e9;
       wm=2*pi*fm;
       p=p_ein*pi/180;
        L=(1/wm)*abs(Z_L)*tan(p);
        X_E=Z_L*tan(p);
          if imag(Z_L)==0
             set(handles.rf_listbox2,'String','');
             str1=sprintf('Input reactance X_E (ohm)');
             str2=sprintf('X_E=%0.3g',X_E);
             str3=sprintf('Shunt inductance L (H)');
             str4=sprintf('L=%0.3g',abs(L));
             Result=str2mat(str1,str2,'',str3,str4);
             set(handles.rf_listbox2,'String',Result);
          else
             set(handles.rf_listbox2,'String','');
             str1=sprintf('Input reactance X_E (ohm) (real part)');
             str2=sprintf('real(X_E)=%0.3g',real(X_E));
             str3=sprintf('Input reactance X_E (ohm) (imaginary part)');
             str4=sprintf('imag(X_E)=%0.3g',imag(X_E));
             str5=sprintf('Shunt inductance L (H)');
             str6=sprintf('L=%0.3g',abs(L));
             Result=str2mat(str1,str2,'',str3,str4,'',str5,str6);
             set(handles.rf_listbox2,'String',Result);
          end
          axes(handles.rf_axes2);
          cla reset
          bild19a=imread([directoryname '\kap4_modl12.jpeg']);
          colormap(gray);
          image(bild19a);
          axis off;
          set(handles.rf_text5,'string','');
          set(handles.rf_text5,'string','Equivalent circuit diagram of a shunt inductance');
          axes(handles.rf_axes3);
          set(handles.rf_axes3,'position',[233 71 360 200]);
          cla reset
          set(handles.rf_axes3,'Visible','on');
          P = 0:.1:pi/2;
          Xe = abs(Z_L)*tan(P);
          plot(P,Xe);
          set(gca,'XTick',0:pi/12:pi/2,'fontunits','pixels','FontSize',10);
          set(gca,'XTickLabel',{'0','pi/12','pi/6','pi/4','pi/3','5*pi/12','pi/2'});
          ylabel('Xe (ohm)','fontunits','pixels','FontSize',12);
          xlabel('Electric Length p   [0 < p < pi/2]','fontunits','pixels','FontSize',12);
          title('Input reactance X_E of a shunt inductor','fontunits','pixels','FontSize',14);
          grid on;
elseif val == 32   %%Bedienoberflaeche: Series inductor
    p_ein=str2num(get(handles.rf_edit1,'String'));
       fm_ein=str2num(get(handles.rf_edit2,'String'));
       Z_L=str2double(get(handles.rf_edit3,'String'));
       if (p_ein<0) || (p_ein==0) || (p_ein>90) || (p_ein==90) 
          errordlg('Electric length p must be between 0 and 90 degree. Please enter again!');
          hold off;
          return
       elseif (fm_ein<0) || (fm_ein==0)
              errordlg('Medium frequency fm must be a positive number. Please enter again!');
              hold off;
              return
       elseif real(Z_L)<0 || real(Z_L)==0
              errordlg('The real part of Z_L must be positive. Please enter again!');
              hold off;
              return
       else
             p_ein;fm_ein;Z_L;
       end
       fm=fm_ein*1e9;
       wm=2*pi*fm;
       p=p_ein*pi/180;
       L=(1/wm)*abs(Z_L)*tan(p);
          X_E=Z_L*tan(p);
          if imag(Z_L)==0
             set(handles.rf_listbox2,'String','');
             str1=sprintf('Input reactance X_E (ohm)');
             str2=sprintf('X_E=%0.3g',X_E);
             str3=sprintf('Series inductance L (H)');
             str4=sprintf('L=%0.3g',abs(L));
             Result=str2mat(str1,str2,'',str3,str4);
             set(handles.rf_listbox2,'String',Result);
          else
             set(handles.rf_listbox2,'String','');
             str1=sprintf('Input reactance X_E (ohm) (real part)');
             str2=sprintf('real(X_E)=%0.3g',real(X_E));
             str3=sprintf('Input reactance X_E (ohm) (imaginary part)');
             str4=sprintf('imag(X_E)=%0.3g',imag(X_E));
             str5=sprintf('Series inductance L (H)');
             str6=sprintf('L=%0.3g',abs(L));
             Result=str2mat(str1,str2,'',str3,str4,'',str5,str6);
             set(handles.rf_listbox2,'String',Result);
          end
          axes(handles.rf_axes2);
          cla reset
          bild20a=imread([directoryname '\kap4_modl22.jpeg']);
          colormap(gray);
          image(bild20a);
          axis off;
          set(handles.rf_text5,'string','');
          set(handles.rf_text5,'string','Equivalent circuit diagram of a series inductance');
          axes(handles.rf_axes3);
          set(handles.rf_axes3,'position',[233 71 360 200]);
          cla reset
          set(handles.rf_axes3,'Visible','on');
          P = 0:.1:pi/2;
          Xe = abs(Z_L)*tan(P);
          plot(P,Xe);
          set(gca,'XTick',0:pi/12:pi/2,'fontunits','pixels','FontSize',10);
          set(gca,'XTickLabel',{'0','pi/12','pi/6','pi/4','pi/3','5*pi/12','pi/2'});
          ylabel('Xe (ohm)','fontunits','pixels','FontSize',12);
          xlabel('Electric Length p   [0 < p < pi/2]','fontunits','pixels','FontSize',12);
          title('Input reactance X_E of a series inductor','fontunits','pixels','FontSize',14);
          grid on;
elseif val == 33   %%Bedienoberflaeche: Shunt capacitor
    p_ein=str2num(get(handles.rf_edit1,'String'));
       fm_ein=str2num(get(handles.rf_edit2,'String'));
       Z_L=str2double(get(handles.rf_edit3,'String'));
       if (p_ein<0) || (p_ein==0) || (p_ein>90) || (p_ein==90) 
          errordlg('Electric length p must be between 0 and 90 degree. Please enter again!');
          hold off;
          return
       elseif (fm_ein<0) || (fm_ein==0)
              errordlg('Medium frequency fm must be a positive number. Please enter again!');
              hold off;
              return
       elseif real(Z_L)<0 || real(Z_L)==0
              errordlg('The real part of Z_L must be positive. Please enter again!');
              hold off;
              return
       else
             p_ein;fm_ein;Z_L;
       end
       fm=fm_ein*1e9;
       wm=2*pi*fm;
       p=p_ein*pi/180;
       X_E=-Z_L*cot(p);
          C=1/(wm*abs(Z_L)*cot(p));
          if imag(Z_L)==0
             set(handles.rf_listbox2,'String','');
             str1=sprintf('Input reactance X_E (ohm)');
             str2=sprintf('X_E=%0.3g',X_E);
             str3=sprintf('Shunt capacitance C (H)');
             str4=sprintf('C=%0.3g',abs(C));
             Result=str2mat(str1,str2,'',str3,str4);
             set(handles.rf_listbox2,'String',Result);
          else
             set(handles.rf_listbox2,'String','');
             str1=sprintf('Input reactance X_E (ohm) (real part)');
             str2=sprintf('real(X_E)=%0.3g',real(X_E));
             str3=sprintf('Input reactance X_E (ohm) (imaginary part)');
             str4=sprintf('imag(X_E)=%0.3g',imag(X_E));
             str5=sprintf('Shunt capacitance C (H)');
             str6=sprintf('C=%0.3g',abs(C));
             Result=str2mat(str1,str2,'',str3,str4,'',str5,str6);
             set(handles.rf_listbox2,'String',Result);
          end
          axes(handles.rf_axes2);
          cla reset
          bild21a=imread([directoryname '\kap4_modc32.jpeg']);
          colormap(gray);
          image(bild21a);
          axis off
          set(handles.rf_text5,'string','');
          set(handles.rf_text5,'string','Equivalent circuit diagram of a shunt capacitor');
          axes(handles.rf_axes3);
          set(handles.rf_axes3,'position',[233 71 360 200]);
          cla reset
          set(handles.rf_axes3,'Visible','on');
          P = 0:.1:pi/2;
          Xe = -abs(Z_L)*cot(P);
          plot(P,Xe);
          set(gca,'XTick',0:pi/12:pi/2,'fontunits','pixels','FontSize',10);
          set(gca,'XTickLabel',{'0','pi/12','pi/6','pi/4','pi/3','5*pi/12','pi/2'});
          ylabel('Xe (ohm)','fontunits','pixels','FontSize',12);
          xlabel('Electric Length p   [0 < p < pi/2]','fontunits','pixels','FontSize',12);
          title('Input reactance X_E of a shunt capacitor','fontunits','pixels','FontSize',14);
          grid on;
elseif val == 34   %%Bedienoberflaeche: Series capacitor
    p_ein=str2num(get(handles.rf_edit1,'String'));
       fm_ein=str2num(get(handles.rf_edit2,'String'));
       Z_L=str2double(get(handles.rf_edit3,'String'));
       if (p_ein<0) || (p_ein==0) || (p_ein>90) || (p_ein==90) 
          errordlg('Electric length p must be between 0 and 90 degree. Please enter again!');
          hold off;
          return
       elseif (fm_ein<0) || (fm_ein==0)
              errordlg('Medium frequency fm must be a positive number. Please enter again!');
              hold off;
              return
       elseif real(Z_L)<0 || real(Z_L)==0
              errordlg('The real part of Z_L must be positive. Please enter again!');
              hold off;
              return
       else
             p_ein;fm_ein;Z_L;
       end
       fm=fm_ein*1e9;
       wm=2*pi*fm;
       p=p_ein*pi/180;
       X_E=-Z_L*cot(p);
          C=1/(wm*abs(Z_L)*cot(p));
          if imag(Z_L)==0
             set(handles.rf_listbox2,'String','');
             str1=sprintf('Input reactance X_E (ohm)');
             str2=sprintf('X_E=%0.3g',X_E);
             str3=sprintf('Series capacitance C (H)');
             str4=sprintf('C=%0.3g',abs(C));
             Result=str2mat(str1,str2,'',str3,str4);
             set(handles.rf_listbox2,'String',Result);
          else
             set(handles.rf_listbox2,'String','');
             str1=sprintf('Input reactance X_E (ohm) (real part)');
             str2=sprintf('real(X_E)=%0.3g',real(X_E));
             str3=sprintf('Input reactance X_E (ohm) (imaginary part)');
             str4=sprintf('imag(X_E)=%0.3g',imag(X_E));
             str5=sprintf('Series capacitance C (H)');
             str6=sprintf('C=%0.3g',abs(C));
             Result=str2mat(str1,str2,'',str3,str4,'',str5,str6);
             set(handles.rf_listbox2,'String',Result);
          end
          axes(handles.rf_axes2);
          cla reset
          bild22a=imread([directoryname '\kap4_modc22.jpeg']);
          colormap(gray);
          image(bild22a);
          axis off;
          set(handles.rf_text5,'string','');
          set(handles.rf_text5,'string','Equivalent circuit diagram of a series capacitor');
          axes(handles.rf_axes3);
          set(handles.rf_axes3,'position',[233 71 360 200]);
          cla reset
          set(handles.rf_axes3,'Visible','on');
          P = 0:.1:pi/2;
          Xe = -abs(Z_L)*cot(P);
          plot(P,Xe);
          set(gca,'XTick',0:pi/12:pi/2,'fontunits','pixels','FontSize',10);
          set(gca,'XTickLabel',{'0','pi/12','pi/6','pi/4','pi/3','5*pi/12','pi/2'});
          ylabel('Xe (ohm)','fontunits','pixels','FontSize',12);
          xlabel('Electric Length p   [0 < p < pi/2]','fontunits','pixels','FontSize',12);
          title('Input reactance X_E of a series capacitor','fontunits','pixels','FontSize',14);
          grid on;
elseif val == 36                                %%Bedienoberflaeche: Lambda/2 line transformer
    fm_ein=str2num(get(handles.rf_edit1,'String'));
        Z_L=str2double(get(handles.rf_edit2,'String'));
        Z_A=str2double(get(handles.rf_edit3,'String'));
     if (fm_ein<0) || (fm_ein==0)
        errordlg('Medium frequency fm must be a positive number. Please enter again!');
        hold off;
        return
     elseif real(Z_L)<0 
        errordlg('The real part of Z_L must be positive. Please enter again!');
        hold off;
        return
     elseif real(Z_A)<0 
        errordlg('The real part of Z_A must be positive. Please enter again!');
        hold off;
        return
     elseif Z_A==Z_L
        errordlg('The output impedance Z_A can not equal to wave resistance Z_L. Please enter again!');
        hold off;
        return
     else
        fm_ein;Z_A;Z_L;
     end
     fm=fm_ein*1e9;
     C0=2.99*1e8;
     l=C0/2/fm;
        Z_E=Z_A;
        if imag(Z_A)==0
             set(handles.rf_listbox2,'String','');
             str1=sprintf('Input impedance Z_E (ohm)');
             str2=sprintf('Z_E=%0.3g',Z_E);
             str3=sprintf('Line length L (m)');
             str4=sprintf('l=%0.3g',l);
             Result=str2mat(str1,str2,'',str3,str4);
             set(handles.rf_listbox2,'String',Result);
          else
             set(handles.rf_listbox2,'String','');
             str1=sprintf('Input impedance Z_E (ohm) (real part)');
             str2=sprintf('real(Z_E)=%0.3g',real(Z_E));
             str3=sprintf('Input impedance Z_E (ohm) (imaginary part)');
             str4=sprintf('imag(Z_E)=%0.3g',imag(Z_E));
             str5=sprintf('Line length L (m)');
             str6=sprintf('l=%0.3g',l);
             Result=str2mat(str1,str2,'',str3,str4,'',str5,str6);
             set(handles.rf_listbox2,'String',Result);
        end
        %%Abbildung S11
        for kk= 1:1:1000
            anz=2*fm/1000;
            f(kk)=anz*kk;
            ZL1=Z_E;
            ZL2=Z_A;
            p(kk)=pi*f(kk)/fm;
            Nenner(kk)=(Z_L)^2*(cos(p(kk)))^2+j*sin(p(kk))*Z_L*cos(p(kk))*ZL2+j*sin(p(kk))*Z_L*cos(p(kk))*ZL1-...
                       ZL1*ZL2+ZL1*ZL2*(cos(p(kk)))^2-(Z_L)^2;
            Zaehler1(kk)=(Z_L^2)*(cos(p(kk)))^2+j*sin(p(kk))*Z_L*cos(p(kk))*ZL2-j*sin(p(kk))*Z_L*cos(p(kk))*ZL1+...
                     ZL1*ZL2-ZL1*ZL2*(cos(p(kk)))^2-(Z_L)^2;
            S21(kk)=2*j*sqrt(ZL1)*Z_L*sin(p(kk))*sqrt(ZL2)/Nenner(kk);
            S21_dB(kk)=20*log10(S21(kk));
            S11(kk)=Zaehler1(kk)/Nenner(kk);
            S11_dB(kk)=20*log10(S11(kk));
        end
          axes(handles.rf_axes3);
          set(handles.rf_axes3,'position',[233 71 360 200]);
          cla reset
          set(handles.rf_axes3,'Visible','on');
          [haxes,h1,h2] = plotyy((f/1e9),S21_dB,(f/1e9),S11_dB,'plot');
          axes(haxes(1));
          set(haxes(1),'fontunits','pixel','FontSize',10);
          set(haxes(1),'xlim',[0 2*fm_ein],'xtick',[]);
          set(haxes(1),'ylim',[-10 1],'ytick',[-10 -9 -8 -7 -6 -5 -4 -3 -2 -1 0 1]);
          ylabel('S21 (dB)','fontunits','pixel','FontSize',12);
          axes(haxes(2))
          set(haxes(2),'fontunits','pixel','FontSize',10);
          set(haxes(2),'xlim',[0 2*fm_ein],'xtick',[0 2*fm_ein/8 2*2*fm_ein/8 3*2*fm_ein/8 4*2*fm_ein/8 5*2*fm_ein/8 6*2*fm_ein/8 7*2*fm_ein/8 2*fm_ein]);
          set(haxes(2),'ylim',[-50 5],'ytick',[-50 -45 -40 -35 -30 -25 -20 -15 -10 -5 0 5]);
          ylabel('S11 (dB)','fontunits','pixels','FontSize',12);
          xlabel('Frequency f in GHz   [0 < f < 2*fm]','fontunits','pixels','FontSize',12);
          legend([h1,h2],'S21','S11');
          title('S-parameter of lambda/2 line transformer','fontunits','pixels','FontSize',14);
          grid on;
elseif val == 37   %%Bedienoberflaeche: Lambda/4 line transformer
    fm_ein=str2num(get(handles.rf_edit1,'String'));
        Z_E=str2double(get(handles.rf_edit2,'String'));
        Z_A=str2double(get(handles.rf_edit3,'String'));
     if (fm_ein<0) || (fm_ein==0)
        errordlg('Medium frequency fm must be a positive number. Please enter again!');
        hold off;
        return
     elseif real(Z_E)<0 
        errordlg('The real part of Z_E must be positive. Please enter again!');
        hold off;
        return
     elseif real(Z_A)<0 
        errordlg('The real part of Z_A must be positive. Please enter again!');
        hold off;
        return
     elseif Z_E==Z_A
        errordlg('Output impedance Z_A can not equal to input impedance Z_E. Please enter again!');
        hold off;
        return
     else
        fm_ein;Z_E;Z_A;
     end
     fm=fm_ein*1e9;
     C0=2.99*1e8;
     l=C0/4/fm;
     Z_L=sqrt(Z_E*Z_A);
        if imag(Z_L)==0
             set(handles.rf_listbox2,'String','');
             str1=sprintf('Wave resistance Z_L (ohm)');
             str2=sprintf('Z_L=%0.3g',Z_L);
             str3=sprintf('Line length L (m)');
             str4=sprintf('l=%0.3g',l);
             Result=str2mat(str1,str2,'',str3,str4);
             set(handles.rf_listbox2,'String',Result);
          else
             set(handles.rf_listbox2,'String','');
             str1=sprintf('Wave resistance Z_L (ohm) (real part)');
             str2=sprintf('real(Z_L)=%0.3g',real(Z_L));
             str3=sprintf('Wave resistance Z_L (ohm) (imaginary part)');
             str4=sprintf('imag(Z_L)=%0.3g',imag(Z_L));
             str5=sprintf('Line length L (m)');
             str6=sprintf('l=%0.3g',l);
             Result=str2mat(str1,str2,'',str3,str4,'',str5,str6);
             set(handles.rf_listbox2,'String',Result);
        end
        for kk= 1:1:1000
            anz=2*fm/1000;
            f(kk)=anz*kk;
            ZL1=Z_E;
            ZL2=Z_A;
            p(kk)=pi*f(kk)/fm;
            Nenner(kk)=(Z_L)^2*(cos(p(kk)))^2+sqrt(-1)*sin(p(kk))*Z_L*cos(p(kk))*ZL2+sqrt(-1)*sin(p(kk))*Z_L*cos(p(kk))*ZL1-...
                       ZL1*ZL2+ZL1*ZL2*(cos(p(kk)))^2-(Z_L)^2;
            Zaehler1(kk)=(Z_L^2)*(cos(p(kk)))^2+sqrt(-1)*sin(p(kk))*Z_L*cos(p(kk))*ZL2-sqrt(-1)*sin(p(kk))*Z_L*cos(p(kk))*ZL1+...
                     ZL1*ZL2-ZL1*ZL2*(cos(p(kk)))^2-(Z_L)^2;
            S21(kk)=2*sqrt(-1)*sqrt(ZL1)*Z_L*sin(p(kk))*sqrt(ZL2)/Nenner(kk);
            S21_dB(kk)=20*log10(S21(kk));
            S11(kk)=Zaehler1(kk)/Nenner(kk);
            S11_dB(kk)=20*log10(S11(kk));
        end
          axes(handles.rf_axes3);
          set(handles.rf_axes3,'position',[233 71 360 200]);
          cla reset
          set(handles.rf_axes3,'Visible','on');
          [haxes,h1,h2] = plotyy((f/1e9),S21_dB,(f/1e9),S11_dB,'plot');
          axes(haxes(1));
          set(haxes(1),'fontunits','pixel','FontSize',10);
          set(haxes(1),'xlim',[0 2*fm_ein],'xtick',[]);
          set(haxes(1),'ylim',[-10 1],'ytick',[-10 -9 -8 -7 -6 -5 -4 -3 -2 -1 0 1]);
          ylabel('S21 (dB)','fontunits','pixel','FontSize',12);
          axes(haxes(2))
          set(haxes(2),'fontunits','pixel','FontSize',10);
          set(haxes(2),'xlim',[0 2*fm_ein],'xtick',[0 2*fm_ein/8 2*2*fm_ein/8 3*2*fm_ein/8 4*2*fm_ein/8 5*2*fm_ein/8 6*2*fm_ein/8 7*2*fm_ein/8 2*fm_ein]);
          set(haxes(2),'ylim',[-50 5],'ytick',[-50 -45 -40 -35 -30 -25 -20 -15 -10 -5 0 5]);
          ylabel('S11 (dB)','fontunits','pixels','FontSize',12);
          xlabel('Frequency f in GHz   [0 < f < 2*fm]','fontunits','pixels','FontSize',12);
          legend([h1,h2],'S21','S11');
          title('S-parameter of lambda/4 line transformer','fontunits','pixels','FontSize',14);
          grid on;
elseif val == 38   %%Bedienoberflaeche: Lambda/x line transformer
    p=str2num(get(handles.rf_edit1,'String'));
       Z_L=str2double(get(handles.rf_edit2,'String'));
       Z_A=str2double(get(handles.rf_edit3,'String'));
       if (p<0) || (p==0)
          errordlg('Eletric length p must be a positive number. Please enter again!');
          hold off;
          return
       elseif Z_A==Z_L
           errordlg('The output impedance Z_A can not equal to wave resistance Z_L. Please enter again!');
           hold off;
           return
       else
          p;
       end
       P=p*pi/180;
       r_A=(Z_A-Z_L)/(Z_A+Z_L);
       R_A=real(r_A);
       I_A=imag(r_A);
       rho_A=abs(r_A);
       theta_A=angle(r_A);
       winkel_A=theta_A*(180/pi);
       r_E=r_A*exp(-j*2*P);
       R_E=real(r_E);
       I_E=imag(r_E);
       rho_E=abs(r_E);
       theta_E=angle(r_E);
       winkel_E=theta_E*(180/pi);
       Z_E=Z_L*(1+r_E)/(1-r_E);
       winkel_Z_E=angle(Z_E)*(180/pi);
       %%Ergebnis ausgeben
       set(handles.rf_listbox2,'String','');
       str1=sprintf('Magnitude of r_A');  
       str2=sprintf('rho_A=%0.3g',rho_A);
       str3=sprintf('Phase angle of r_A (degree)');
       str4=sprintf('theta_A=%0.3g',winkel_A);
       str5=sprintf('Magnitude of r_E');
       str6=sprintf('rho_E=%0.3g',rho_E);
       str7=sprintf('Phase angle of r_E (degree)');
       str8=sprintf('theta_E=%0.3g',winkel_E);
       str9=sprintf('Magnitude of input impedance Z_E (ohm)');
       str10=sprintf('|Z_E|=%0.3g',abs(Z_E));
       str11=sprintf('Phase angle of input impedance Z_E (degree)');
       str12=sprintf('theta(Z_E)=%0.3g',winkel_Z_E);
       Result=str2mat(str1,str2,'',str3,str4,'',str5,str6,'',str7,str8,'',str9,str10,'',str11,str12);
       set(handles.rf_listbox2,'String',Result);
       axes(handles.rf_axes3);
       set(handles.rf_axes3,'position',[233 71 360 200]);
       cla reset
       plot(real(r_A),imag(r_A));
       set(gca,'fontunits','pixels','FontSize',10);
       xlabel('Re (r)','fontunits','pixels','FontSize',12);
       ylabel('Im (r)','fontunits','pixels','FontSize',12);
       line([0 real(r_A)],[0 imag(r_A)],'color','r');
       hold on;
       plot(real(r_E),imag(r_E));
       line([0 real(r_E)],[0 imag(r_E)],'color','b');
       legend('r_E','r_A');
       axis equal;
       circle(0,0,rho_A,'g','--');
       title('The reflection factor r_E(l) and r_A','fontunits','pixels','FontSize',14); 
elseif val == 41   %%Bedienoberflaeche: Even-mode blocker based on resonator I (Capacitor)
       C_ein=str2num(get(handles.rf_edit1,'String'));
       fm_ein=str2num(get(handles.rf_edit2,'String'));
       Z0=str2double(get(handles.rf_edit3,'String'));
       if C_ein<0 || C_ein==0
          errordlg('Capacitance C must be a positive number. Please enter again!');
          hold off
          return
       elseif fm_ein<0 || fm_ein==0 
          errordlg('Medium frequency fm must be a positive number. Please enter again!');
          hold off
          return
       else
          C_ein;fm_ein;
       end
       C=C_ein*1e-12;
       fm=fm_ein*1e9;
       wm=2*pi*fm;
       L=1/wm^2/C/2;
       set(handles.rf_listbox2,'String','');
       str1=sprintf('Inductance L (H)');
       str2=sprintf('L=%0.3g',abs(L));
       Result=str2mat(str1,str2);
       set(handles.rf_listbox2,'String',Result);
       for kk= 1:1:1000
           anz=4*fm/1000;
           f(kk)=anz*kk;
           w(kk)=2*pi*f(kk);
           za(kk)=1/j/w(kk)/C/Z0;
%            zb(kk)=j*w(kk)*L/Z0;
           M11D(kk)=-1/(1+2*za(kk));
           M11D_dB(kk)=20*log10(abs(M11D(kk)));
           M21D(kk)=2*za(kk)/(1+2*za(kk));
           M21D_dB(kk)=20*log10(abs(M21D(kk)));
        end
          axes(handles.rf_axes3);
          set(handles.rf_axes3,'position',[233 71 360 200]);
          cla reset
          set(handles.rf_axes3,'Visible','on');
          [haxes,h1,h2] = plotyy((f/1e9),M21D_dB,(f/1e9),M11D_dB,'plot');
          axes(haxes(1));          
          set(haxes(1),'fontunits','pixel','FontSize',10);
          set(haxes(1),'xlim',[0 4*fm_ein],'xtick',[]);
          set(haxes(1),'ylim',[-10 1],'ytick',[-10 -9 -8 -7 -6 -5 -4 -3 -2 -1 0 1]);
          ylabel('M21- (dB)','fontunits','pixels','FontSize',12);
          axes(haxes(2))
          set(haxes(2),'fontunits','pixel','FontSize',10);
          set(haxes(2),'xlim',[0 4*fm_ein],'xtick',[0 4*fm_ein/8 2*4*fm_ein/8 3*4*fm_ein/8 4*4*fm_ein/8 5*4*fm_ein/8 6*4*fm_ein/8 7*4*fm_ein/8 4*fm_ein]);
          set(haxes(2),'ylim',[-50 5],'ytick',[-50 -45 -40 -35 -30 -25 -20 -15 -10 -5 0 5]);
          ylabel('M11- (dB)','fontunits','pixels','FontSize',12);
          xlabel('Frequency f in GHz   [0 < f < 4*fm]','fontunits','pixels','FontSize',12);
          legend([h1,h2],'M21-','M11-');
          title('M-parameter of even-mode blocker based on capacitor','fontunits','pixels','FontSize',14);
          grid on;
elseif val == 42   %%Bedienoberflaeche: Even-mode blocker based on resonator II (Inductor)
       L_ein=str2num(get(handles.rf_edit1,'String'));
       fm_ein=str2num(get(handles.rf_edit2,'String'));
       Z0=str2double(get(handles.rf_edit3,'String'));
       if L_ein<0 || L_ein==0
          errordlg('Inductance L must be a positive number. Please enter again!');
          hold off
          return
       elseif fm_ein<0 || fm_ein==0 
          errordlg('Medium frequency fm must be a positive number. Please enter again!');
          hold off
          return
       else
          L_ein;fm_ein;
       end
       L=L_ein*1e-9;
       fm=fm_ein*1e9;
       wm=2*pi*fm;
       C=2/wm^2/L;
       set(handles.rf_listbox2,'String','');
       str1=sprintf('Capacitance C (F)');
       str2=sprintf('C=%0.3g',abs(C));
       Result=str2mat(str1,str2);
       set(handles.rf_listbox2,'String',Result);
       for kk= 1:1:1000
           anz=4*fm/1000;
           f(kk)=anz*kk;
           w(kk)=2*pi*f(kk);
           za(kk)=j*w(kk)*L/Z0;
%            zb(kk)=1/j/w(kk)/C/Z0;
           M11D(kk)=-1/(1+2*za(kk));
           M11D_dB(kk)=20*log10(abs(M11D(kk)));
           M21D(kk)=2*za(kk)/(1+2*za(kk));
           M21D_dB(kk)=20*log10(abs(M21D(kk)));
        end
          axes(handles.rf_axes3);
          set(handles.rf_axes3,'position',[233 71 360 200]);
          cla reset
          set(handles.rf_axes3,'Visible','on');
          [haxes,h1,h2] = plotyy((f/1e9),M21D_dB,(f/1e9),M11D_dB,'plot');
          axes(haxes(1));          
          set(haxes(1),'fontunits','pixel','FontSize',10);
          set(haxes(1),'xlim',[0 4*fm_ein],'xtick',[]);
          set(haxes(1),'ylim',[-50 5],'ytick',[-50 -45 -40 -35 -30 -25 -20 -15 -10 -5 0 5]);
          ylabel('M21- (dB)','fontunits','pixels','FontSize',12);
          axes(haxes(2))
          set(haxes(2),'fontunits','pixel','FontSize',10);
          set(haxes(2),'xlim',[0 4*fm_ein],'xtick',[0 4*fm_ein/8 2*4*fm_ein/8 3*4*fm_ein/8 4*4*fm_ein/8 5*4*fm_ein/8 6*4*fm_ein/8 7*4*fm_ein/8 4*fm_ein]);
          set(haxes(2),'ylim',[-10 1],'ytick',[-10 -9 -8 -7 -6 -5 -4 -3 -2 -1 0 1]);
          ylabel('M11- (dB)','fontunits','pixels','FontSize',12);
          xlabel('Frequency f in GHz   [0 < f < 4*fm]','fontunits','pixels','FontSize',12);
          legend([h1,h2],'M21-','M11-');
          title('M-parameter of even-mode blocker based on inductor','fontunits','pixels','FontSize',14);
          grid on;
elseif val == 44   %%Bedienoberflaeche: Propagation matrix
    P1 = str2num(str2mat(get(handles.rf_edit1, 'String')));
       [row, col] = size(P1);
       if (row > col) || (row < col) || (row~=4) || (col~=4)
          errordlg('Propagation-matrix P1 must be a 4x matrix. Please enter again!');
          hold off;
          return
       else
          P1;
       end
       P2 = str2num(str2mat(get(handles.rf_edit2, 'String')));
       [row, col] = size(P2);
       if (row > col) || (row < col) || (row~=4) || (col~=4)
          errordlg('Propagation-matrix P2 must be a 4x matrix. Please enter again!');
          hold off;
          return
       else
          P2;
       end
       P3 = str2num(str2mat(get(handles.rf_edit3, 'String')));
       [row, col] = size(P3);
       if (row > col) || (row < col) || (row~=4) || (col~=4)
          errordlg('Propagation-matrix P3 must be a 4x matrix. Please enter again!');
          hold off;
          return
       else
          P3;
       end
       %%Berechnung M1 
       %%C:+; D:-
       i=1;
       M1x=1/(P1(1,1)*P1(2,2)-P1(1,2)*P1(2,1));
       M111C=M1x*(P1(3,1)*P1(2,2)-P1(3,2)*P1(2,1));
       M111CD=M1x*(P1(3,2)*P1(1,1)-P1(3,1)*P1(1,2));
       M111DC=M1x*(P1(4,1)*P1(2,2)-P1(4,2)*P1(2,1));
       M111D=M1x*(P1(4,2)*P1(1,1)-P1(4,1)*P1(1,2));
       M112C=M1x*(P1(3,3)*P1(1,1)*P1(2,2)-P1(3,3)*P1(1,2)*P1(2,1)-P1(1,3)*P1(3,1)*P1(2,2)+...
             P1(1,3)*P1(3,2)*P1(2,1)+P1(2,3)*P1(3,1)*P1(1,2)-P1(2,3)*P1(3,2)*P1(1,1));
       M112CD=M1x*(P1(3,4)*P1(1,1)*P1(2,2)-P1(3,4)*P1(1,2)*P1(2,1)-P1(1,4)*P1(3,1)*P1(2,2)+...
              P1(1,4)*P1(3,2)*P1(2,1)+P1(2,4)*P1(3,1)*P1(1,2)-P1(2,4)*P1(3,2)*P1(1,1));
       M112DC=M1x*(P1(4,3)*P1(1,1)*P1(2,2)-P1(4,3)*P1(1,2)*P1(2,1)-P1(1,3)*P1(4,1)*P1(2,2)+...
              P1(1,3)*P1(4,2)*P1(2,1)+P1(2,3)*P1(4,1)*P1(1,2)-P1(2,3)*P1(4,2)*P1(1,1));
       M112D=M1x*(P1(4,4)*P1(1,1)*P1(2,2)-P1(4,4)*P1(1,2)*P1(2,1)-P1(1,4)*P1(4,1)*P1(2,2)+...
             P1(1,4)*P1(4,2)*P1(2,1)+P1(2,4)*P1(4,1)*P1(1,2)-P1(2,4)*P1(4,2)*P1(1,1));     
       M121C=M1x*P1(2,2);
       M121CD=-M1x*P1(1,2);
       M121DC=-M1x*P1(2,1);
       M121D=M1x*P1(1,1);
       M122C=M1x*(P1(1,2)*P1(2,3)-P1(2,2)*P1(1,3));
       M122CD=M1x*(P1(1,2)*P1(2,4)-P1(2,2)*P1(1,4));
       M122DC=M1x*(P1(2,1)*P1(1,3)-P1(1,1)*P1(2,3));
       M122D=M1x*(P1(2,1)*P1(1,4)-P1(1,1)*P1(2,4));
       M1=[M111C M111CD M112C M112CD;M111DC M111D M112DC M112D;M121C M121CD M122C M122CD;M121DC M121D M122DC M122D];
       %%Berechnung M2
       M2x=1/(P2(1,1)*P2(2,2)-P2(1,2)*P2(2,1));
       M211C=M2x*(P2(3,1)*P2(2,2)-P2(3,2)*P2(2,1));
       M211CD=M2x*(P2(3,2)*P2(1,1)-P2(3,1)*P2(1,2));
       M211DC=M2x*(P2(4,1)*P2(2,2)-P2(4,2)*P2(2,1));
       M211D=M2x*(P2(4,2)*P2(1,1)-P2(4,1)*P2(1,2));
       M212C=M2x*(P2(3,3)*P2(1,1)*P2(2,2)-P2(3,3)*P2(1,2)*P2(2,1)-P2(1,3)*P2(3,1)*P2(2,2)+...
             P2(1,3)*P2(3,2)*P2(2,1)+P2(2,3)*P2(3,1)*P2(1,2)-P2(2,3)*P2(3,2)*P2(1,1));
       M212CD=M2x*(P2(3,4)*P2(1,1)*P2(2,2)-P2(3,4)*P2(1,2)*P2(2,1)-P2(1,4)*P2(3,1)*P2(2,2)+...
              P2(1,4)*P2(3,2)*P2(2,1)+P2(2,4)*P2(3,1)*P2(1,2)-P2(2,4)*P2(3,2)*P2(1,1));
       M212DC=M2x*(P2(4,3)*P2(1,1)*P2(2,2)-P2(4,3)*P2(1,2)*P2(2,1)-P2(1,3)*P2(4,1)*P2(2,2)+...
              P2(1,3)*P2(4,2)*P2(2,1)+P2(2,3)*P2(4,1)*P2(1,2)-P2(2,3)*P2(4,2)*P2(1,1));
       M212D=M2x*(P2(4,4)*P2(1,1)*P2(2,2)-P2(4,4)*P2(1,2)*P2(2,1)-P2(1,4)*P2(4,1)*P2(2,2)+...
             P2(1,4)*P2(4,2)*P2(2,1)+P2(2,4)*P2(4,1)*P2(1,2)-P2(2,4)*P2(4,2)*P2(1,1));     
       M221C=M2x*P2(2,2);
       M221CD=-M2x*P2(1,2);
       M221DC=-M2x*P2(2,1);
       M221D=M2x*P2(1,1);
       M222C=M2x*(P2(1,2)*P2(2,3)-P2(2,2)*P2(1,3));
       M222CD=M2x*(P2(1,2)*P2(2,4)-P2(2,2)*P2(1,4));
       M222DC=M2x*(P2(2,1)*P2(1,3)-P2(1,1)*P2(2,3));
       M222D=M2x*(P2(2,1)*P2(1,4)-P2(1,1)*P2(2,4));
       M2=[M211C M211CD M212C M212CD;M211DC M211D M212DC M212D;M221C M221CD M222C M222CD;M221DC M221D M222DC M222D];
       %%Berechnung M3
       M3x=1/(P3(1,1)*P3(2,2)-P3(1,2)*P3(2,1));
       M311C=M3x*(P3(3,1)*P3(2,2)-P3(3,2)*P3(2,1));
       M311CD=M3x*(P3(3,2)*P3(1,1)-P3(3,1)*P3(1,2));
       M311DC=M3x*(P3(4,1)*P3(2,2)-P3(4,2)*P3(2,1));
       M311D=M3x*(P3(4,2)*P3(1,1)-P3(4,1)*P3(1,2));
       M312C=M3x*(P3(3,3)*P3(1,1)*P3(2,2)-P3(3,3)*P3(1,2)*P3(2,1)-P3(1,3)*P3(3,1)*P3(2,2)+...
             P3(1,3)*P3(3,2)*P3(2,1)+P3(2,3)*P3(3,1)*P3(1,2)-P3(2,3)*P3(3,2)*P3(1,1));
       M312CD=M3x*(P3(3,4)*P3(1,1)*P3(2,2)-P3(3,4)*P3(1,2)*P3(2,1)-P3(1,4)*P3(3,1)*P3(2,2)+...
              P3(1,4)*P3(3,2)*P3(2,1)+P3(2,4)*P3(3,1)*P3(1,2)-P3(2,4)*P3(3,2)*P3(1,1));
       M312DC=M3x*(P3(4,3)*P3(1,1)*P3(2,2)-P3(4,3)*P3(1,2)*P3(2,1)-P3(1,3)*P3(4,1)*P3(2,2)+...
              P3(1,3)*P3(4,2)*P3(2,1)+P3(2,3)*P3(4,1)*P3(1,2)-P3(2,3)*P3(4,2)*P3(1,1));
       M312D=M3x*(P3(4,4)*P3(1,1)*P3(2,2)-P3(4,4)*P3(1,2)*P3(2,1)-P3(1,4)*P3(4,1)*P3(2,2)+...
              P3(1,4)*P3(4,2)*P3(2,1)+P3(2,4)*P3(4,1)*P3(1,2)-P3(2,4)*P3(4,2)*P3(1,1));     
       M321C=M3x*P3(2,2);
       M321CD=-M3x*P3(1,2);
       M321DC=-M3x*P3(2,1);
       M321D=M3x*P3(1,1);
       M322C=M3x*(P3(1,2)*P3(2,3)-P3(2,2)*P3(1,3));
       M322CD=M3x*(P3(1,2)*P3(2,4)-P3(2,2)*P3(1,4));
       M322DC=M3x*(P3(2,1)*P3(1,3)-P3(1,1)*P3(2,3));
       M322D=M3x*(P3(2,1)*P3(1,4)-P3(1,1)*P3(2,4));
       M3=[M311C M311CD M312C M312CD;M311DC M311D M312DC M312D;M321C M321CD M322C M322CD;M321DC M321D M322DC M322D];
       Pt=P1*P2*P3;
       Mt=M1*M2*M3;
       %%Ergbnis ausgeben
        set(handles.rf_listbox2,'String','');
        str1=sprintf('Converted M-parameter-matrix of P1: M1=');
        str2=sprintf('%0.3g   %0.3g   %0.3g   %0.3g',M1(1,:));
        str3=sprintf('%0.3g   %0.3g   %0.3g   %0.3g',M1(2,:));
        str4=sprintf('%0.3g   %0.3g   %0.3g   %0.3g',M1(3,:));
        str5=sprintf('%0.3g   %0.3g   %0.3g   %0.3g',M1(4,:));
        str6=sprintf('Converted M-Parameter-Matrix of P2: M2=');
        str7=sprintf('%0.3g   %0.3g   %0.3g   %0.3g',M2(1,:));
        str8=sprintf('%0.3g   %0.3g   %0.3g   %0.3g',M2(2,:));
        str9=sprintf('%0.3g   %0.3g   %0.3g   %0.3g',M2(3,:));
        str10=sprintf('%0.3g   %0.3g   %0.3g   %0.3g',M2(4,:));
        str11=sprintf('Converted M-Parameter-Matrix of P3: M3=');
        str12=sprintf('%0.3g   %0.3g   %0.3g   %0.3g',M3(1,:));
        str13=sprintf('%0.3g   %0.3g   %0.3g   %0.3g',M3(2,:));
        str14=sprintf('%0.3g   %0.3g   %0.3g   %0.3g',M3(3,:));
        str15=sprintf('%0.3g   %0.3g   %0.3g   %0.3g',M3(4,:));
        str16=sprintf('Total converted M-parameter-matrix: Mt=');
        str17=sprintf('%0.3g   %0.3g   %0.3g   %0.3g',Mt(1,:));
        str18=sprintf('%0.3g   %0.3g   %0.3g   %0.3g',Mt(2,:));
        str19=sprintf('%0.3g   %0.3g   %0.3g   %0.3g',Mt(3,:));
        str20=sprintf('%0.3g   %0.3g   %0.3g   %0.3g',Mt(4,:));
        str21=sprintf('Total propagation-matrix: Pt=');
        str22=sprintf('%0.3g   %0.3g   %0.3g   %0.3g',Pt(1,:));
        str23=sprintf('%0.3g   %0.3g   %0.3g   %0.3g',Pt(2,:));
        str24=sprintf('%0.3g   %0.3g   %0.3g   %0.3g',Pt(3,:));
        str25=sprintf('%0.3g   %0.3g   %0.3g   %0.3g',Pt(4,:));
        Result=str2mat(str1,str2,str3,str4,str5,'',str6,str7,str8,str9,str10,'',str11,str12,str13,str14,str15,'',...
                       str16,str17,str18,str19,str20,'',str21,str22,str23,str24,str25);
        set(handles.rf_listbox2,'String',Result);
elseif val == 45   %%Bedienoberflaeche: Relationship between S- and M-parameters
    S1 = str2num(str2mat(get(handles.rf_edit1, 'String')));
       [row, col] = size(S1);
       if (row > col) || (row < col) || (row~=3) || (col~=3)
          errordlg('S-parameter-matrix S must be a 3x matrix. Please enter again!');
          hold off;
          return
       else
          S1;
       end
       M1 = str2num(str2mat(get(handles.rf_edit2, 'String')));
       [row, col] = size(M1);
       if (row > col) || (row < col) || (row~=3) || (col~=3)
          errordlg('M-parameter-matrix M must be a 3x matrix. Please enter again!');
          hold off;
          return
       else
          M1;
       end
       %%Umrechnung von S zu M 
       %%C:+; D:-
       M1110=S1(1,1);
       M122C=(S1(2,2)+S1(2,3)+S1(3,2)+S1(3,3))/2;
       M122D=(S1(2,2)-S1(2,3)-S1(3,2)+S1(3,3))/2;
       M1120C=(S1(1,2)+S1(1,3))/sqrt(2);
       M1120D=(S1(1,2)-S1(1,3))/sqrt(2);
       M121C0=(S1(2,1)+S1(3,1))/sqrt(2);
       M121D0=(S1(2,1)-S1(3,1))/sqrt(2);
       M122DC=(S1(2,2)+S1(2,3)-S1(3,2)-S1(3,3))/2;
       M122CD=(S1(2,2)-S1(2,3)+S1(3,2)-S1(3,3))/2;
       M=[M1110 M1120C M1120D;M121D0 M122D M122DC;M121C0 M122CD M122C];
       %%Umrechnung von M zu S
       %%C:+; D:-
       S111=M1(1,1);
       S112=(M1(1,3)+M1(1,2))/sqrt(2);
       S113=(M1(1,3)-M1(1,2))/sqrt(2);
       S121=(M1(3,1)+M1(2,1))/sqrt(2);
       S122=(M1(3,3)+M1(2,3)+M1(3,2)+M1(2,2))/2;
       S123=(M1(3,3)+M1(2,3)-M1(3,2)-M1(2,2))/2;
       S131=(M1(3,1)-M1(2,1))/sqrt(2);
       S132=(M1(3,3)-M1(2,3)+M1(3,2)-M1(2,2))/2;
       S133=(M1(3,3)-M1(2,3)-M1(3,2)+M1(2,2))/2;
       S=[S111 S112 S113;S121 S122 S123;S131 S132 S133];
       %%Ergbnis ausgeben
        set(handles.rf_listbox2,'String','');
        str1=sprintf('Converted M-parameter-matrix: M=');
        str2=sprintf('%0.3g   %0.3g   %0.3g',M(1,:));
        str3=sprintf('%0.3g   %0.3g   %0.3g',M(2,:));
        str4=sprintf('%0.3g   %0.3g   %0.3g',M(3,:));
        str5=sprintf('and Converted S-parameter-matrix: S=');
        str6=sprintf('%0.3g   %0.3g   %0.3g',S(1,:));
        str7=sprintf('%0.3g   %0.3g   %0.3g',S(2,:));
        str8=sprintf('%0.3g   %0.3g   %0.3g',S(3,:));
        Result=str2mat(str1,str2,str3,str4,'',str5,str6,str7,str8);
        set(handles.rf_listbox2,'String',Result);
elseif val == 47   %%Bedienoberflaeche: +/-90 degree balun
    Rin=str2num(get(handles.rf_edit1,'String'));
       R=str2num(get(handles.rf_edit2,'String'));
       fm_ein=str2num(get(handles.rf_edit3,'String'));
       if imag(Rin)~=0
          errordlg('Input resistance Rin can not be a complex number. Please enter again!');
          hold off;
          return
       elseif (Rin<0) || (Rin==0)
          errordlg('Input resistance Rin must be a positive number. Please enter again!');
          hold off;
          return
       elseif imag(R)~=0
          errordlg('Resistance R can not be a complex number. Please enter again!');
          hold off;
          return
       elseif (R<0) || (R==0)
           errordlg('Resistance R must be a positive number. Please enter again!');
           hold off;
           return
       elseif R==Rin
           errordlg('Resistance R can not equal to resistance Rin. Please enter again!');
           hold off;
           return
       elseif (fm_ein<0) || (fm_ein==0)
           errordlg('Medium frequency fm must be a positive number. Please enter again!');
           hold off;
           return
       else
           Rin;R;fm_ein;
       end
       fm=fm_ein*1e9;
       wm=2*pi*fm;
       C=1/wm/sqrt(2*Rin*R);
       L=2*C*R*Rin;
       set(handles.rf_listbox2,'String','');
       str1=sprintf('Capacitance C (F)');
       str2=sprintf('C=%0.3g',abs(C));
       str3=sprintf('Inductance L (H)');
       str4=sprintf('L=%0.3g',abs(L));
       Result=str2mat(str1,str2,'',str3,str4);
       set(handles.rf_listbox2,'String',Result);
       %Abbildung S11          
          for kk=1:1:1000
           anz=(2*fm)/1000;
           f(kk)=anz*kk;
           w(kk)=2*pi*f(kk);
           ZL1=Rin;
           ZL2=R;
           Z1(kk)=j*w(kk)*L+R/(1+j*w(kk)*C*R);
           Z2(kk)=j*w(kk)*L;
           Z3(kk)=1/j/w(kk)/C;
           Nenner(kk)=Z1(kk)*Z3(kk)*Z2(kk)+Z1(kk)*Z3(kk)*ZL2+Z1(kk)*ZL2*Z2(kk)+ZL1*Z3(kk)*Z2(kk)+...
                      ZL1*Z3(kk)*ZL2+ZL1*ZL2*Z2(kk)+ZL1*Z1(kk)*Z2(kk)+ZL1*Z1(kk)*ZL2;
           S11(kk)=2*(Z2(kk)*Z3(kk)+ZL2*Z3(kk)+ZL2*Z2(kk))*Z1(kk)/Nenner(kk)-1;
           S11_dB(kk)=20*log10(abs(S11(kk)));
          end
          axes(handles.rf_axes3);
          cla reset
          set(handles.rf_axes3,'Visible','on');   
          plot((f/1e9),S11_dB);
          set(gca,'fontunits','pixel','FontSize',10);
          set(gca,'xlim',[0 2*fm/1e9],'xtick',[0 2*fm_ein/10 2*2*fm_ein/10 3*2*fm_ein/10 4*2*fm_ein/10 5*2*fm_ein/10 6*2*fm_ein/10 7*2*fm_ein/10 8*2*fm_ein/10 9*2*fm_ein/10 10*2*fm_ein/10]);
          set(gca,'ylim',[-100 0],'ytick',[-100 -90 -80 -70 -60 -50 -40 -30 -20 -10 0]);
          ylabel('S11 (dB)','fontunits','pixel','FontSize',12);
          xlabel('Frequency f in GHz   [0 < f < 2*fm]','fontunits','pixel','FontSize',12);     
          title('S11-parameter of +/-90 degree balun','fontunits','pixel','FontSize',14);
          grid on;
elseif val == 48   %%Bedienoberflaeche: Saving-balun
    Rx=str2num(get(handles.rf_edit1,'String'));
        Ry=str2num(get(handles.rf_edit2,'String'));
        fm_ein=str2num(get(handles.rf_edit3,'String'));
        if imag(Rx)~=0
          errordlg('Resistance Rx can not be a complex number. Please enter again!');
          hold off;
          return
        elseif Rx<0 || Rx==0
               errordlg('Resistance Rx must be a positive number. Please enter again!');
               hold off
               return
        elseif imag(Ry)~=0
               errordlg('Resistance Ry can not be a complex number. Please enter again!');
               hold off;
               return
        elseif Ry<0 || Ry==0
               errordlg('Resistance Ry must be a positive number. Please enter again!');
               hold off
               return
        elseif Rx<Ry || Rx==Ry
               errordlg('Resistance Rx must be greater than Ry. Please enter again!');
               hold off
               return
        elseif (fm_ein<0) || (fm_ein==0)
               errordlg('Medium frequency fm must be a positive number. Please enter again!');
               hold off;
               return
        else
             Rx;Ry;fm_ein;
        end
        fm=fm_ein*1e9;
        wm=2*pi*fm;
        L=sqrt(2*Rx*Ry-Ry^2)/wm;
        C=1/wm^2/L;
        set(handles.rf_listbox2,'String','');
        str1=sprintf('Inductance L (H)');
        str2=sprintf('L=%0.3g',abs(L));
        str3=sprintf('Capacitance C (F)');
        str4=sprintf('C=%0.3g',abs(C));
        Result=str2mat(str1,str2,'',str3,str4);
        set(handles.rf_listbox2,'String',Result);
        %Berechnung S21        
        for kk=1:1:1000
           anz=(4*fm)/1000;
           f(kk)=anz*kk;
           w(kk)=2*pi*f(kk);
           ZL1=Rx;
           ZL2=Ry;           
           Z2(kk)=1/j/w(kk)/C;
           Z3(kk)=j*w(kk)*L+Ry;
           Nenner(kk)=Z2(kk)*Z3(kk)+Z3(kk)*ZL2+ZL1*Z2(kk)+ZL1*Z3(kk)+ZL1*ZL2;
           S21(kk)=(2*sqrt(ZL1)*Z3(kk)*sqrt(ZL2))/Nenner(kk);
           S21_dB(kk)=20*log10(S21(kk));
           S11(kk)=1-2*(Z2(kk)+Z3(kk)+ZL2)*ZL1/Nenner(kk);
           S11_dB(kk)=20*log10(S11(kk));
       end
        %%Abbildung S21 und S11
          axes(handles.rf_axes3);
          set(handles.rf_axes3,'position',[233 71 360 200]);
          cla reset
          set(handles.rf_axes3,'Visible','on');
          [haxes,h1,h2] = plotyy((f/1e9),(S21_dB),(f/1e9),(S11_dB),'plot');
          axes(haxes(1));
          set(haxes(1),'fontunits','pixel','FontSize',10);
          set(haxes(1),'xlim',[0 4*fm_ein],'xtick',[]);
%           set(haxes(1),'ylim',[-50 0],'ytick',[-50 -45 -40 -35 -30 -25 -20 -15 -10 -5 0]);
          set(haxes(1),'ylim',[-20 2],'ytick',[-20 -18 -16 -14 -12 -10 -8 -6 -4 -2 0 2]);
          ylabel('S21 (dB)','fontunits','pixels','FontSize',12);
          axes(haxes(2));
          set(haxes(2),'fontunits','pixel','FontSize',10);
          set(haxes(2),'xlim',[0 4*fm_ein],'xtick',[0 4*fm_ein/8 2*4*fm_ein/8 3*4*fm_ein/8 4*4*fm_ein/8 5*4*fm_ein/8 6*4*fm_ein/8 7*4*fm_ein/8 4*fm_ein]);
          set(haxes(2),'ylim',[-100 10],'ytick',[-100 -90 -80 -70 -60 -50 -40 -30 -20 -10 0 10]);
          ylabel('S11 (dB)','fontunits','pixels','FontSize',12);
          xlabel('Frequency f in GHz   [0 < f < 4*fm]','fontunits','pixels','FontSize',12);
          legend([h1,h2],'S21','S11');
          title('S-parameter of Saving-Balun','fontunits','pixels','FontSize',14);
          grid on;
elseif val == 50   %%Bedienoberflaeche: Ideal coupler
    tau = str2num(str2mat(get(handles.rf_edit1, 'String')));
       if (tau<0)
          errordlg('Pass factor tau must be a positive number. Please enter again!');
          hold off;
          return
       elseif  (tau>1)
               errordlg('Pass factor tau must less than 1. Please enter again!');
               hold off;
               return
       else
              tau;
       end
       kappa = str2num(str2mat(get(handles.rf_edit2, 'String')));
       if (kappa<0)
          errordlg('Coupler transmission factor kappa must be a positive number. Please enter again!');
          hold off;
          return
       elseif (kappa>1)
              errordlg('Coupler transmission factor kappa must less than 1. Please enter again!');
              hold off;
              return
       else
              kappa;
       end
       i=1;
       %%Berechnung S-Matrix
       kappa1=sqrt(1-tau^2);
       S111=0;
       S112=tau;
       S113=kappa1;
       S114=0;
       S121=tau;
       S122=0;
       S123=0;
       S124=kappa1;
       S131=kappa1;
       S132=0;
       S133=0;
       S134=tau;
       S141=0;
       S142=kappa1;
       S143=tau;
       S144=0;
       S1=[S111 S112 S113 S114;S121 S122 S123 S124;...
           S131 S132 S133 S134;S141 S142 S143 S144];
       tau1=sqrt(1-kappa^2);
       S211=0;
       S212=tau1;
       S213=kappa;
       S214=0;
       S221=tau1;
       S222=0;
       S223=0;
       S222=kappa;
       S231=kappa;
       S232=0;
       S233=0;
       S234=tau1;
       S241=0;
       S242=kappa;
       S243=tau1;
       S244=0;
       S2=[S211 S212 S213 S214;S221 S222 S223 S222;...
           S231 S232 S233 S234;S241 S242 S243 S244];
       %%Ergbnis ausgeben
        set(handles.rf_listbox2,'String','');
        str1=sprintf('S-matrix of coupler according to tau: tau=');
        str2=sprintf('%0.3g   %0.3g   %0.3g   %0.3g',S1(1,:));
        str3=sprintf('%0.3g   %0.3g   %0.3g   %0.3g',S1(2,:));
        str4=sprintf('%0.3g   %0.3g   %0.3g   %0.3g',S1(3,:));
        str5=sprintf('%0.3g   %0.3g   %0.3g   %0.3g',S1(4,:));
        str6=sprintf('S-matrix of coupler according to kappa: kappa=');
        str7=sprintf('%0.3g   %0.3g   %0.3g   %0.3g',S2(1,:));
        str8=sprintf('%0.3g   %0.3g   %0.3g   %0.3g',S2(2,:));
        str9=sprintf('%0.3g   %0.3g   %0.3g   %0.3g',S2(3,:));
        str10=sprintf('%0.3g   %0.3g   %0.3g   %0.3g',S2(4,:));
        Result=str2mat(str1,str2,str3,str4,str5,'',str6,str7,str8,str9,str10);
        set(handles.rf_listbox2,'String',Result);
elseif val == 51   %%Bedienoberflaeche: Line coupler
    P=str2num(get(handles.rf_edit1,'String'));
       Ze=str2double(get(handles.rf_edit2,'String'));
       fm_ein=str2num(get(handles.rf_edit3,'string'));
       Z0=str2double(get(handles.rf_edit4,'String'));
       if P<0 || P==0
          errordlg('Electric length p must be a positive number. Please enter again!');
          hold off
          return
       elseif real(Ze)<0 || real(Ze)==0
          errordlg('The real part of Ze must be positive. Please enter again!');
          hold off
          return
       elseif real(Z0)<0 || real(Z0)==0
          errordlg('The real part of Z0 must be positive. Please enter again!');
          hold off
          return
       elseif real(Ze)==real(Z0) && imag(Ze)==imag(Z0)
          errordlg('The impedance Ze can not equal to system impedance Z0. Please enter again!');
          hold off
          return
       elseif (fm_ein<0) || (fm_ein==0)
          errordlg('Medium frequency fm must be a positive number. Please enter again!');
          hold off;
          return
       else
          P;Ze;Z0;fm_ein;
       end
       p=P*pi/180;
       C0=2.99*1e8;
       fm=fm_ein*1e9;
       l=p*C0/fm/2/pi;
       Zd=Z0^2/Ze;
       ze=Ze/Z0;       
       zd=Zd/Z0;
       %%C:+;D:-;
       A_C=[cos(p) j*ze*sin(p);j*sin(p)/ze cos(p)];
       M11_C=j*(ze-1/ze)*sin(p)/(2*cos(p)+j*(ze+1/ze)*sin(p));
       M21_C=2/(2*cos(p)+j*(ze+1/ze)*sin(p));
       A_D=[cos(p) j*zd*sin(p);j*sin(p)/zd cos(p)];
       M11_D=j*(zd-1/zd)*sin(p)/(2*cos(p)+j*(zd+1/zd)*sin(p));
       M21_D=2/(2*cos(p)+j*(zd+1/zd)*sin(p));
       S11=0.5*(M11_C+M11_D);
       S21=0.5*(M11_C-M11_D);
       S31=0.5*(M21_C+M21_D);
       S41=0.5*(M21_C-M21_D);
       S11_dB=20*log10(abs(S11));
       S21_dB=20*log10(abs(S21));
       S31_dB=20*log10(abs(S31));
       S41_dB=20*log10(abs(S41));
       tau=S31;
       kappa=S21;
       set(handles.rf_listbox2,'String','');
       str1=sprintf('Line length L (m)');
       str2=sprintf('L=%0.3g',l);
       str3=sprintf('Odd-mode impedance Zd (ohm))');
       str4=sprintf('Zd=%0.3g',Zd);
       str5=sprintf('S-parameter: S11 (dB)');
       str6=sprintf('S11=%0.3g',S11_dB);
       str7=sprintf('S-parameter: S21 (dB)');
       str8=sprintf('S21=%0.3g',S21_dB);
       str9=sprintf('S-parameter: S31 (dB)');
       str10=sprintf('S31=%0.3g',S31_dB);
       str11=sprintf('S-parameter: S41 (dB)');
       str12=sprintf('S41=%0.3g',S41_dB);
       Result=str2mat(str1,str2,'',str3,str4,'',str5,str6,'',str7,str8,'',str9,str10,'',str11,str12);
       set(handles.rf_listbox2,'String',Result);
       %Berechnung S21
       for kk=1:1:100
           anz=4*fm/100;
           f(kk)=anz*kk;
           p(kk)=2*pi*f(kk)*l/C0;
           M11_C(kk)=j*(ze-1/ze)*sin(p(kk))/(2*cos(p(kk))+j*(ze+1/ze)*sin(p(kk)));
           M21_C(kk)=2/(2*cos(p(kk))+j*(ze+1/ze)*sin(p(kk)));
           M11_D(kk)=j*(zd-1/zd)*sin(p(kk))/(2*cos(p(kk))+j*(zd+1/zd)*sin(p(kk)));
           M21_D(kk)=2/(2*cos(p(kk))+j*(zd+1/zd)*sin(p(kk)));
           S31(kk)=0.5*(M21_C(kk)+M21_D(kk));
           S21(kk)=0.5*(M11_C(kk)-M11_D(kk));
           S31_dB(kk)=20*log10(abs(S31(kk)));
           S21_dB(kk)=20*log10(abs(S21(kk)));
%            S11(kk)=0.5*(M11_C(kk)+M11_D(kk));
%            S11_dB(kk)=20*log10(abs(S11(kk)));
       end
       %%Abbildung S21 und S31
          axes(handles.rf_axes3);
          set(handles.rf_axes3,'position',[233 71 360 200]);
          cla reset
          set(handles.rf_axes3,'Visible','on');
          [haxes,h1,h2] = plotyy((f/1e9),(S21_dB),(f/1e9),(S31_dB),'plot');
          axes(haxes(1));
          set(haxes(1),'fontunits','pixel','FontSize',10);
          set(haxes(1),'xlim',[0 4*fm_ein],'xtick',[]);
          set(haxes(1),'ylim',[-50 5],'ytick',[-50 -45 -40 -35 -30 -25 -20 -15 -10 -5 0 5]);
          ylabel('S21 (dB)','fontunits','pixels','FontSize',12);
          axes(haxes(2));
          set(haxes(2),'fontunits','pixel','FontSize',10);
          set(haxes(2),'xlim',[0 4*fm_ein],'xtick',[0 4*fm_ein/8 2*4*fm_ein/8 3*4*fm_ein/8 4*4*fm_ein/8 5*4*fm_ein/8 6*4*fm_ein/8 7*4*fm_ein/8 4*fm_ein]);
          set(haxes(2),'ylim',[-20 2],'ytick',[-20 -18 -16 -14 -12 -10 -8 -6 -4 -2 0 2]);
          ylabel('S31 (dB)','fontunits','pixels','FontSize',12);
          xlabel('Frequency f in GHz   [0 < f < 4*fm]','fontunits','pixels','FontSize',12);
          legend([h1,h2],'S21','S31');
          title('S-parameter of line coupler','fontunits','pixels','FontSize',14);
          grid on;
elseif val == 52   %%Bedienoberflaeche: Resistive coupler
    Z1=str2double(get(handles.rf_edit1,'String'));
       Z0=str2double(get(handles.rf_edit2,'String'));
       if real(Z1)<0 || real(Z1)==0
          errordlg('The real part of Z1 must be positive. Please enter again!');
          hold off
          return
       elseif real(Z0)<0 || real(Z0)==0
              errordlg('The real part of Z0 must be positive. Please enter again!');
              hold off
              return
       else
              Z1;Z0;
       end
       Z2=(Z0^2)/Z1;
       S21=Z0/(Z0+Z2);
       S21_dB=20*log10(S21);
       S41=Z2/(Z0+Z2);
       S41_dB=20*log10(S41);
       set(handles.rf_listbox2,'String','');
       str1=sprintf('Impedance Z2 (ohm)');
       str2=sprintf('Z2=%0.3g',Z2);
       str3=sprintf('Transmission factor S21 (dB)');
       str4=sprintf('S21=%0.3g',S21_dB);
       str5=sprintf('Transmission factor S41 (dB)');
       str6=sprintf('S41=%0.3g',S41_dB);
       Result=str2mat(str1,str2,'',str3,str4,'',str5,str6);
       set(handles.rf_listbox2,'String',Result);
elseif val == 53   %%Bedienoberflaeche: +90 degree LC-coupler
    C_ein=str2num(get(handles.rf_edit1,'String'));
       fm_ein=str2num(get(handles.rf_edit2,'String'));
       Z0=str2double(get(handles.rf_edit3,'String'));
       if C_ein<0 || C_ein==0
          errordlg('Capacitance C must be a positive number. Please enter again!');
          hold off
          return
       elseif fm_ein<0 || fm_ein==0
              errordlg('Medium frequency fm must be a positive number. Please enter again!');
              hold off
              return
       elseif real(Z0)<0 || real(Z0)==0
              errordlg('The real part of Z0 must be positive. Please enter again!');
              hold off
              return
       else
              C_ein;fm_ein;Z0;
       end
       C=C_ein*1e-12;
       fm=fm_ein*1e9;
       wm=2*pi*fm;
       L=C*Z0^2;
       Z1=1/j/wm/C;
       Z2=j*wm*L;
       S21=Z0/(Z0+Z2);
       S21_dB=20*log10(S21);
       S41=Z2/(Z0+Z2);
       S41_dB=20*log10(S41);
       set(handles.rf_listbox2,'String','');
       str1=sprintf('Inductance L (H)');
       str2=sprintf('L=%0.3g',L);
       str3=sprintf('Transmission factor S21 (dB)');
       str4=sprintf('S21=%0.3g',S21_dB);
       str5=sprintf('Transmission factor S41 (dB)');
       str6=sprintf('S41=%0.3g',S41_dB);
       Result=str2mat(str1,str2,'',str3,str4,'',str5,str6);
       set(handles.rf_listbox2,'String',Result);
       for kk=1:1:100
           anz=4*fm/100;
           f(kk)=anz*kk;
           w(kk)=2*pi*f(kk);
           Z1(kk)=1/j/w(kk)/C;
           Z2(kk)=j*w(kk)*L;
           S21(kk)=Z0/(Z0+Z2(kk));
           S21_dB(kk)=20*log10(abs(S21(kk)));
           S11(kk)=Z2(kk)/(Z0+Z2(kk));
           S11_dB(kk)=20*log10(abs(S11(kk)));
%          S41(kk)=Z2(kk)/(Z0+Z2(kk));
%          S41_dB(kk)=20*log10(abs(S41(kk)));
       end
          axes(handles.rf_axes3);
          set(handles.rf_axes3,'position',[233 71 360 200]);
          cla reset
          set(handles.rf_axes3,'Visible','on');
          [haxes,h1,h2] = plotyy((f/1e9),(S21_dB),(f/1e9),(S11_dB),'plot');
          axes(haxes(1));
          set(haxes(1),'fontunits','pixel','FontSize',10);
          set(haxes(1),'xlim',[0 4*fm_ein],'xtick',[]);
          set(haxes(1),'ylim',[-50 5],'ytick',[-50 -45 -40 -35 -30 -25 -20 -15 -10 -5 0 5]);
          ylabel('S21 (dB)','fontunits','pixels','FontSize',12);
          axes(haxes(2));
          set(haxes(2),'fontunits','pixel','FontSize',10);
          set(haxes(2),'xlim',[0 4*fm_ein],'xtick',[0 4*fm_ein/8 2*4*fm_ein/8 3*4*fm_ein/8 4*4*fm_ein/8 5*4*fm_ein/8 6*4*fm_ein/8 7*4*fm_ein/8 4*fm_ein]);
          set(haxes(2),'ylim',[-50 5],'ytick',[-50 -45 -40 -35 -30 -25 -20 -15 -10 -5 0 5]);
          ylabel('S11 (dB)','fontunits','pixels','FontSize',12);
          xlabel('Frequency f in GHz   [0 < f < 4*fm]','fontunits','pixels','FontSize',12);
          legend([h1,h2],'S21','S11');
          title('S-parameter of +90 degree LC-coupler','fontunits','pixels','FontSize',14);
          grid on;
elseif val == 56                        %%Bedienoberflaeche: Series circuit
    R=str2num(get(handles.rf_edit1,'String'));
       C=str2num(get(handles.rf_edit2,'String'));
       fa_ein=str2num(get(handles.rf_edit3,'String'));
       fr_ein=str2num(get(handles.rf_edit4,'String'));
       Z0=str2double(get(handles.rf_edit5,'String'));
       if imag(R)~=0
          errordlg('Resistance R cannot be a complex number. Please enter again!');
          hold off;
          return
       elseif (R<0)
          errordlg('Resistance R must be a nonnegative number. Please enter again!');
          hold off;
          return
       elseif (C<0) || (C==0)
          errordlg('Capacitance C must be a positive number. Please enter again!');
          hold off;
          return
       elseif (fa_ein<0) || (fa_ein==0)
          errordlg('Analyze frequency fa must be a positive number. Please enter again!');
          hold off;
          return
       elseif (fr_ein<0) || (fr_ein==0)
          errordlg('Resonance frequency fr must be a positive number. Please enter again!');
          hold off;
          return
       elseif (fr_ein>2*fa_ein)
          errordlg('Resonance frequency fr must between 0 and 2*fa. Please enter again!');
          hold off;
          return 
       elseif real(Z0)<0 || real(Z0)==0
          errordlg('The real part of Z0 must be positive. Please enter again!');
          hold off;
          return
       else
          R;C;fa_ein;fr_ein;Z0;
       end
       fa=fa_ein*1e9;    %% fm=fa
       fr=fr_ein*1e9;
       wa=2*pi*fa;
       wr=2*pi*fr;
       L=1e12/(wr)^2/C;
       Zs=R+j*(wa*L-(1/wa/C/(1e-12)));
       Xk=sqrt(L/C/(1e-12));
       Q0=wr*L/R;
       v=(wa/wr)-(wr/wa);
       Bres=1/Q0;
       set(handles.rf_listbox2,'String','');
       str1=sprintf('Inductance L (H)');
       str2=sprintf('L=%0.3g',L);
       str3=sprintf('Resonance impedance Zs (ohm) for fa (real part)');
       str4=sprintf('real(Zs)=%0.3g',real(Zs));
       str5=sprintf('Resonance impedance Zs (ohm) for fa (imaginary part)');
       str6=sprintf('imag(Zs)=%0.3g',imag(Zs));
       str7=sprintf('Q-factor Q0');
       str8=sprintf('Q0=%0.3g',abs(Q0));
       str9=sprintf('Detuning v');
       str10=sprintf('v=%0.3g',v);
       str11=sprintf('Characteristic impedance Xk (ohm)');
       str12=sprintf('Xk=%0.3g',abs(Xk));
       str13=sprintf('Relative resonance bandwidth Bres');
       str14=sprintf('Bres=%0.3g',abs(Bres));
       Result=str2mat(str1,str2,'',str3,str4,'',str5,str6,'',str7,str8,'',str9,str10,'',str11,str12,'',str13,str14);
       set(handles.rf_listbox2,'String',Result);
       %%Berechnung S21 und S11
       for kk=1:1:1000
           anz=2*fa/1000;
           f(kk)=anz*kk;
           w(kk)=2*pi*f(kk);
           Zs(kk)=R+j*(w(kk)*L-(1/w(kk)/C/(1e-12)));
           S21(kk)=2/(2+Zs(kk)/Z0);
           S11(kk)=Zs(kk)/Z0/(2+Zs(kk)/Z0);
           S21_dB(kk)=20*log10(abs(S21(kk)));
           S11_dB(kk)=20*log10(abs(S11(kk)));
       end
       %%Abbildung S21 und S11
          axes(handles.rf_axes3);
          set(handles.rf_axes3,'position',[233 71 360 200]);
          cla reset
          set(handles.rf_axes3,'Visible','on');
          [haxes,h1,h2] = plotyy((f/1e9),(S21_dB),(f/1e9),(S11_dB),'plot');
          axes(haxes(1));                 
          set(haxes(1),'fontunits','pixel','FontSize',10);
          set(haxes(1),'xlim',[0 2*fa_ein],'xtick',[]);
          set(haxes(1),'ylim',[-50 5],'ytick',[-50 -45 -40 -35 -30 -25 -20 -15 -10 -5 0 5]);
          ylabel('S21 (dB)','fontunits','pixels','FontSize',12);
          axes(haxes(2));
          set(haxes(2),'fontunits','pixel','FontSize',10);
          set(haxes(2),'xlim',[0 2*fa_ein],'xtick',[0 2*fa_ein/8 2*2*fa_ein/8 3*2*fa_ein/8 4*2*fa_ein/8 5*2*fa_ein/8 6*2*fa_ein/8 7*2*fa_ein/8 2*fa_ein]);
          set(haxes(2),'ylim',[-50 5],'ytick',[-50 -45 -40 -35 -30 -25 -20 -15 -10 -5 5]);
          ylabel('S11 (dB)','fontunits','pixels','FontSize',12);
          xlabel('Frequency f in GHz   [0 < f < 2*fa]','fontunits','pixels','FontSize',12);
          legend([h1,h2],'S21','S11');
          title('S-parameter of resonator with series circuit','fontunits','pixels','FontSize',14);
          grid on;
elseif val == 57   %%Bedienoberflaeche: Parallel circuit
    G=str2num(get(handles.rf_edit1,'String'));
       L_ein=str2num(get(handles.rf_edit2,'String'));
       fa_ein=str2num(get(handles.rf_edit3,'String'));
       fr_ein=str2num(get(handles.rf_edit4,'String'));
       Z0=str2double(get(handles.rf_edit5,'String'));
       if imag(G)~=0
          errordlg('Conductance G cannot be a complex number. Please enter again!');
          hold off;
          return
       elseif (G<0)
               errordlg('Conductance G must be a nonnegative number. Please enter again!');
               hold off;
               return
        elseif (L_ein<0) || (L_ein==0)
               errordlg('Inductance L must be a positive number. Please enter again!');
               hold off;
               return
       elseif (fa_ein<0) || (fa_ein==0)
               errordlg('Analyze frequency fa must be a positive number. Please enter again!');
               hold off;
               return
       elseif (fr_ein<0) || (fr_ein==0)
               errordlg('Resonance frequency fr must be a positive number. Please enter again!');
               hold off;
               return
       elseif (fr_ein>2*fa_ein)
               errordlg('Resonance frequency fr must between 0 and 2*fa. Please enter again!');
               hold off;
               return
        elseif real(Z0)<0 || real(Z0)==0
               errordlg('The real part of Z0 must be positive. Please enter again!');
               hold off;
               return
       else
               G;L_ein;fa_ein;fr_ein;Z0;
       end
       L=L_ein*1e-9;
       fa=fa_ein*1e9;
       fr=fr_ein*1e9;
       wa=2*pi*fa;
       wr=2*pi*fr;
       C=1/(wr)^2/L;
       Yp=G+j*(wa*C-(1/wa/L));
       Xk=sqrt(L/C);
       Q0=G/wr/C;
       v=(wa/wr)-(wr/wa);
       Bres=1/Q0;
       set(handles.rf_listbox2,'String','');
       str1=sprintf('Capacitance C (F)');
       str2=sprintf('C=%0.3g',C);
       str3=sprintf('Resonance admittance Yp (S) for fa (real part)');
       str4=sprintf('real(Yp)=%0.3g',real(Yp));
       str5=sprintf('Resonance admittance Yp (S) for fa (imaginary part)');
       str6=sprintf('imag(Yp)=%0.3g',imag(Yp));
       str7=sprintf('Q-factor Q0');
       str8=sprintf('Q0=%0.3g',abs(Q0));
       str9=sprintf('Detuning v');
       str10=sprintf('v=%0.3g',v);
       str11=sprintf('Characteristic admittance Xk (S)');
       str12=sprintf('Xk=%0.3g',abs(Xk));
       str13=sprintf('Relative resonance bandwidth Bres');
       str14=sprintf('Bres=%0.3g',abs(Bres));
       Result=str2mat(str1,str2,'',str3,str4,'',str5,str6,'',str7,str8,'',str9,str10,'',str11,str12,'',str13,str14);
       set(handles.rf_listbox2,'String',Result);
       %Berechnung S21 und S11
       for kk=1:1:1000
           anz=2*fa/1000;
           f(kk)=anz*kk;
           w(kk)=2*pi*f(kk);
           Yp(kk)=G+j*(w(kk)*C-(1/w(kk)/L));
           Zp(kk)=1/Yp(kk);
           S21(kk)=2/(2+Zp(kk)/Z0);
           S11(kk)=Zp(kk)/Z0/(2+Zp(kk)/Z0);
           S21_dB(kk)=20*log10(abs(S21(kk)));
           S11_dB(kk)=20*log10(abs(S11(kk)));
       end
       %%Abbildung S21 und S11
                 axes(handles.rf_axes3);
                 set(handles.rf_axes3,'position',[233 71 360 200]);
                 cla reset
                 set(handles.rf_axes3,'Visible','on');
                 [haxes,h1,h2] = plotyy((f/1e9),(S21_dB),(f/1e9),(S11_dB),'plot');
                 axes(haxes(1));
                 set(haxes(1),'fontunits','pixel','FontSize',10);
                 set(haxes(1),'xlim',[0 2*fa_ein],'xtick',[]);
%                  set(haxes(1),'ylim',[-10 0],'ytick',[-10 -9 -8 -7 -6 -5 -4 -3 -2 -1 0]);
                 ylabel('S21 (dB)','fontunits','pixels','FontSize',12);
                 axes(haxes(2));
                 set(haxes(2),'fontunits','pixel','FontSize',10);
                 set(haxes(2),'xlim',[0 2*fa_ein],'xtick',[0 2*fa_ein/8 2*2*fa_ein/8 3*2*fa_ein/8 4*2*fa_ein/8 5*2*fa_ein/8 6*2*fa_ein/8 7*2*fa_ein/8 2*fa_ein]);
%                  set(haxes(2),'ylim',[-50 0],'ytick',[-50 -45 -40 -35 -30 -25 -20 -15 -10 -5 0]);
                 ylabel('S11 (dB)','fontunits','pixels','FontSize',12);
                 xlabel('Frequency f in GHz   [0 < f < 2*fa]','fontunits','pixels','FontSize',12);
                 legend([h1,h2],'S21','S11');
                 title('S-parameter of resonator with parallel circuit','fontunits','pixels','FontSize',14);
                 grid on;
elseif val == 58   %%Bedienoberflaeche: Loaded resonator
    Ge=str2num(get(handles.rf_edit1,'String'));
       Gp=str2num(get(handles.rf_edit2,'String'));
       L_ein=str2num(get(handles.rf_edit3,'String'));
       fr_ein=str2num(get(handles.rf_edit4,'String'));
       if imag(Ge)~=0
          errordlg('Conductance Ge cannot be a complex number. Please enter again!');
          hold off;
          return
       elseif (Ge<0) || (Ge==0)
          errordlg('Conductance Ge must be a positive number. Please enter again!');
          hold off;
          return
       elseif imag(Gp)~=0
          errordlg('Conductance Gp cannot be a complex number. Please enter again!');
          hold off;
          return
       elseif (Gp<0) || (Gp==0)
              errordlg('Conductance Gp must be a positive number. Please enter again!');
              hold off;
              return
       elseif (L_ein<0) || (L_ein==0)
              errordlg('Inductance Lp must be a positive number. Please enter again!');
              hold off;
              return
       elseif (fr_ein<0) || (fr_ein==0)
              errordlg('Resonance frequency fr must be a positive number. Please enter again!');
              hold off;
              return
       else
              Gp;Ge;L_ein;fr_ein;
       end
       Lp=L_ein*1e-9;
       fr=fr_ein*1e9;
       wr=2*pi*fr;
       Cp=1/wr^2/Lp;
       Bk=wr*Cp;
       Qext=Bk/Ge;
       Q0=Bk/Gp;
       Ql=Bk/(Gp+Ge);
       k=Q0/Qext;
       set(handles.rf_listbox2,'String','');
       str1=sprintf('Capacitance Cp (F)');
       str2=sprintf('Cp=%0.3g',abs(Cp));
       str3=sprintf('External Q-factor');
       str4=sprintf('Qext=%0.3g',abs(Qext));
       str5=sprintf('Q-factor of loaded resonator');
       str6=sprintf('Q0=%0.3g',abs(Q0));
       str7=sprintf('Loaded Q-factor');
       str8=sprintf('Ql=%0.3g',abs(Ql));
       str9=sprintf('Real coupler-factor');
       str10=sprintf('k=%0.3g',abs(k));
       Result=str2mat(str1,str2,'',str3,str4,'',str5,str6,'',str7,str8,'',str9,str10);
       set(handles.rf_listbox2,'String',Result);
elseif val == 60   %%Bedienoberflaeche: Lambda/4-resonator with open
    epsilon=str2num(get(handles.rf_edit1,'String'));
       Z_L=str2double(get(handles.rf_edit2,'String'));
       alpha=str2num(get(handles.rf_edit3,'String'));
       fm_ein=str2num(get(handles.rf_edit4,'String'));
       fr_ein=str2num(get(handles.rf_edit5,'String'));
       if (epsilon<0) || (epsilon==0)
          errordlg('Dielectric Coefficient epsilon must be a positive number. Please enter again!');
          hold off
          return
       elseif real(Z_L)<0 || real(Z_L)==0
          errordlg('The real part of Z_L must be positive. Please enter again!');
          hold off
          return
       elseif (alpha<0) || (alpha>1)
          errordlg('Attenuation constant alpha musst bewteen 0 and 1. Please enter again!');
          hold off
          return
       elseif (fm_ein<0) || (fm_ein==0)
          errordlg('Medium frequency fm musst be a positive number. Please enter again!');
          hold off
          return
       elseif (fr_ein<0) || (fr_ein==0)
          errordlg('Resonance frequency fr musst be a positive number. Please enter again!');
          hold off
          return
       elseif (fm_ein==fr_ein)
          errordlg('Medium frequency fm cannot equal to resonance frequency fr. Please enter again!');
          hold off
          return  
       else
          epsilon;Z_L;alpha;fm_ein;fr_ein;
       end
       fm=fm_ein*1e9;
       fr=fr_ein*1e9;
       wm=2*pi*fm;
       wr=2*pi*fr;
       v=(wm/wr)-(wr/wm);
       l=(2.99*3e8)/4/fm/sqrt(epsilon);
       R=Z_L*alpha*l;
          L=abs(Z_L)*pi/(4+2*v)/wr;
          C=1/(wr^2)/L;
          Q0=pi/4/alpha/l;
          Z_E=R+j*wr*L*v;
          set(handles.rf_listbox2,'String','');
          str1=sprintf('Line length L (m)');
          str2=sprintf('L=%0.3g',abs(l));
          str3=sprintf('Equivalent resistance R (ohm)');
          str4=sprintf('R=%0.3g',abs(R));
          str5=sprintf('Equivalent inductance L (H)');
          str6=sprintf('L=%0.3g',abs(L));
          str7=sprintf('Equivalent capacitance C (F)');
          str8=sprintf('C=%0.3g',abs(C));
          str9=sprintf('Input impedance Z_E (real part)');
          str10=sprintf('real(Z_E)=%0.3g',real(Z_E));
          str11=sprintf('Input impedance Z_E (imaginary part)');
          str12=sprintf('imag(Z_E)=%0.3g',imag(Z_E));
          str13=sprintf('Q-factor Q0');
          str14=sprintf('Q0=%0.3g',abs(Q0));
          Result=str2mat(str1,str2,'',str3,str4,'',str5,str6,'',str7,str8,'',str9,str10,'',str11,str12,'',str13,str14);
          set(handles.rf_listbox2,'String',Result);
          %%Berechnung dynamische Ze
          for kk=1:1:1000
              anz=4*fm/1000;
              f(kk)=anz*kk;
              x(kk)=f(kk)/fm;
%               v(kk)=x(kk)-1/x(kk);
              gamma=alpha+j*2*pi*fm/(2.99*3e8);
              lx(kk)=l*x(kk);
              Ze(kk)=Z_L*cosh(gamma*lx(kk))/sinh(gamma*lx(kk));
              Ze_r(kk)=real(Ze(kk));
              Ze_i(kk)=imag(Ze(kk));
          end
          %%Abbildung  
          axes(handles.rf_axes2);
          cla reset;
          bild44a=imread([directoryname '\kap5_res22.jpeg']);
          colormap(gray);
          image(bild44a);
          axis off;
          axes(handles.rf_axes3);
          set(handles.rf_axes3,'position',[233 71 360 200]);
          cla reset
          set(handles.rf_axes3,'Visible','on');
          [haxes,h1,h2] = plotyy(x,(Ze_r),x,(Ze_i),'plot');
          axes(haxes(1));
          set(haxes(1),'fontunits','pixel','FontSize',10);
          set(haxes(1),'xlim',[0 4],'xtick',[]);
          set(haxes(1),'ylim',[0 100],'ytick',[0 10 20 30 40 50 60 70 80 90 100]);
          ylabel('Real(Z_E)','fontunits','pixels','FontSize',12);
          axes(haxes(2));
          set(haxes(2),'fontunits','pixel','FontSize',10);
          set(haxes(2),'xlim',[0 4],'xtick',[0 0.5 1 1.5 2 2.5 3 3.5 4]);
          set(haxes(2),'ylim',[-200 200],'ytick',[-200 -150 -100 -50 0 50 100 150 200]);
          ylabel('Imag(Z_E)','fontunits','pixels','FontSize',12);
          xlabel('Normalized frequeny w/wm   [0 < f/fm < 4]','fontunits','pixels','FontSize',12);
          legend([h1,h2],'real(Z_E)','imag(Z_E)');
          title('Input impedance of lambda/4-resonator with open','fontunits','pixels','FontSize',14);
          grid on;
elseif val == 61   %%Bedienoberflaeche: Lambda/4-resonator with short
    epsilon=str2num(get(handles.rf_edit1,'String'));
       Z_L=str2double(get(handles.rf_edit2,'String'));
       alpha=str2num(get(handles.rf_edit3,'String'));
       fm_ein=str2num(get(handles.rf_edit4,'String'));
       fr_ein=str2num(get(handles.rf_edit5,'String'));
       if (epsilon<0) || (epsilon==0)
          errordlg('Dielectric Coefficient epsilon must be a positive number. Please enter again!');
          hold off
          return
       elseif real(Z_L)<0 || real(Z_L)==0
          errordlg('The real part of Z_L must be positive. Please enter again!');
          hold off
          return
       elseif (alpha<0) || (alpha>1) || (alpha==0) || (alpha==1)
          errordlg('Attenuation constant alpha musst bewteen 0 and 1. Please enter again!');
          hold off
          return
       elseif (fm_ein<0) || (fm_ein==0)
          errordlg('Medium frequency fm musst be a positive number. Please enter again!');
          hold off
          return
       elseif (fr_ein<0) || (fr_ein==0)
          errordlg('Resonance frequency fr musst be a positive number. Please enter again!');
          hold off
          return
       elseif (fm_ein==fr_ein)
          errordlg('Medium frequency fm cannot equal to resonance frequency fr. Please enter again!');
          hold off
          return  
       else
          epsilon;Z_L;alpha;fm_ein;fr_ein;
       end
       fm=fm_ein*1e9;
       fr=fr_ein*1e9;
       wm=2*pi*fm;
       wr=2*pi*fr;
       v=(wm/wr)-(wr/wm);
       l=(2.99*3e8)/4/fm/sqrt(epsilon);
       R=abs(Z_L)/alpha/l;
          G=1/R;
          C=pi/abs(Z_L)/4/wr;
          L=1/(wr^2)/C;
          Q0=pi/4/alpha/l;
          Z_E=1/(G+j*wr*C*v);
          set(handles.rf_listbox2,'String','');
          str1=sprintf('Line length L (m)');
          str2=sprintf('L=%0.3g',abs(l));
          str3=sprintf('Equivalent resistance R (ohm)');
          str4=sprintf('R=%0.3g',abs(R));
          str5=sprintf('Equivalent inductance L (H)');
          str6=sprintf('L=%0.3g',abs(L));
          str7=sprintf('Equivalent capacitance C (F)');
          str8=sprintf('C=%0.3g',abs(C));
          str9=sprintf('Input impedance Z_E (real part)');
          str10=sprintf('real(Z_E)=%0.3g',real(Z_E));
          str11=sprintf('Input impedance Z_E (imaginary part)');
          str12=sprintf('imag(Z_E)=%0.3g',imag(Z_E));
          str13=sprintf('Q-factor Q0');
          str14=sprintf('Q0=%0.3g',abs(Q0));
          Result=str2mat(str1,str2,'',str3,str4,'',str5,str6,'',str7,str8,'',str9,str10,'',str11,str12,'',str13,str14);
          set(handles.rf_listbox2,'String',Result);
          %%Berechnung dynamische Ze
          for kk=1:1:1000
              anz=4*fm/1000;
              f(kk)=anz*kk;
              x(kk)=f(kk)/fm;
              gamma=alpha+j*2*pi*fm/(2.99*3e8);
              lx(kk)=l*x(kk);
              Ze(kk)=Z_L*cosh(gamma*lx(kk))/sinh(gamma*lx(kk));
              Ze_r(kk)=real(Ze(kk));
              Ze_i(kk)=imag(Ze(kk));
          end
          %%Abbildung  
          axes(handles.rf_axes2);
          cla reset;
          bild45a=imread([directoryname '\kap5_res42.jpeg']);
          colormap(gray);
          image(bild45a);
          axis off;
          axes(handles.rf_axes3);
          set(handles.rf_axes3,'position',[233 71 360 200]);
          cla reset
          set(handles.rf_axes3,'Visible','on');
          [haxes,h1,h2] = plotyy(x,(Ze_r),x,(Ze_i),'plot');
          axes(haxes(1));
          set(haxes(1),'fontunits','pixel','FontSize',10);
          set(haxes(1),'xlim',[0 4],'xtick',[]);
          set(haxes(1),'ylim',[0 100],'ytick',[0 10 20 30 40 50 60 70 80 90 100]);
          ylabel('Real(Z_E)','fontunits','pixels','FontSize',12);
          axes(haxes(2));
          set(haxes(2),'fontunits','pixel','FontSize',10);
          set(haxes(2),'xlim',[0 4],'xtick',[0 0.5 1 1.5 2 2.5 3 3.5 4]);
          set(haxes(2),'ylim',[-200 200],'ytick',[-200 -150 -100 -50 0 50 100 150 200]);
          ylabel('Imag(Z_E)','fontunits','pixels','FontSize',12);
          xlabel('pixels frequeny w/wm   [0 < f/fm < 4]','fontunits','pixels','FontSize',12);
          legend([h1,h2],'real(Z_E)','imag(Z_E)');
          title('Input impedance of lambda/4-resonator with short','fontunits','pixels','FontSize',14);
          grid on;
elseif val == 63   %%Bedienoberflaeche: Transmission resonator
        ZL1=str2double(get(handles.rf_edit1,'String'));
        ZL2=str2double(get(handles.rf_edit2,'String'));
        Z_inside=str2double(get(handles.rf_edit3,'String'));
        G_R=str2num(get(handles.rf_edit4,'String'));
        LR_ein=str2num(get(handles.rf_edit5,'String'));
        fr_ein=str2num(get(handles.rf_edit6,'String'));
        if real(ZL1)<0 
           errordlg('The real part of impedance Z_L1 must be positive. Please enter again!');
           hold off
           return
        elseif real(ZL2)<0
            errordlg('The real part of impedance Z_L2 must be positive. Please enter again!');
            hold off
            return
        elseif real(Z_inside)<0
            errordlg('The real part of impedance Z_inside must be positive. Please enter again!');
            hold off
            return
        elseif imag(G_R)~=0
            errordlg('Conductance G_R cannot be a complex number. Please enter again!');
            hold off;
            return
        elseif (G_R<0)
            errordlg('Conductance G_R must be a positive number. Please enter again!');
            hold off;
            return
        elseif (LR_ein<0)
            errordlg('Inductance L_R must be a positive number. Please enter again!');
            hold off
            return
        elseif (fr_ein<0) || (fr_ein==0)
            errordlg('Resonance frequency fr must be a positive number. Please enter again!');
            hold off
            return  
        else
            ZL1;ZL2;Z_inside;G_R;LR_ein;fr_ein;
        end
        if Z_inside<=ZL1 || Z_inside<=ZL2
           errordlg('Impedance Z_inside must be greater than impedance ZL1,ZL2. Please enter again!');
           hold off;
           return
        end
            
        LR=LR_ein*1e-9;
        fr=fr_ein*1e9;
        wr=2*pi*fr;
        CK1=sqrt(abs(1/ZL1/(Z_inside-ZL1)))/wr;
        LK1=abs(ZL1*Z_inside*CK1);
        CK2=sqrt(abs(1/ZL2/(Z_inside-ZL2)))/wr;
        LK2=abs(ZL2*Z_inside*CK2);
        if LR==0
            L=1/(1/LK1+1/LK2);
            CR=1/wr^2/L;
        else
            L=1/(1/LR-1/LK1-1/LK2);
            CR=1/wr^2/L;
        end
        set(handles.rf_listbox2,'String','');
        str1=sprintf('Series capacitance C_K1 (F)');
        str2=sprintf('CK1=%0.3g',CK1);
        str3=sprintf('Series capacitance C_K2 (F)');
        str4=sprintf('CK2=%0.3g',CK2);
        str5=sprintf('Parallel capacitance C_R (F)');
        str6=sprintf('CR=%0.3g',abs(CR));
        Result=str2mat(str1,str2,'',str3,str4,'',str5,str6);
        set(handles.rf_listbox2,'String',Result);
        %%Berechnung S21 und S11
        for kk=1:1:100
            anz=4*fr/100;
            f(kk)=anz*kk;
            w(kk)=2*pi*f(kk);
            Z1(kk)=1/j/w(kk)/CK1;
            Z2(kk)=1/j/w(kk)/CK2;
            if LR==0
                Z3(kk)=1/(G_R+j*w(kk)*CR);
            else
                Z3(kk)=1/(G_R+j*(w(kk)*CR-1/w(kk)/LR));
            end
            Nenner(kk)=Z1(kk)*Z2(kk)+Z1(kk)*Z3(kk)+Z1(kk)*ZL2+Z3(kk)*Z2(kk)+Z3(kk)*ZL2+...
                       ZL1*Z2(kk)+ZL1*Z3(kk)+ZL1*ZL2;
            S21(kk)=2*sqrt(ZL1)*Z3(kk)*sqrt(ZL2)/Nenner(kk);
            S21_dB(kk)=20*log10(abs(S21(kk)));
            S11(kk)=1-2*(Z2(kk)+Z3(kk)+ZL2)*ZL1/Nenner(kk);
            S11_dB(kk)=20*log10(abs(S11(kk)));
        end
        %%Abbildung S21 und S11 
        axes(handles.rf_axes3);
        set(handles.rf_axes3,'position',[233 71 360 200]);
        cla reset
        set(handles.rf_axes3,'Visible','on');
        [haxes,h1,h2] = plotyy((f/1e9),(S21_dB),(f/1e9),(S11_dB),'plot');
        axes(haxes(1));        
        set(haxes(1),'fontunits','pixel','FontSize',10);
        set(haxes(1),'xlim',[0 4*fr_ein],'xtick',[]);
        set(haxes(1),'ylim',[-100 10],'ytick',[-100 -90 -80 -70 -60 -50 -40 -30 -20 -10 0 10]);
        ylabel('S21 (dB)','fontunits','pixels','FontSize',12);
        axes(haxes(2));
        set(haxes(2),'fontunits','pixel','FontSize',10);
        set(haxes(2),'xlim',[0 4*fr_ein],'xtick',[0 4*fr_ein/8 2*4*fr_ein/8 3*4*fr_ein/8 4*4*fr_ein/8 5*4*fr_ein/8 6*4*fr_ein/8 7*4*fr_ein/8 4*fr_ein]);
        set(haxes(2),'ylim',[-10 1],'ytick',[-10 -9 -8 -7 -6 -5 -4 -3 -2 -1 0 1]);
        ylabel('S11 (dB)','fontunits','pixels','FontSize',12);
        xlabel('Frequency f in GHz [0 < f < 4*fr]','fontunits','pixels','FontSize',12);
        legend([h1,h2],'S21','S11');
        title('S-parameter of transmission resonator','fontunits','pixels','FontSize',14);
        grid on;
elseif val == 64   %%Bedienoberflaeche: Reflection resonator
        Z0=str2double(get(handles.rf_edit1,'String'));
        Z_inside=str2double(get(handles.rf_edit2,'String'));
        G_R=str2num(get(handles.rf_edit3,'String'));
        LR_ein=str2num(get(handles.rf_edit4,'String'));
        fr_ein=str2num(get(handles.rf_edit5,'String'));
        if real(Z0)<0 || real(Z0)==0
           errordlg('The real part of Z0 must be positive. Please enter again!');
           hold off
           return
        elseif real(Z_inside)<0
            errordlg('The real part of impedance Z_inside must be positive. Please enter again!');
            hold off
            return
        elseif imag(G_R)~=0
            errordlg('Conductance G_R cannot be a complex number. Please enter again!');
            hold off;
            return
        elseif (G_R<0) || G_R==0
            errordlg('Conductance G_R must be a positive number. Please enter again!');
            hold off;
            return
        elseif (LR_ein<0) || (LR_ein==0)
               errordlg('Inductance L_R must be a positive number. Please enter again!');
               hold off
               return
        elseif (fr_ein<0) || (fr_ein==0)
               errordlg('Resonance frequency fr must be a positive number. Please enter again!');
               hold off
               return  
        else
              Z0;Z_inside;G_R;LR_ein;fr_ein;
        end
        if Z_inside<=Z0
           errordlg('Impedance Z_inside must be greater than impedance Z0. Please enter again!');
           hold off;
           return
        else
            Z0;Z_inside;
        end
        LR=LR_ein*1e-9;
        fr=fr_ein*1e9;
        wr=2*pi*fr;        
        CK=sqrt(abs(1/Z0/(Z_inside-Z0)))/wr;
        LK=abs(Z0*Z_inside*CK);
        if LR==0
            L=LK;
            CR=1/wr^2/L;
        else
            L=1/(1/LR-1/LK);
            CR=1/wr^2/L;
        end        
        set(handles.rf_listbox2,'String','');
        str1=sprintf('Series capacitance C_K (F)');
        str2=sprintf('CK=%0.3g',CK);
        str3=sprintf('Parallel capacitance C_R (F)');
        str4=sprintf('CR=%0.3g',abs(CR));
        Result=str2mat(str1,str2,'',str3,str4);
        set(handles.rf_listbox2,'String',Result);
        %%Berechnung S11
        n=abs(Z_inside/Z0);
        k=abs(1/n^2/G_R/Z0);
        for kk=1:1:100
            anz=4*fr/100;
            f(kk)=anz*kk;
            w(kk)=2*pi*f(kk);
            omega(kk)=w(kk)/wr-wr/w(kk);
            S11(kk)=(1-k+j*omega(kk))/(1+k+j*omega(kk));
            S11_dB(kk)=20*log10(abs(S11(kk)));
            theta(kk) = atan2(imag(S11(kk)),real(S11(kk)));
            Ang(kk)= theta(kk)*(180/pi);
        end
        %%Abbildung betrag und phase
        axes(handles.rf_axes3);
        set(handles.rf_axes3,'position',[233 71 360 200]);
        cla reset
        set(handles.rf_axes3,'Visible','on');
        [haxes,h1,h2] = plotyy((f/1e9),(S11_dB),(f/1e9),(Ang),'plot');
        axes(haxes(1));        
        set(haxes(1),'fontunits','pixel','FontSize',10);
        set(haxes(1),'xlim',[0 4*fr_ein],'xtick',[]);
        set(haxes(1),'ylim',[-10 1],'ytick',[-10 -9 -8 -7 -6 -5 -4 -3 -2 -1 0 1]);
        ylabel('S21 (dB)','fontunits','pixels','FontSize',12);
        axes(haxes(2));
        set(haxes(2),'fontunits','pixel','FontSize',10);
        set(haxes(2),'xlim',[0 4*fr_ein],'xtick',[0 4*fr_ein/8 2*4*fr_ein/8 3*4*fr_ein/8 4*4*fr_ein/8 5*4*fr_ein/8 6*4*fr_ein/8 7*4*fr_ein/8 4*fr_ein]);
%         set(haxes(2),'ylim',[-200 200],'ytick',[-200 -160 -120 -80 -40 0 40 80 120 160 200]);
        ylabel('Ang(S11) [degree]','fontunits','pixels','FontSize',12);
        xlabel('Frequency f in GHz [0 < f < 4*fr]','fontunits','pixels','FontSize',12);
        legend([h1,h2],'S11','Ang');
        title('S-parameter of reflection resonator','fontunits','pixels','FontSize',14);
        grid on;
elseif val == 66   %%Bedienoberflaeche: Resonator with coupled capacitor 
    Z_L=str2double(get(handles.rf_edit1,'String'));
       f1_ein=str2num(get(handles.rf_edit2,'String'));
       f2_ein=str2num(get(handles.rf_edit3,'String'));
       fr_ein=str2num(get(handles.rf_edit4,'String'));
       if real(Z_L)<0 || real(Z_L)==0
          errordlg('The real part of Z_L must be positive. Please enter again!');
          hold off
          return
       elseif (f1_ein<0) || (f1_ein==0)
           errordlg('Lower matching point f1 must be a positive number. Please enter again!');
           hold off
           return
       elseif (f2_ein<0) || (f2_ein==0)
          errordlg('Upper matching point f2 must be a positive number. Please enter again!');
          hold off
          return
       elseif (fr_ein<0) || (fr_ein==0)
          errordlg('Slope of filter fr must be a positive number. Please enter again!');
          hold off
          return
       else
         Z_L;f1_ein;f2_ein;fr_ein;
       end
       if (f1_ein>f2_ein) || (f1_ein==f2_ein)
          errordlg('Lower matching point f1 must be less than f2. Please enter again!');
          hold off;
          return
       elseif (f2_ein>fr_ein) || (f2_ein==fr_ein) || (f1_ein>fr_ein) || (f1_ein==fr_ein)
          errordlg('Slope of filter fr must be greater than f1 and f2. Please enter again!');
          hold off;
          return
       elseif (f1_ein<fr_ein/4) || (f1_ein>fr_ein*4) || (f2_ein<fr_ein/4) || (f2_ein>fr_ein*4)
          errordlg('Matching point f1 and f2 must be between (fr/4) and (4*fr). Please enter again!');
          hold off;
          return
       else
          f1_ein;f2_ein;fr_ein;
       end
       f1=f1_ein*1e9;
       f2=f2_ein*1e9;
       fr=fr_ein*1e9;
       w1=2*pi*f1;
       w2=2*pi*f2;
       wr=2*pi*fr;
       v1=w1/wr-wr/w1;
       v2=w2/wr-wr/w2;
       C=sqrt((v2*w2-v1*w1)/((abs(Z_L)^2)*(wr^2)*v1*v2*(v2*w1-v1*w2)));
       L=1/wr^2/C;
       Ck=-(1/(abs(Z_L)^2)+(v1^2)*(wr^2)*C^2)/2/w1/v1/wr/C;
       set(handles.rf_listbox2,'String','');
       str1=sprintf('Shunt capacitance C (F)');
       str2=sprintf('C=%0.3g',abs(C));
       str3=sprintf('Shunt inductance L (H)');
       str4=sprintf('L=%0.3g',abs(L));
       str5=sprintf('Series capacitance Ck (F)');
       str6=sprintf('Ck=%0.3g',abs(Ck));
       Result=str2mat(str1,str2,'',str3,str4,'',str5,str6);
       set(handles.rf_listbox2,'String',Result);
       %%Berechnung S21
       for kk=1:1:1000
           anz=(4*fr)/1000;
           f(kk)=anz*kk;
           w(kk)=2*pi*f(kk);
           v1(kk)=w1/w(kk)-w(kk)/w1;
           v2(kk)=w2/w(kk)-w(kk)/w2;
           Y1(kk)=j*(w(kk)*C-1/w(kk)/L);
           y1(kk)=Y1(kk)*Z_L;
           y2(kk)=y1(kk);
           Y3(kk)=j*w(kk)*Ck;
           y3(kk)=Y3(kk)*Z_L;
           Nenner(kk)=2+y1(kk)+y2(kk)+(1/y3(kk))*(1+y1(kk)+y2(kk)+y1(kk)*y2(kk));
           S21(kk)=2/Nenner(kk);
           S21_dB(kk)=20*log10(abs(S21(kk)));
           S11(kk)=-(y1(kk)+y2(kk)-(1/y3(kk))*(1-y1(kk)+y2(kk)-y1(kk)*y2(kk)))/Nenner(kk);
           S11_dB(kk)=20*log10(abs(S11(kk)));
       end 
       %%Abbildung S11 and S21
        axes(handles.rf_axes3);
        set(handles.rf_axes3,'position',[233 71 360 200]);
        cla reset
        set(handles.rf_axes3,'Visible','on');
        [haxes,h1,h2] = plotyy((f/1e9),(S21_dB),(f/1e9),(S11_dB),'plot');
        axes(haxes(1));
        set(haxes(1),'fontunits','pixel','FontSize',10);
        set(haxes(1),'xlim',[0 4*fr_ein],'xtick',[]);
        set(haxes(1),'ylim',[-100 10],'ytick',[-100 -90 -80 -70 -60 -50 -40 -30 -20 -10 0 10]);
        ylabel('S21 (dB)','fontunits','pixels','FontSize',12);
        axes(haxes(2));
        set(haxes(2),'fontunits','pixel','FontSize',10);
        set(haxes(2),'xlim',[0 4*fr_ein],'xtick',[0 4*fr_ein/8 2*4*fr_ein/8 3*4*fr_ein/8 4*4*fr_ein/8 5*4*fr_ein/8 6*4*fr_ein/8 7*4*fr_ein/8 4*fr_ein]);
        set(haxes(2),'ylim',[-100 10],'ytick',[-100 -90 -80 -70 -60 -50 -40 -30 -20 -10 0 10]);
        ylabel('S11 (dB)','fontunits','pixels','FontSize',12);
        xlabel('Frequency f in GHz [0 < f < 4*fr]','fontunits','pixels','FontSize',12);
        legend([h1,h2],'S21','S11');
        title('S-parameter of resonator with coupled C','fontunits','pixels','FontSize',14);
        grid on;
elseif val == 67   %%Bedienoberflaeche: Resonator with coupled inductor
    Z_L=str2double(get(handles.rf_edit1,'String'));
       f1_ein=str2num(get(handles.rf_edit2,'String'));
       f2_ein=str2num(get(handles.rf_edit3,'String'));
       fr_ein=str2num(get(handles.rf_edit4,'String'));
       if real(Z_L)<0 || real(Z_L)==0
          errordlg('The real part of Z_L must be positive. Please enter again!');
          hold off
          return
       elseif (f1_ein<0) || (f1_ein==0)
              errordlg('Lower matching point f1 must be a positive number. Please enter again!');
              hold off
              return
       elseif (f2_ein<0) || (f2_ein==0)
              errordlg('Upper matching point f2 must be a positive number. Please enter again!');
              hold off
              return
       elseif (fr_ein<0) || (fr_ein==0)
             errordlg('Slope of filter fr must be a positive number. Please enter again!');
             hold off
             return
       else
             Z_L;f1_ein;f2_ein;fr_ein;
       end
       if (f1_ein>f2_ein) || (f1_ein==f2_ein)
          errordlg('Upper matching point f2 must be greater than f1. Please enter again!');
          hold off;
          return
       elseif (fr_ein>f1_ein) || (fr_ein==f1_ein) || (fr_ein>f2_ein) || (fr_ein==f2_ein)
          errordlg('Slope of filter fr must be less than f1 and f2. Please enter again!');
          hold off;
          return
       elseif (f1_ein<fr_ein/4) || (f1_ein>fr_ein*4) || (f2_ein<fr_ein/4) || (f2_ein>fr_ein*4)
              errordlg('Matching point f1 and f2 must be between (fr/4) and (4*fr). Please enter again!');
              hold off;
              return
       else
              f1_ein;f2_ein;fr_ein;
       end
       f1=f1_ein*1e9;
       f2=f2_ein*1e9;
       fr=fr_ein*1e9;
       w1=2*pi*f1;
       w2=2*pi*f2;
       wr=2*pi*fr;
       v1=w1/wr-wr/w1;
       v2=w2/wr-wr/w2;
       C=sqrt((v2*w1-v1*w2)/((abs(Z_L)^2)*(wr^2)*v1*v2*(v2*w2-v1*w1)));
       L=1/wr^2/C;
       Lk=(1/w1)*2*v1*wr*C/(1/(abs(Z_L)^2)+(v1^2)*(wr^2)*C^2);
       set(handles.rf_listbox2,'String','');
       str1=sprintf('Shunt capacitance C (F)');
       str2=sprintf('C=%0.3g',abs(C));
       str3=sprintf('Shunt inductance L (H)');
       str4=sprintf('L=%0.3g',abs(L));
       str5=sprintf('Series inductance Lk (H)');
       str6=sprintf('Lk=%0.3g',abs(Lk));
       Result=str2mat(str1,str2,'',str3,str4,'',str5,str6);
       set(handles.rf_listbox2,'String',Result);
       %%Berechnung S21
       for kk=1:1:1000
           anz=(4*fr)/1000;
           f(kk)=anz*kk;
           w(kk)=2*pi*f(kk);
           v1(kk)=w1/w(kk)-w(kk)/w1;
           v2(kk)=w2/w(kk)-w(kk)/w2;
           Y1(kk)=j*(w(kk)*C-1/w(kk)/L);
           y1(kk)=Y1(kk)*Z_L;
           y2(kk)=y1(kk);
           Y3(kk)=1/j/w(kk)/Lk;
           y3(kk)=Y3(kk)*Z_L;
           Nenner(kk)=2+y1(kk)+y2(kk)+(1/y3(kk))*(1+y1(kk)+y2(kk)+y1(kk)*y2(kk));
           S11(kk)=-(y1(kk)+y2(kk)-(1/y3(kk))*(1-y1(kk)+y2(kk)-y1(kk)*y2(kk)))/Nenner(kk);
           S11_dB(kk)=20*log10(abs(S11(kk)));
           S21(kk)=2/Nenner(kk);
           S21_dB(kk)=20*log10(abs(S21(kk)));
       end 
       %%Abbildung
        axes(handles.rf_axes3);
        set(handles.rf_axes3,'position',[233 71 360 200]);
        cla reset
        set(handles.rf_axes3,'Visible','on');
        [haxes,h1,h2] = plotyy((f/1e9),(S21_dB),(f/1e9),(S11_dB),'plot');
        axes(haxes(1));
        set(haxes(1),'fontunits','pixel','FontSize',10);
        set(haxes(1),'xlim',[0 4*fr_ein],'xtick',[]);
        set(haxes(1),'ylim',[-100 10],'ytick',[-100 -90 -80 -70 -60 -50 -40 -30 -20 -10 0 10]);
        ylabel('S21 (dB)','fontunits','pixels','FontSize',12);
        axes(haxes(2));
        set(haxes(2),'fontunits','pixel','FontSize',10);
        set(haxes(2),'xlim',[0 4*fr_ein],'xtick',[0 4*fr_ein/8 2*4*fr_ein/8 3*4*fr_ein/8 4*4*fr_ein/8 5*4*fr_ein/8 6*4*fr_ein/8 7*4*fr_ein/8 4*fr_ein]);
        set(haxes(2),'ylim',[-100 10],'ytick',[-100 -90 -80 -70 -60 -50 -40 -30 -20 -10 0 10]);
        ylabel('S11 (dB)','fontunits','pixels','FontSize',12);
        xlabel('Frequency f in GHz [0 < f < 4*fr]','fontunits','pixels','FontSize',12);
        legend([h1,h2],'S21','S11');
        title('S-parameter of resonator with coupled L','fontunits','pixels','FontSize',14);
        grid on;
elseif val == 68   %%Bedienoberflaeche: Resonator as coupled elements
    Z_L=str2double(get(handles.rf_edit1,'String'));
       f1_ein=str2num(get(handles.rf_edit2,'String'));
       f2_ein=str2num(get(handles.rf_edit3,'String'));
       f3_ein=str2num(get(handles.rf_edit4,'String'));
       fr_ein=str2num(get(handles.rf_edit5,'String'));
       if real(Z_L)<0 || real(Z_L)==0
          errordlg('The real part of Z_L must be positive. Please enter again!');
          hold off
          return
       elseif (f1_ein<0) || (f1_ein==0)
              errordlg('Lower matching point f1 must be a positive number. Please enter again!');
              hold off
              return
       elseif (f2_ein<0) || (f2_ein==0)
              errordlg('Upper matching point f2 must be a positive number. Please enter again!');
              hold off
              return
       elseif (f3_ein<0) || (f3_ein==0)
              errordlg('Blocking frequency f3 must be a positive number. Please enter again!');
              hold off
              return
       elseif (fr_ein<0) || (fr_ein==0)
              errordlg('Slope of filter fr must be a positive number. Please enter again!');
              hold off
              return
       else
              Z_L;f1_ein;f2_ein;f3_ein;fr_ein;
       end
       if (f1_ein>f2_ein) || (f1_ein==f2_ein) || (f1_ein>fr_ein) || (f1_ein==fr_ein) || (f1_ein>f3_ein) || (f1_ein==f3_ein)
          errordlg('Lower matching point f1 must be less than f2,fr and f3. Please enter again!');
          hold off;
          return
       elseif (f2_ein>fr_ein) || (fr_ein==f2_ein) || (f2_ein>f3_ein) || (f2_ein==f3_ein)
          errordlg('Upper matching point f2 must be less than fr and f3. Please enter again!');
          hold off;
          return
       elseif (fr_ein>f3_ein) || (fr_ein==f3_ein)
          errordlg('Blocking frequency f3 must be greater than fr. Please enter again!');
          hold off;
          return
       elseif (f1_ein<fr_ein/4) || (f1_ein>fr_ein*4) || (f2_ein<fr_ein/4) || (f2_ein>fr_ein*4) || (f3_ein<fr_ein/4) || (f3_ein>fr_ein*4)
              errordlg('Frequency f1,f2 and f3 must be between (fr/4) and (4*fr). Please enter again!');
              hold off;
              return
       else
              f1_ein;f2_ein;f3_ein;fr_ein;
       end
       f1=f1_ein*1e9;
       f2=f2_ein*1e9;
       f3=f3_ein*1e9;
       fr=fr_ein*1e9;
       w1=2*pi*f1;
       w2=2*pi*f2;
       w3=2*pi*f3;
       wr=2*pi*fr;
       v1=w1/wr-wr/w1;
       v2=w2/wr-wr/w2;
       v31=w1/w3-w3/w1;
       v32=w2/w3-w3/w2;
       C=sqrt((v2*v32-v1*v31)/((abs(Z_L)^2)*(wr^2)*v1*v2*(v2*v31-v1*v32)));
       L=1/wr^2/C;
       Ck=-(1/(abs(Z_L)^2)+(v1^2)*(wr^2)*C^2)/2/v31/v1/w3/C/wr;
       Lk=1/w3^2/Ck;
       set(handles.rf_listbox2,'String','');
       str1=sprintf('Shunt capacitance C (F)');
       str2=sprintf('C=%0.3g',abs(C));
       str3=sprintf('Shunt inductance L (H)');
       str4=sprintf('L=%0.3g',abs(L));
       str5=sprintf('Parallel capacitance Ck (F)');
       str6=sprintf('Ck=%0.3g',abs(Ck));
       str7=sprintf('Parallel inductance Lk (H)');
       str8=sprintf('Lk=%0.3g',abs(Lk));
       Result=str2mat(str1,str2,'',str3,str4,'',str5,str6,'',str7,str8);
       set(handles.rf_listbox2,'String',Result);
       %%Berechnung S21
       for kk=1:1:1000
           anz=(4*fr)/1000;
           f(kk)=anz*kk;
           w(kk)=2*pi*f(kk);
           Y1(kk)=j*(w(kk)*C-1/w(kk)/L);
           y1(kk)=Y1(kk)*Z_L;
           y2(kk)=y1(kk);
           Y3(kk)=j*(w(kk)*Ck-1/w(kk)/Lk);
           y3(kk)=Y3(kk)*Z_L;
           Nenner(kk)=2+y1(kk)+y2(kk)+(1/y3(kk))*(1+y1(kk)+y2(kk)+y1(kk)*y2(kk));
           S11(kk)=-(y1(kk)+y2(kk)-(1/y3(kk))*(1-y1(kk)+y2(kk)-y1(kk)*y2(kk)))/Nenner(kk);
           S11_dB(kk)=20*log10(abs(S11(kk)));
           S21(kk)=2/Nenner(kk);
           S21_dB(kk)=20*log10(abs(S21(kk)));
       end 
       %%Abbildung
        axes(handles.rf_axes3);
        set(handles.rf_axes3,'position',[233 71 360 200]);
        cla reset
        set(handles.rf_axes3,'Visible','on');
        [haxes,h1,h2] = plotyy((f/1e9),(S21_dB),(f/1e9),(S11_dB),'plot');
        axes(haxes(1));
        set(haxes(1),'fontunits','pixel','FontSize',10);
        set(haxes(1),'xlim',[0 4*fr_ein],'xtick',[]);
        set(haxes(1),'ylim',[-100 10],'ytick',[-100 -90 -80 -70 -60 -50 -40 -30 -20 -10 0 10]);
        ylabel('S21 (dB)','fontunits','pixels','FontSize',12);
        axes(haxes(2));
        set(haxes(2),'fontunits','pixel','FontSize',10);
        set(haxes(2),'xlim',[0 4*fr_ein],'xtick',[0 4*fr_ein/8 2*4*fr_ein/8 3*4*fr_ein/8 4*4*fr_ein/8 5*4*fr_ein/8 6*4*fr_ein/8 7*4*fr_ein/8 4*fr_ein]);
        set(haxes(2),'ylim',[-100 10],'ytick',[-100 -90 -80 -70 -60 -50 -40 -30 -20 -10 0 10]);
        ylabel('S11 (dB)','fontunits','pixels','FontSize',12);
        xlabel('Frequency f in GHz [0 < f < 4*fr]','fontunits','pixels','FontSize',12);
        legend([h1,h2],'S21','S11');
        title('S-parameter of resonator with coupled LC','fontunits','pixels','FontSize',14);
        grid on;
elseif val == 69   %%Bedienoberflaeche: Bandpass with transformation
    R1=str2double(get(handles.rf_edit1,'String'));
       R2=str2double(get(handles.rf_edit2,'String'));
       f1_ein=str2num(get(handles.rf_edit3,'String'));
       f2_ein=str2num(get(handles.rf_edit4,'String'));
       f3_ein=str2num(get(handles.rf_edit5,'String'));
       fr_ein=str2num(get(handles.rf_edit6,'String'));
       if real(R1)<0 || real(R1)==0
          errordlg('The real part of resistance R1 must be positive. Please enter again!');
          hold off
          return
       elseif real(R2)<0 || real(R2)==0
              errordlg('The real part of resistance R2 must be positive. Please enter again!');
              hold off
              return
       elseif (f1_ein<0) || (f1_ein==0)
              errordlg('Lower matching point f1 must be a positive number. Please enter again!');
              hold off
              return
       elseif (f2_ein<0) || (f2_ein==0)
              errordlg('Upper matching point f2 must be a positive number. Please enter again!');
              hold off
              return
       elseif (f3_ein<0) || (f3_ein==0)
              errordlg('Blocking frequency f3 must be a positive number. Please enter again!');
              hold off
              return
       elseif (fr_ein<0) || (fr_ein==0)
              errordlg('Slope of filter fr must be a positive number. Please enter again!');
              hold off
              return
       else
              R1;R2;f1_ein;f2_ein;f3_ein;fr_ein;
       end
       if (R1<0) || (R1==0) || (R2<0) || (R2==0) ||(abs(R1)>abs(R2)) || (abs(R1)==abs(R2))
          errordlg('Resistance R2 must be greater than R1 and both are positiv. Please enter again!');
          hold off;
          return
       elseif (fr_ein>f1_ein) || (fr_ein==f1_ein) || (fr_ein>f2_ein) || (fr_ein==f2_ein) || (fr_ein>f3_ein) || (fr_ein==f3_ein)
          errordlg('Slope of filter fr must be less than f1,f2 and f3. Please enter again!');
          hold off;
          return
       elseif (f1_ein>f2_ein) || (f1_ein==f2_ein) || (f1_ein>f3_ein) || (f1_ein==f3_ein)
          errordlg('Lower matching point f1 must be less than f2 and f3. Please enter again!');
          hold off;
          return
       elseif (f2_ein>f3_ein) || (f2_ein==f3_ein)
              errordlg('Blocking frequency f3 must be greater than f2. Please enter again!');
              hold off;
              return
       elseif (f1_ein<fr_ein/4) || (f1_ein>fr_ein*4) || (f2_ein<fr_ein/4) || (f2_ein>fr_ein*4) || (f3_ein<fr_ein/4) || (f3_ein>fr_ein*4)
              errordlg('Frequency f1,f2 and f3 must be between (fr/4) and (4*fr). Please enter again!');
              hold off;
              return
       else
              R1;R2;f1_ein;f2_ein;f3_ein;fr_ein;
       end
       Zl=50;
       f1=f1_ein*1e9;
       f2=f2_ein*1e9;
       f3=f3_ein*1e9;
       fr=fr_ein*1e9;
       w1=2*pi*f1;
       w2=2*pi*f2;
       w3=2*pi*f3;
       wr=2*pi*fr;
       wm=(w2-w1)/2;
       v1=w1/wr-wr/w1;
       v2=w2/wr-wr/w2;
       v31=w1/w3-w3/w1;
       v32=w2/w3-w3/w2;
       Ct=(1/wm)*sqrt(1/abs(R1)/(abs(R2)-abs(R1)));
       Lt=abs(R1)*abs(R2)*Ct;
       C=sqrt((v2*v32-v1*v31)/((Zl^2)*(wr^2)*v1*v2*(v2*v31-v1*v32)));
       L=1/wr^2/C;
       Ck=-(1/(Zl^2)+(v1^2)*(wr^2)*C^2)/2/v31/v1/w3/C/wr;
       Lk=1/w3^2/Ck;
       La=L*Lt/(L+Lt);
       set(handles.rf_listbox2,'String','');
       str1=sprintf('Sereis capacitance Ct (F)');
       str2=sprintf('Ct=%0.3g',abs(Ct));
       str3=sprintf('Shunt capacitance C (F)');
       str4=sprintf('C=%0.3g',abs(C));
       str5=sprintf('Shunt inductance La (H)');
       str6=sprintf('La=%0.3g',abs(L));
       str7=sprintf('Parallel capacitance Ck (F)');
       str8=sprintf('Ck=%0.3g',abs(Ck));
       str9=sprintf('Parallel inductance Lk (H)');
       str10=sprintf('Lk=%0.3g',abs(Lk));
       Result=str2mat(str1,str2,'',str3,str4,'',str5,str6,'',str7,str8,'',str9,str10);
       set(handles.rf_listbox2,'String',Result);
       %%Berechnung S21
       for kk=1:1:1000
           anz=(4*fr)/1000;
           f(kk)=anz*kk;
           w(kk)=2*pi*f(kk);
           Y1(kk)=j*(w(kk)*C-1/w(kk)/La);
           y1(kk)=Y1(kk)*Zl;
           y2(kk)=y1(kk);
           Y3(kk)=j*(w(kk)*Ck-1/w(kk)/Lk);
           y3(kk)=Y3(kk)*Zl;
           Nenner(kk)=2+y1(kk)+y2(kk)+(1/y3(kk))*(1+y1(kk)+y2(kk)+y1(kk)*y2(kk));
           S11(kk)=-(y1(kk)+y2(kk)-(1/y3(kk))*(1-y1(kk)+y2(kk)-y1(kk)*y2(kk)))/Nenner(kk);
           S11_dB(kk)=20*log10(abs(S11(kk)));
           S21(kk)=2/Nenner(kk);
           S21_dB(kk)=20*log10(abs(S21(kk)));
       end
        axes(handles.rf_axes3);
        set(handles.rf_axes3,'position',[233 71 360 200]);
        cla reset
        set(handles.rf_axes3,'Visible','on');
        [haxes,h1,h2] = plotyy((f/1e9),(S21_dB),(f/1e9),(S11_dB),'plot');
        axes(haxes(1));
        set(haxes(1),'fontunits','pixel','FontSize',10);
        set(haxes(1),'xlim',[0 4*fr_ein],'xtick',[]);
        set(haxes(1),'ylim',[-100 10],'ytick',[-100 -90 -80 -70 -60 -50 -40 -30 -20 -10 0 10]);
        ylabel('S21 (dB)','fontunits','pixels','FontSize',12);
        axes(haxes(2));
        set(haxes(2),'fontunits','pixel','FontSize',10);
        set(haxes(2),'xlim',[0 4*fr_ein],'xtick',[0 4*fr_ein/8 2*4*fr_ein/8 3*4*fr_ein/8 4*4*fr_ein/8 5*4*fr_ein/8 6*4*fr_ein/8 7*4*fr_ein/8 4*fr_ein]);
        set(haxes(2),'ylim',[-100 10],'ytick',[-100 -90 -80 -70 -60 -50 -40 -30 -20 -10 0 10]);
        ylabel('S11 (dB)','fontunits','pixels','FontSize',12);
        xlabel('Frequency f in GHz [0 < f < 4*fr]','fontunits','pixels','FontSize',12);
        legend([h1,h2],'S21','S11');
        title('S-parameter of resonator with impedance transformation','fontunits','pixels','FontSize',14);
        grid on;
elseif val == 70   %%Bedienoberflaeche: Diplexer
    C1_ein=str2num(get(handles.rf_edit1,'String'));
       L1_ein=str2num(get(handles.rf_edit2,'String'));
       f1_ein=str2num(get(handles.rf_edit3,'String'));
       f2_ein=str2num(get(handles.rf_edit4,'String'));
       Z0=str2double(get(handles.rf_edit5,'string'));
       if (C1_ein<0) || (C1_ein==0)
           errordlg('Capacitance C1 must be a positive number. Please enter again!');
           hold off
           return
       elseif (L1_ein<0) || (L1_ein==0)
           errordlg('Inductance L1 must be a positive number. Please enter again!');
           hold off
           return
       elseif (f1_ein<0) || (f1_ein==0)
           errordlg('Frequency f1 must be a positive number. Please enter again!');
           hold off
           return
       elseif (f2_ein<0) || (f2_ein==0)
           errordlg('Frequency f2 must be a positive number. Please enter again!');
           hold off
           return
       elseif (f1_ein==f2_ein)
           errordlg('Frequency f1 cannot equal to frequency f2. Please enter again!');
           hold off
           return
       elseif (f1_ein<f2_ein/4)
              errordlg('Frequency f1 must be between f2/4 and f2. Please enter again!');
              hold off;
              return
       else
           C1_ein;L1_ein;f1_ein;f2_ein;
       end
       C1=C1_ein*1e-12;
       L1=L1_ein*1e-9;
       f1=f1_ein*1e9;
       f2=f2_ein*1e9;
       w1=2*pi*f1;
       w2=2*pi*f2;
       Lx=1/(w1)^2/C1;
       Cx=1/(w2)^2/L1;
       v1=w1/w2-w2/w1;
       v2=w2/w1-w1/w2;
       L2=Lx*v1*w1/w2;
       C3=Cx*w2/v2/w1;
       C2=1/(w2)^2/L2;
       L3=1/(w1)^2/C3;
       set(handles.rf_listbox2,'String','');
       str1=sprintf('Parallel capacitance C2 (F)');
       str2=sprintf('C2=%0.3g',abs(C2));
       str3=sprintf('Parallel inductance L2 (H)');
       str4=sprintf('L2=%0.3g',abs(L2));
       str5=sprintf('Parallel capacitance C3 (F)');
       str6=sprintf('C3=%0.3g',abs(C3));
       str7=sprintf('Parallel inductance L3 (H)');
       str8=sprintf('L3=%0.3g',abs(L3));
       Result=str2mat(str1,str2,'',str3,str4,'',str5,str6,'',str7,str8);
       set(handles.rf_listbox2,'String',Result);
       %%Berechnung S21 mit Series-Z
       for kk=1:1:1000
           anz=(4*f1)/1000;
           f(kk)=anz*kk;
           w(kk)=2*pi*f(kk);
           z1(kk)=0;
           z2(kk)=(1/j/w(kk)/C1+j*w(kk)*L2/(1-(w(kk)^2)*L2*C2))/abs(Z0);
           z3(kk)=(j*w(kk)*L3/(1-(w(kk)^2)*L3*C3)+j*w(kk)*L1+abs(Z0))/abs(Z0);
           Nenner(kk)=2+z2(kk)+(1/z3(kk))*(1+z2(kk));
           S21(kk)=2/Nenner(kk);
           S21_dB(kk)=20*log10(abs(S21(kk)));
           S11(kk)=(z2(kk)-(1/z3(kk))*(1+z2(kk)))/Nenner(kk);
           S11_dB(kk)=20*log10(abs(S11(kk)));
       end
       %%Abbildung S21 und S11
        axes(handles.rf_axes3);
        set(handles.rf_axes3,'position',[233 71 360 200]);
        cla reset
        set(handles.rf_axes3,'Visible','on');
        [haxes,h1,h2] = plotyy((f/1e9),(S21_dB),(f/1e9),(S11_dB),'plot');
        axes(haxes(1));
        set(haxes(1),'fontunits','pixel','FontSize',10);
        set(haxes(1),'xlim',[0 4*f1_ein],'xtick',[]);
        set(haxes(1),'ylim',[-100 10],'ytick',[-100 -90 -80 -70 -60 -50 -40 -30 -20 -10 0 10]);
        ylabel('S21 (dB)','fontunits','pixels','FontSize',12);
        axes(haxes(2));
        set(haxes(2),'fontunits','pixel','FontSize',10);
        set(haxes(2),'xlim',[0 4*f1_ein],'xtick',[0 4*f1_ein/8 2*4*f1_ein/8 3*4*f1_ein/8 4*4*f1_ein/8 5*4*f1_ein/8 6*4*f1_ein/8 7*4*f1_ein/8 4*f1_ein]);
        set(haxes(2),'ylim',[-100 10],'ytick',[-100 -90 -80 -70 -60 -50 -40 -30 -20 -10 0 10]);
        ylabel('S11 (dB)','fontunits','pixels','FontSize',12);
        xlabel('Frequency f in GHz [0 < f < 4*f1]','fontunits','pixels','FontSize',12);
        legend([h1,h2],'S21','S11');
        title('S-parameter of diplexer from resonance circuits','fontunits','pixels','FontSize',14);
        grid on;
end

% --- Executes on button press in rf_clear.
function rf_clear_Callback(hObject, eventdata, handles)
% hObject    handle to rf_clear (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global k
k=0;
set(handles.rf_listbox2,'string','');
axes(handles.rf_axes3)
cla reset
axis off



% --------------------------------------------------------------------
function rf_file_Callback(hObject, eventdata, handles)
% hObject    handle to rf_file (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --------------------------------------------------------------------
function rf_open_Callback(hObject, eventdata, handles)
% hObject    handle to rf_openpicture (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --------------------------------------------------------------------
function rf_exit_Callback(hObject, eventdata, handles)
% hObject    handle to rf_exit (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
button = questdlg('Are you ready to quit?','Exit Dialog','Yes','No','No');
switch button
            case 'Yes',
                clear all;
                close all;
            case 'No',
                quit cancel;
end

% --------------------------------------------------------------------
function rf_openpicture_Callback(hObject, eventdata, handles)
% hObject    handle to rf_openpicture (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
[filename,pathname]=uigetfile({'*.jpeg','picture type(*.jpeg)';'*.bmp','picture type(*.bmp)';'*.tif','picture type(*.tif)';'*.*','All Pictures(*.*)'},'Pick a Picture');
if isequal([filename,pathname],[0 0])
    return
else
    pic=fullfile(pathname,filename);
    axes(handles.rf_axes2);
    cla reset
    bild=imread(pic);
    colormap(gray);
    image(bild);
    axis off;
end
set(handles.rf_text5,'string','');


% --------------------------------------------------------------------
function rf_help_Callback(hObject, eventdata, handles)
% hObject    handle to rf_help (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --------------------------------------------------------------------
function rf_about_Callback(hObject, eventdata, handles)
% hObject    handle to rf_about (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
handles=guihandles(about);

% --------------------------------------------------------------------
function rf_contact_Callback(hObject, eventdata, handles)
% hObject    handle to rf_contact (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
handles=guihandles(contact);


